Introduction
 Top Next

OMDAQ 2007

© Oxford Microbeams Ltd 2007
omltd@microbeams.co.uk

This help system is still under construction, so there are many gaps...

Click here for a list of recently modified pages in this help file.


Hardware requirements
 Previous Top Next

OMDAQ2007 can be used either on-line to the Oxford Microbeams Ltd. microbeam data acquisition and control hardware, or as a stand-alone off-line data display and processing package. (See here for more details).

The following items are required for full operation (in addition to the OM electronic hardware). Some of these are optional and may not be supplied with your installation.
Item
Role
Specification
PC computer
Platform for all software
Modern "high end" PC computer with the following minimum specifications (these may be relaxed for off-line operation)
· "Fast" processor
· More than 1Gb of RAM
· Large monitor with fast graphics
· At least 4 free PCI slots (or outboard PCI card crate such as Amplicon Magma)

The installation requires about 100 Mb on disk (most of which is hardware documentation). The saved data volume is typically 100 Mb per 8 hour day of normal operation using listmode.
DIO card
Parallel digital interface to the OM-1000e ADC/Scaler module. Reads detector pulses and measures accumulated charge and deadtime
Amplicon PCI-215 DIO + counter scaler card
DAC card
Generates variable DC voltages to drive the beam scanning amplifier and TTL switching signals to control the scanning system and beam switching
One of the following cards may be supplied:

Amplicon PCI-234 DAC card (now obsolete)

Arcom PCI-ADADIO multifunction DAC/DIO card

AdLink DAQ-2502 multifunction DAC/DIO card
Video input card
Allows images from the microscope video camera to be displayed on the OMDAQ desktop
AdLink Angelo RTV PCI vision card
Firewire interface card
Provides an interface to the Aerotech A3200 stepper motor control system
Generic


History

OM_DAQ Operation and Installation Manual

The forerunner of the OM_DAQ system was an early data acquisition system developed for the Oxford Scanning Proton Microprobe using a complex hierarchy of CAMAC and VME hardware controlled by low level VME software and a high level Fortran based interface (even then called DAQ) running on a DEC VAXstation. [Grime, G. W., M. Dawson, et al. (1991). "The Oxford submicron nuclear microscopy facility." Nuclear Instruments & Methods B 54 52-63.]

Although the system was complex, many of the hardware and software concepts now used in OM_DAQ were developed at this time. The development of the PC version of OM_DAQ with the custom built hardware interface began in the late 1980s when it became clear that the VAXstations were becoming obsolete and expensive (together with some of the CAMAC and VME modules). It was decided to develop new dedicated hardware controlled by code running under Windows and the early versions were basically ports of the VAX DAQ into a Windows/C environment. At the time that the first experimental bits of PC code were written, Windows 3.1 was new and a 90MHz 486 with a 300 Mb hard drive was cutting edge technology; this explains some of the idiosyncratic features of OM_DAQ – the old-fashioned looking software, highly compressed data files and the increasingly inconvenient use of ISA cards.

The spectrum analysis program Dan32 also grew out of a VAXstation package, SPEX, which was based on the Eric Clayton's PIXE package PIXAN and a home-grown RBS simulator. Dan32 (32-bit DataANalysis) evolved from this primarily as a friendly interface to GUPIX and was written in C++/Windows. It soon became the platform for the development of the Q factor method using a RUMP-like RBS simulator developed in Singapore.

By the early 00s it became clear that OM_DAQ was ageing to the point where it was increasingly difficult to find the machines to run it. Work on porting OM_DAQ to XP and PCI began in 2005. Also written in C++, the new code exploited some of the modular code of Dan32 (e.g. for spectrum display), but used new hardware interfaces and modern programming techniques such as multi-threading. The first versions of OMDAQ2007 were released in December 2007.

See also: Development log

1


Data collection hardware

Hardware operation (see also the Wiring diagram )

The OM-1000e interface module contains circuitry to digitise pulse signals on up to 8 channels, digitise x and y scanning voltages, count charge digitiser pulses and record live time for the system and two external channels.

Pulse data acquisition

Each ADC channel has a Peak Hold and Trigger module (PHT). This module has the following functions:

i) Generate a "Look At Me" (LAM) signal when the input signal exceeds its threshold value.

ii) Hold the peak value of the input pulse

iii) Disable LAM signals from other channels until a reset pulse is received from the host computer.

LAM signals are passed to a 8 line to 3-bit priority encoder which generates the 3-bit address of the active channel. This is used by the Multiplexer (MPX) to select the pulse voltage of the active PHT. The ADC address also forms the high order 3 bits of the energy data word.

The LAM signal also sets the BUSY signal and initiates a series of delays which sequence the multiplexer and energy, X and Y ADC conversions. At the end of all the ADC conversions, the energy, X and Y data values are latched to the output and a trigger signal is passed to the host computer to initiate software processing . After software processing the host computer should pulse the RESET line. This clears the BUSY signal and re-enables the PHTs ready for the next pulse.

The timing of a pulse cycle is described here .


DAQ event timing

The event starts when one of the PHT inputs goes above the threshold level. This immediately sets the BUSY signal and starts a sequence of hardware processing in which the peak pulse amplitude is digitised, together with the X and Y scanning voltage inputs.

Pulses arriving during the BUSY period are ignored.

When all hardware operations are complete (8 - 12 us) the TRIGGER pulse is set high.

After a variable polling delay (waiting for the PC to detect the TRIGGER), the software sequence begins, in which the data is read from the hardware and sorted into maps and spectra. After this, the pixel is updated and the pixel settling time begins (if required). Finally, the PC sends a RESET pulse, which terminates the event and primes the hardware for the next one.

If the trigger does not go away after the RESET, the RESET pulse is repeated up to 10 times after which the program concludes that the OM-1000e is LOCKED and sets a red icon in the Status banner . The OM-1000e can become locked at very high count rates or with long input pulses when an input is still high when the RESET takes place. It can normally be cleared by reducing the count rate.


Sorting algorithm
This flow chart shows a simplified schematic of the logic sequence which is initiated when a TRIGGER pulse is detected.

This routine runs continuously in a separate processor thread from the main programme.

Operations as far as StartScan deal with reading the event data. Boxes after this are concerned mainly with setting the BeamBlank signal and moving the beam.


Hardware streams and logical channels
Hardware streams and logical channels

As originally conceived, OMDAQ was only expecting to take data from the OM_1000e ADC/scaler module. This naturally leads to the the assumption in the software that there will never be any more than eight data input streams and that these can be associated with eight "spectra" in the software. These were naturally referred to as ADC0 - ADC7.

As from version 1.1.49.151 OMDAQ has been extended to accept new sources of digitised data, namely (1) Parallel real time digitised data from an external ADC or digital signal processor, and (2) buffered spectrum data from an external multi-channel analyser. These are referred to as DSP sources and MCA sources respectively (e.g. DSP1, MCA0).

For all sorts of structural and logistic reasons is was undesirable to change the basic architecture of a maximum of eight spectra, and so in order to handle the new input sources, I have introduced the concept of HARDWARE INPUT STREAM and LOGICAL CHANNEL.

The hardware input stream is the hardware source of the data, e.g. ADC3, MCA2, DSP0. The logical channel is the slot in the software which accepts and displays the data. The hardware stream and the logical channel are associated together in the Spectra dialog box .

Thus a setup consisting of analogue data from channel 0, two external digital inputs, DSP0 and DSP1 and a serial buffer channel MCA0 maight be configured as follows:
Input stream | Logical channel | Name used in the software
ADC3 | 0 | ADC0
DSP0 | 1 | DSP1
DSP1 | 2 | DSP2
MCA0 | 3 | MCA3

Note that the names used for the data in the software are now a combination of the type of input source and the logical channel. The long-standing link between ADC number and spectrum number has now been broken.


Charge and dead time scalers

The OM-1000e interface module contains five 32-bit counters which are used to accumulate the following quantities:

 | Source | Quantity | MSB | Byte | Addr | LSB
Q0: | Q pulses from a charge digitiser | Total accumulated charge | 3 | 2 | 1 | 0
Q1: | Total elapsed time in 10uS ticks | Total elapsed time | 7 | 6 | 5 | 4
Q2: | Q1 gated by the DAQ BUSY signal | Total system LIVE time | 11 | 10 | 9 | 8
Q3: | Q2 gated by the LIVE0 signal | Total LIVE0 live time | 11 | 14 | 13 | 12
Q4: | Q2 gated by the LIVE1 signal | Total LIVE1 live time | 19 | 18 | 17 | 16

The system live charge can then be calculated as Q0(Q2/Q1).

The system dead time percentage is calculated as 100(Q1-Q2)/Q1.

(Replace "2" with 3 or 4 for LIVE0 and LIVE1 deadtime)

The operation of these scalers can be viewed live using the Test Scalers dialog box . Their values in saved data files can be viewed using the "Raw data" tab in the Run parameters dialog box

Q1 .. Q4 signals are derived from a 10MHz clock. All the gating is carried out at 10MHz and the pulses are prescaled by 100 before being counted. This gives a maximum runtime of 232 x 100 x 0.1uS (just under 12 hours) before the scalers recycle.

The 32-bit scalers are each formed from four 8-bit ripple counters with bus outputs. They are accessed by writing the 5 bit byte address onto the scaler address word and reading the byte contents on the 8-bit scaler data word.

A QZERO signal resets all scalers to zero when it is pulsed high.


Scan operation

The OMDAQ2007 software has two mode of scan operation:

· Internal in which the scan voltages are generated by the PC and the beam position is assumed to be the DAC data values set by the program.

· External in which the PC assumes that the scan voltages are generated by external hardware and the beam position is given by the voltages on the X and Y ADC inputs

For scanned operation, the direction of travel is in the form of a sawtooth raster pattern, i.e. the beam travels in opposite directions in alternate scan lines. This pattern minimises the problems of frequency response (see below), but the fast scan direction should be chosen to match the direction in which the scanning hardware has the best frequency response. In the case of the OM-25/OM-40e scan coil/amplifier combination, the coils in one direction have half the inductance of the coils in the other direction. The orientation of the coils will have been selected to match the demagnifications in the quadrupole lens, which in turn will depend on the orientation of the analysing magnet of the accelerator. For a correctly oriented OM-150 or OM-155 triplet lens, the following rule should be observed:

Analysing magnet HORIZONTAL (horizontal accelerator)Fast scan direction VERTICAL

Analysing magnet VERTICAL (vertical accelerator) Fast scan direction HORIZONTAL

The fast scan direction and also the inversion of the scan voltages to obtain a correctly inverted image can be changed with the Scan configure dialog .

The number of pixels in the scan pattern can be configured to be any binary value between 32x32 and an upper limit determined by the resolution of the supplied DAC card, typically 1024 x 1024 (see the Scan Method tab )


Using the XYZ stage

OMDAQ allows integrated control of a motorised XYZ stage via an interface to one of several motor driver interfaces.

The user's authorisation code determines whether the XYZ interface is enabled and until release 1.3.71.716, the type of XYZ interface was also fixed. This has now been changed, so that the type of XYZ interface can be configured using the XYZ interface selection tab .

At present the following stages are supported.

1. Aerotech A3200 three axis motor controller
http://www.aerotech.com/products/controllers/A3200/index.cfm .

This device will drive a wide range of stepper and DC motors with rotary encoder feedback. Control is via a fast Firewire link. This is the preferred device for XYZ stages supplied by OM.

2. Newport Corporation MM4006 interface (no longer in production)
This uses a GPIB interface.

3. PI GmbH piezo and screw driven stages
http://www.physikinstrumente.com/en/products/micropositioning/index.php
The C-863 and C-867 stage controllers are supported via USB or RS-232.

4. SmarAct piezo positioning stages
http://www.smaract.de/index.php/products
(Interface under development)

5. Aerotech A3200 three axis + vertical rotation motor controller

6. User supplied Dynamic Link Library (DLL) interface
OMDAQ can interface with a DLL written to interface to user-supplied hardware. Full details of the interface can be found in the comments in the file Om_XyzDll.h.

Hardware installation for the Aerotech system is described here . For other stages, dedicated documentation will be supplied.

The motor is controlled via the pages of the multi-tab XYZ control dialog which is created automatically on startup if the XYZ stage is initialised successfully. The window can not be closed by the user, though it can be hidden using the Window navigator .

Some parameters (velocity, acceleration, axis orientation etc.) can be configured by the user though the XYZ configuration dialog box.

The stage is protected by hardware and software limits. These must be configured prior to routine operation.

The stage can be moved in several ways; manual "Arrow" keys, previously stored locations, direct entry of position coordinates or by selecting "Move to centre" in the Map window pop-up menu.

For those stages where the power can be removed in software it is possible to configure the program to switch off the power during runs if this is giving problems with noise pickup. This is done using the XYZ motors OFF during run checkbox in the System parameters dialog box.

See also:
XYZ control dialog
XYZ stage coordinates
Setting XYZ limits
Verifying XYZ stage operation


XYZ stage coordinates

The XYZ control system operates in two different coordinate spaces.

Physical space is the coordinate system defined by the physical motor axes, and is the coordinates that must be sent to the motors.

Logical space is the coordinate space seen by the user in the data acquisition system. This is essentially the coordinates of the beam scanning system and is defined as X and Y (horizontal and vertical in the elemental maps) and Focus (normal to these).

The transformation between these two system is defined by specifying the nine angles between each axis in one frame and each of the axes in the other frame.

Thus the values:

0 | 90 | 90
90 | 0 | 90
90 | 90 | 0

generate a transformation in which Motor 1 is the +X axis, Motor 2 is the +Y axis and Motor 3 is the +Focus axis.

If it is found, for example, that the positive X scanning direction is in the opposite direction to the X stage motion, then this can be corrected by changing the 0 to 180:

180 | 90 | 90
90 | 0 | 90
90 | 90 | 0

For a standard OM triplet stage the X and Y scanning directions are opposite to the Motor 1 and Motor 2 motion directions and so the default configuration is:

180 | 90 | 90
90 | 180 | 90
90 | 90 | 0

More complex transformations are possible. E.g. to set the scan directions at 45 degrees to the motor axes (if the sample is mounted at 45 degrees to the beam?) then the following angles could be used:

-45 | 90 | 45
90 | 0 | 90
45 | 90 | -45

The position coordinates displayed on the XYZ status panel and stored in the memory are always the logical coordinate.


XYZ home and limits

Home
All XYZ logical coordinates are measured relative to a HOME position which should be re-defined each time the sample holder is adjusted or is re-loaded. Unlike many stages, the OM stage does not have automatic homing and this must be done manually.
A small "home" mark should be engraved on the sample holder which is visible in the microscope. To define the home position centre the home marker in the microscope using the Arrow keys and press the Set home button on the XYZ Arrow keys tab . This sets the sample position to zero.

Limits
In order to avoid damaging the stage or the chamber the stage is fitted with both software and hardware limits which halt the stage when the end of the safe travel is reached.
The mechanical limits are microswitches fixed to the stage hardware. These trigger a controller fault when they are triggered. When this is acknowledged, the stage reverses slowly away from the limit until the switch releases. The positions of the microswitches must be checked regularly to ensure that they do indeed stop the stage before any serious collisions with the surrounding hardware take place.

Software limits define a "safe volume" in Logical space. This can be rectangular or cylindrical. When software limits are active moves which finish outside the safe volume are not permitted.

See Setting XYZ limits for more details.


Setting the XYZ limits

Setting up hardware and software travel limits.

The XYZ system has two levels of motion limit protection, hardware, based on mechanical switches mounted on the drives, and software, incorporated in the DAQ++ program (this checks every move and will not proceed of the destination is outside the safe volume).

These limits must be carefully set up if they are to provide protection without limiting the functionality.

Warning: Moving the stage with the limits disabled may result in an axis reaching its physical limit and cause permanent damage to the drive screws. Always use small steps when moving without limit protection!!

Defining the home position

All physical axis displacements are measured relative to a fixed position called ‘Home’ . The HOME position must be defined every time a change is made to the stage (e.g., after changing samples). To define HOME, it is necessary to have a reference mark somewhere on the stage. It is recommended that this should be on the fixed part of the sample holder and should be easily visible in the microscope. This will be called the Home Marker.

1. Position the stage so that the Home Marker is in focus in the centre of the microscope field.

2. Click the ‘Set Home’ button on the ‘Arrows’ XYZ control.

HOME is now defined

Setting up the physical limit switches

1. Click the ‘Set Axis Limit’ button on the ‘Arrows’ XYZ control panels. This displays the XYZ software limits dialog . Select the ‘Disabled’ button in the Options box. Close the window (This disables the software limits).

2. Bearing in mind the warnings above (i.e. using small steps and watching carefully for obstructions), move each axis in turn to its physical limit. For the horizontal axes, this will also require the adjustment of the orthogonal axis to ensure that the stage is at its maximum displacement.

3. If a hardware switch is triggered during these moves, the program will display an error message. When this has been acknowledged by the user, the axis will move slowly away from the switch until the switch releases. Move the switch away from the actuator before moving again.

4. When an axis is at its limit, move the appropriate hardware switch towards the actuator until it just operates. Fix it in this position. Acknowledge the error message and the stage should move away until the switch is released.

5. Repeat for all six limit switches.

6. Check the operation by driving the stage toward each limit in turn

Setting up the software limits

The software limits define a safe volume within which the stage can move. This can either be ‘rectangular’ where Min < Position < Max for all axes, or ‘Elliptical’ where the horizontal position is constrained to lie within an ellipse defined by the limits of the two horizontal axes. The vertical axis is still constrained by its own limits. Elliptical is the more stringent limit and is recommended for normal use. The software limits should always be set inside the hardware limits.

To set the software limits:

1. Ensure that software limits are disabled (as above).

2. Ensure that the HOME position has been defined.

3. Move one axis toward its upper limit (absolute value of position increasing) and stop just before the hardware limit switch is triggered.

4. Open the XYZ software limits dialog box as above and for the appropriate axis click the ‘>>’ button to transfer the current position to the software limit. Close the dialog.

5. Move the axis towards its lower limit (absolute position decreasing) and stop just before the hardware limit is triggered.

6. Open the ‘Software limit’ dialog box and for the appropriate axis click the ‘<<’ button to transfer the current position to the software limit. Close the dialog.

7. Repeat for all six limits.

8. When completed open the ‘Software limit’ dialog box and enable the software limits using the ‘Options box’. It is recommended that ‘Elliptical’ limits are selected.

9. Check the operation by trying to drive the stage outside the safety zone. (In which case a warning box will appear and the move will not be started).


User supplied XYZ hardware interface (DLL)

OMDAQ can be used with user-supplied XYZ stage hardware provided that a Dynamic Link Library (DLL) is supplied and copied into the OMDAQ2007 installation folder.

The DLL must be called OmXyzDll.DLL and should be written in C or C++ in the format defined in the file OmXyzDll.h, which is installed together with other files for demonstration and testing in the folder [Install Folder]\XYZ_DLL,

The detailed comments in OmXyzDll.h should provide sufficient information to allow this file to be created. Please contact Geoff for further advice and assistance if required.


Beam blanking and beam control
OMDAQ2007 provides several ways of switching the beam on and off:

External hardware (OR gates, HV amplifier, beam switch plates, Faraday Cup, etc.) are NOT supplied by OM.

On-demand beam pulsing Blanking the beam during the processing of a data pulse can improve the high count rate performance of detectors (pile-up, background etc.).
This can be achieved by using the BUSY signal from the OM-1000e to switch a fast beam blanker. If any of the detectors have busy periods which fall outside the OM-1000 BUSY period, these signals should additionally be ORed with BUSY.

Beam blank on MOVE Blanking the beam when the pixel position is changing ensures that signals are not accumulated from the regions between the two pixels (or in the case of beam writing, intermediate regions are not exposed). This is achieved by using the BEAM BLANK signal from OMDAQ2007 to switch the beam. This signal is available from the BNC socket on the DAC card cable. If your system uses the APCI-ADADIO card without a socket, the signal must be picked up from pin 25 on the 50-way socket on the back of the card. The BEAMBLANK signal can conveniently be ORed with the BUSY signal(s) as shown above.

The BEAMBLANK signal is enabled as follows:
1. On the System parameters tab of the Tools | Options dialog, check the "Beam blank on move" option
2. On the Pixel clocking tab of the Scan|Set dialog enter a non-zero value for the "Settling time".

This will give a beam blanking pulse which has a duration of 10*N*S us, where N is the larger number of unexposed X or Y pixels between the two points (note that for adjacent pixels, N=0 and the pulse is not generated) and S is the settling time value.

Beam On-Off The beam can be switched off using a mechanical device such as a Faraday Cup using the BEAM ONOFF signal. (Note that the user must supply the interface between the TTL signal and the device). The BEAM ONOFF signal is enabled by checking the "Show Beam Control buttons" option on the System parameters tab of the Tools | Options dialog.
After re-starting the program, a Beam On-Off menu item will be displayed together with a 'Faraday cup' speed button [image] . (Keyboard shortcut Alt-B)

This button can be used to operate the mechanical device. This command also switches the BEAMBLANK signal, so that the fast beam blanker can also be used as a beam on-off switch.

If the "Auto beam on-off (runs only)" option is checked in the System parameters tab, then the beam is controlled automatically so that it is only switched on when a data collection run is in progress.


Sample illumination (Chamber Light)
OMDAQ2007 provides software control of the sample illuminator lamp.

TTL Switch NOT supplied by OM

A TTL output LIGHTON is provided from the DAC output card. This is controlled either manually (from a toolbar button) or automatically (to permit automatic sample image saving at the start of each run. This signal is available from the BNC socket on the DAQ-2502 DAC card cable. If your system uses the APCI-ADADIO card without a BNC socket, the signal must be picked up from pin 42 on the 50-way socket on the back of the card.

This signal can be used to control a TTL operated switch or relay which switches the lamp power supply. This device must be supplied by the user.

The LIGHTON signal is enabled as follows:
On the System parameters tab of the Tools | Options dialog, check the "Show light control button". After re-starting the program, a Light On-Off menu item will be displayed together with a 'Lamp' speed button [image] . (Keyboard shortcut Alt-L). A light indicator is also displayed in the Status banner .

Two other options in the System parameters box select whether the light is controlled automatically:
Warn if light is on at new run | If the Chamber Light button is visible, this option warns the user if the chamber light is on when a new run is started and offers to switch it off
Auto save video image at new run | If the Chamber Light button is visible and the Video window is visible, this option turns the light on, saves a video image and then puts the light off at the start of a New Run. The image is saved in the current data folder with the name WWWRRR_Sample.BMP.


Synchronising with other systems

OMDAQ2007 provides a TTL signal to indicate when a run is started and stopped. This is a pulse with a configurable length which is generated at the start and end of each run. This can be used, for instance to synchronise an external data acquisition system or timer.

The signal is a TTL pulse (low-high-low) called STARTSTOP which is available on the following pins of the DAC output card
Card model | Signal name | Pin no | GND pin
PCI-234 | Not available |  |
APCI-ADADIO | DIO4 | 26 | 11 or 24
DAQ-2502 | PA4 | 66 | 28,54 or 62

The STARTSTOP signal is enabled as follows:
On the System parameters tab of the Tools | Options dialog, locate the "Start/stop sync pulse length" item on the left hand grid (this may be invisible at the bottom of the grid). Then enter a non-zero value for the pulse length. This value determines the pulse length in arbitrary units. (typically multiples of around 25 us). To disable the pulse, enter a value of zero.

The OMDAQ data collection is guaranteed to start and end immediately after the FALLING edge of the STARTSTOP pulse.


Data file formats and the DataIO SDK

The DataIO software development kit is a set of procedures to allow C++ software developers to write programs to read native OMDAQ data files - spectra, maps and listmode.

The procedures simplify the task of coping with different header formats and listmode formats and are guaranteed to read OMDAQ data written by any version of OMDAQ 98 and OMDAQ 2007.

The routines are provided as a dynamic link library (DLL).

The SDK is installed in the folder [InstallDir]\DataIO SDK\, where in a default installation, [InstallDir] is C:\Program Files\OM\OMDAQ2007.

The help file DataIO.CHM contains full information on how to use the SDK and also full information about how OMDAQ files are written.

Each data file has a series of header blocks which record various types of experimental and formatting information. The format of the headers has evolved during the life of OMDAQ and this is indicated to the reading software by a HeaderVersion parameter.

NOTE THAT IN LISTMODE VERSIONS 0 AND 1, XY INFORMATION IS COMPRESSED TO A MAXIMUM VALUE OF 256. THIS WILL RESULT IN IRRETRIEVABLE LOSS OF INFORMATION FOR PIXEL SIZES GREATER THAN 256.

The format of the files is shown schematically below:

1. Spectrum and map files
ID (6 bytes) | Parameters to identify the file type and indicate the header version
Run data | Experimental data such as sample name, run time and date, beam parameters, etc.
ADC data | Parameters describing the detector used to collect this data. Geometry, calibration, filter properties, etc.
File data | Parameters relating to the way the data is stored in the file (compression, energy window limits, etc.).
DATA .... .... .... | The binary data in uncompressed or compressed format.

2. Listmode files
ID (6 bytes) | Parameters to identify the file and indicate the header version
Run data | Experimental data such as sample name, run time and date, beam parameters, etc..
EIGHT ADC data channels 0 .. 7 | Parameters describing the detector used to collect data on each channel. Geometry, calibration, filter properties, etc.
Event block 1 | Event blocks consisting of 5 DWORDS of timing data followed by (E,X,Y) triplets for recorded events
Event block 2 | ...
... | ...
Event block N | ...

Events are stored in three possible formats:
lmfVersion
Format
Bytes per event
0

WORD E (11 bits E) | BYTE X | BYTE Y
00AAAEEE EEEEEEEE | XXXXXXXX | YYYYYYYY
4
1

WORD E (12 bits E) | BYTE X | BYTE Y
0AAAEEEE EEEEEEEE | XXXXXXXX | YYYYYYYY
4
2

WORD E (12 bits E) | WORD X (12 bit) | WORD Y (12 bit)
0AAAEEEE EEEEEEEE | 0000XXXX XXXXXXXX | 0000YYYY YYYYYYYY
6

(A is a bit in the ADC number, E is a bit in the energy, X is a bit in the X position, Y is a bit in the Y position)

Version 2 files are approximately 50% larger than version 0 and 1. The version number for saved LMF files can be changed using the System parameters dialog.

NOTE THAT IN LISTMODE VERSIONS 0 AND 1, X,Y INFORMATION IS COMPRESSED TO A MAXIMUM VALUE OF 256. THIS WILL RESULT IN IRRETRIEVABLE LOSS OF INFORMATION FOR PIXEL SIZES GREATER THAN 256.


GUPIXWIN interface

OMDAQ2007 provides a user-friendly interface to the Windows version of GUPIX.

See here for a discussion of the migration from GUPIX-DOS to GUPIXWIN and how to configure OMDAQ2007 to run with GUPIXWIN.

The strategy for this is outlined in the diagram:

The Windows components of OMDAQ2007 provides a user-friendly graphical interface to load, display and manipulate spectrum files and to modify the parameters of the run - beam properties, sample description, detector properties and beam-sample-detector geometry.

OMDAQ also provides an easy graphical interface to specifying GUPIX operating parameters and detector parameters.

An RBS simulation engine running within OMDAQ2007 provides simulations to RBS spectra (allowing the implementation of the Q factor method) based on the common sample data.

GUPIX is launched as follows:

1. The spectrum data is written in GUPIX ASCII format.
2. A GUPIXWIN parameter files (xxxx.PAR) is written containing all the parameters for PIXWIN which are extracted from the information held by OMDAQ2007.
3. PIXWIN.EXE is spawned as a new process. This will briefly display a temporary window.
4. On completion, GUPIX writes several output files. Of these the following are used:
· Short output (xxxxCONC.TXT) containing a summary of the concentration data. This is displayed in NOTEPAD
· Standard output (xxxxSTATS.TXT) containing a full description of the fit. This is saved in the user's GUPIX results directory.
· Graph output (GUPIXFIT.TXT) containing channel data for the data, fit and residuals. This is written into the GUPIX operating directory and is overwritten by each new run.
5. The stats output and the graph output files are read by OMDAQ2007 to extract the concentration data and the fitted spectra. The fitted spectrum is overlaid on the experimental data.


Virtual hardware mode

The data acquisition features of OMDAQ2007 can be tested or evaluated in the absence of hardware using Virtual Hardware mode.

In this mode, simulated pulses are generated for channel numbers 0, 1 and 2. The arrival time is random and the pulse height is selected randomly over a certain range of channels. The X and Y coordinates are generated at random from a square grid pattern with a different spacing for each channel.

The beam current and deadtime scalers are also filled to simulate a beam current of 100 pA and a deadtime of 10% on LIVE0.

To select Virtual Hardware mode, check the 'Virtual Hardware' box on the System parameters tab of the Options dialog and re-start the program.

To cancel Virtual Hardware and re-enable detection of installed hardware, use the Reset OMDAQ_2007 option to restart OMDAQ2007.


STIM maps

Statistics maps

STIM (and IBIC) data requires special treatment to extract the maximum amount of image detail. Particularly for direct (bright field) STIM, maps showing for each pixel quantities such as the mean, mode or median transmitted energy may show sharper, less noisy images than simple windowed maps. The properties may also be useful for other signal types.

Statistics maps can be generated during listmode playback by clicking the Statistics button in the Map definition dialog box for the detector. The statistical quantities at each pixel are calculated only for the visible range of the spectrum at the time the playback is started; regions of the spectrum outside the expanded range will be ignored. Thus, for example, the effects of low energy noise on the STIM data can be eliminated by expanding the region around the transmitted peak before starting the playback.

The quantities available for mapping are listed below (the 3 or 4 letter code is used in generating file names)
MEAN | Mean Energy | The mean energy of all events in the visible energy range at each pixel.
ELOS | Energy loss | The mean energy LOSS of all events in the energy range at each pixel (STIM only)
MODE | Mode energy | The most frequent transmitted energy
MEDI | Median Energy | The median transmitted energy (half above and half below)
VAR | Variance | The mean square deviation of transmitted energies
IQR | Interquartile range | The energy range containing half the transmitted ions.
TAIL | Skewness of the distribution | The difference between the upper and lower quartile ranges i.e. (Qupper - median) - (median - Qlower)

Playback is carried out by constructing a 3D array (x-y-E data cube) for each selected detector which is filled during playback. Statistics maps are constructed from the cube when the run completes. Values are stored in "true" energy units based on the spectrum calibration. If you require the values in channels, you should set the c0 and c1 parameters to 0 and 1 respectively using the "Standard" view of the spectrum information dialog.

ELOS maps are constructed using the smaller of the defined value of the beam energy or the upper limit of the expanded energy window. Obviously this does not give sensible values of the spectrum calibration is wrong or for inappropriate signal types.

The statistics data is stored internally as a floating point array which is scaled to the defined colour bar for display. Since the standard OMDAQ binary file format will only support unsigned integer pixel data, statistics files saved in this format may lose information. ASCII and CSV files are saved in floating point format. The number of decimal places printed can be changed (to reduce the size of the files?) using the File I/O options dialog.


Gaussian peak fitting

From version 1.3 OMDAQ2007 can calculate a real time background-subtracted fit to a spectrum peak and display statistics such as Gaussian peak area, centroid and full width at half maximum.

This is done using a simplex chi2 minimiser to determnine the values of the fiveor six unknown parameters in the expression for the number of counts in each channel over a selected channel window. These are three for the Gaussian (hieght, centroid and standard deviation) and two or three for a linear or quadratic polynomial background. The type of background (linear or quadratic) may be selected at an option in the Tool | Options | System parameters dialog.

The spectrum energy calibration coefficients are then used to convert these into energy units where appropriate, and a panel of peak statistics can be displayed or stored, or alternatively used internally in the program (e.g. for energy calibration and live peak quality monitoring).

This feature is best demonstrated using the peak integration button [image] on a PIXE spectrum.

After selecting two channels above and below the peak, the program displays the fit graphically and shows the fit parameters

The panel displays the following information:

· Centroid of the peak in channels and energy units
· Possible identification of the x-ray or gamma line
· FWHM of the peak in channels and energy units
· The limits of the window used to define the peak in channels
· The limits of the window used to define the peak in energy units
· Total counts in the window. This is presented as (1) The total integrated channel count in the window (Data) and (2) the total area under the fitted gaussian+polynomial.
· The area of the peak. This is presented as (1) the area of the fitted gaussian calculated from the height and standard deviation and (2) the integrated data - the fitted background. They may not be identical if the fitted gaussian has significant tails outside the fit window.
· The area of the background. This is presented as (1) the integrated data - the gaussian area, and (2) the area under the fitted polynomial. These may be different if the gaussian has significant tails outside the fit window.
· The minimum detectable limit (MDL) and the statistical error
· Parameters relating to the simplex fit: chi2, number of calls used in the fit and the mean fractional deviation of the data from the fit.
· Background polynomial coefficients.

The data can be copied to the clipboard using the "+" button.

This simple tool can not give accurate results in the presence of non-Gaussian peaks or significant overlaps. It may be necessary to try different fit limits to get a good fit.


Stereo pairs

Stereoscopic images can be recorded using a sample stage which has either a manual or automated rotary motion. For stereo the rotation does not need to be of high quality - all that is required is to record two sets of elemental maps of the sample with a rotation or about 10 to 20 degrees between each exposure.

If the sample stage has a rotary motion which is controlled by OMDAQ, then the Rotary scan option can be used to program automatic recording of stereo pairs, including eccentricity correction.

The saved maps can be loaded into OMDAQ using the menu item

File | Display stereo images

This brings up the Stereo Pair defnition dialog where the two runs can be selected and the appearance defined. This will then display images which can be viewed using red-green (or similar) spectacles:


Using the RBD 9130 picoammeter

The 9130 picoammeter manufactured by RBD Instruments Inc. of Oregon, USA is a sensitive picoammeter with a self-powered USB interface.

This device can be used with OMDAQ2007 for beam current indication and charge recording, but since it does not generate charge pulses, it can NOT be used for charge normalised pixel clocking.

OMDAQ 2007calculates the recorded charge by integrating the current readings.

Operation of the RBD picoammeter is configured using the RBD picoammeter tab of the System parameters of the Tools | Options menu item:

Use RBD 9103 as primary picoammeter This checkbox selects the RBD9103 as the primary meter for beam current display and charge accumulation.

USB COM port The RBD 9130 uses the FTDI serial-to-USB converter, so the USB port is emulated as a serial COM port. See the RBD 9130 manual for full details of establishing the serial link. The COM port number, which is found in the Windows Device Manager under ... must be entered in this box to enebale OMDAQ to find the device.

Current range This box is used to select the current range of the RBD9130. If an explicit range is specified then there may be loss of accuracy if the current goes over-range. The Auto option lets the RBD select the range according to the measured current. Note that in the fixed ranges, the picoammeter can be zeroed using the Zero button on the meter of the Statistics window .

Data sampling interval This sets the internal sampling period of the RBD9130.

Averaging (samples) This sets the number of current samples that are averaged to generate each reading.

Use +90V bias This turns on or off a voltage which is applied to the input of the RBD picoammeter to suppress secondary electrons. This must be used with care to avoid electric shock or damage to any equipment which could inadvertently touch the Faraday cup or sample stage.


Quick start
QUICK START!

This section should get you up and taking data within a short time. It is assumed that there is a PIXE 0-10V pulse signal (and possibly RBS) available. It is assumed that the beam is focused to a reasonable spot size (at least smaller than the test sample!). If any problems arise then you will have to read the instructions!

0. Connect the hardware according to the Wiring diagram . Connect the PIXE signal to the ADC0 input of the OM-1000e interface module.

1. Install and verify the software (instructions here )
2. Start OMDAQ using the OMDAQ2007 icon in the Start Menu.

IMPORTANT: For first time operation enter the correct authorisation code .

3. If desired, load screen fonts and colours from the pre-defined file NORMAL.TOP
· Click Appearance | Load desktop on the main menu.
· Select NORMAL.TOP from the list of files
· Click OK

4. Set up the detector specification (i.e. associate a spectrum window with each ADC channel. The file NORMAL.ADC contains
· Click Spectra
· Click Load ADCs, Select NORMAL.ADC; Click OK
· Click OK to finish setting up detectors. Two Spectrum windows will be created (PIXE on ADC0 and RBS on ADC1) and these can be sized and moved to a convenient position on the screen

5. Position a test sample with features of at least 100um scale into the beam using the XYZ stage and the video microscope if fitted.

6. Switch on (and Reset!) the scanning amplifier and set to give a scan size of ~1000um. If the scanning system has not yet been calibrated , then the values of XCal=1000; YCal=500; Scansize=400 and Coarse/Fine=1 should give reasonable results for the standard OM triplet.

7. Click Start

The LEDs on the front panel on the OM-1000e will flash and signals should now be observed in the spectra. The horizontal scales of the spectra can be zoomed using the Expand [image] and Reset [image] buttons on the spectrum toolbars. The vertical scales can be toggled through linear, square root and logarithmic using the Lin/Sqr/Log button [image] . Spectra can be zeroed using Zero / All live from the main menu or Alt-Z from the keyboard.

8. Calibrate detectors - you will need identifiable signals in the spectra for this.
· Click the Calibrate button on the PIXE spectrum
· Click on an identifiable peak
· Type the energy (keV) or X-ray line symbol in the box (e.g., Si, Pb La, 6.400)
· Repeat for at least one more channel
· Click Done
· Repeat for RBS using the surface edges to calibrate on. (You can set the ion energy using Mod | Run data on the main menu)

9. Set up 2D sorts.
· Click Maps
· Select the tab for ADC 0
· Click By Element
· Type a list of X-ray line symbols to set sorts on, separated by commas, (e.g. Al, Si, P, Pb La, Sr Kb) . End with Enter. or click OK. (Alternatively click Common to get a set of maps of common elements).
· Click OK

The 2-D Map windows will now be created and can be sized in steps using the buttons in the top right corner and positioned by dragging the title bar. Alternatively the Window navigator pane can be used to tile the maps or spectra onto the desktop.

10. Leave DAQ by clicking Files / Exit. The setup and the current data are saved automatically following any changes, so the program will restart in its previous condition.


Worked examples

Worked examples (Data processing)
 Previous Top Next

Some sample data files are installed into the ..\Examples\ data folder to provide practice in viewing and processing PIXE, RBS and listmode data. Two sets of data are described in detail as worked examples:
Run number
(in C:\Microbeam Data\Examples)
Description
Run 383011
This example demonstrates the use of simultaneous RBS and PIXE analysis to determine the composition of a lead glass certified reference material. The analysis is described in detail here .
The Albemarle Iron Mine

IronSlagExamples.ZIP
This example, which is used as a student training project at the University of Surrey Ion Beam Centre, demonstrates: listmode playback, 2-D map display and PIXE/RBS concentration calculation.

The data files and explanatory texts are contained in the file ..\Examples\IronSlagExamples.ZIP . Unzip this file into a new folder and follow the project outline in IronSlag.doc.
Runs 384014 and 384015
PIXE and RBS analysis of two metal-rich features on the leaf of a metal-accumulating plant. These spectra can be used to demonstrate 'Next run and keep data' and spectrum overlays.
Run 325009
From an experiment to study metal hyperaccumulation in the tissues of insects, as outlined in the .PDF file of a poster from the 2004 PIXE conference.

The sample is the leg and foot of an Ichneumon wasp which is scanned with a focused beam of 2.5MeV protons. The scanned area is 1 x 1 mm2.

PIXE, RBS and STIM data were collected. All the data collected during the run (spectra, maps and LMF files) are provided.
Run 442007
PIXE and RBS analysis of a glass standard (Corning Glass Company standard 'B'). The certified composition of this standard is provided in the standards database.


Overview of installation procedure

OMDAQ will run on a modern Windows XP personal computer with sufficient PCI expansion slots to take the PCI interface cards .

Ideally the PC computer should be "clean" (i.e. no previous versions of the software or hardware drivers should have been installed. Re-installing the full hardware/software system onto a previously used machine can be more difficult and may require patience and some experience of the vagaries of Windows.

The installation should take place in the following sequence. The "Option" indicates which options the operation is required for as follows:

XYZ | Installations with A3200 controller. For other XYZ controllers, see here .
DAQ | Installations with data acquisition and scanning hardware
Video | Installations with Angelo RTV frame grabber
All | All types of installation

Options which are not applicable should be omitted.

Step | Option | Task | Comments
1. | XYZ | Connect the XYZ hardware |
2. | XYZ | Install the XYZ software . Restart the PC. | This installs the RTX operating system and the diagnostic files for the XYZ stage controller
3. | All | Install the OMDAQ2007 software | This installs all the OMDAQ software. Do not start OMDAQ2007 until stage 13.
4. | XYZ | Verify the XYZ stage operation | Ensure that the XYZ stage is working properly before proceeeding
5. | Video | Install the Angelo RTV software |
6. | Video | Install the Angelo RTV card |
7. | Video | Verify Angelo RTV card installation | Ensure that the RTV card is working properly before proceeding
8. | DAQ | Install the Amplicon PCI-215 DIO driver |
9. | DAQ | Install the Amplicon PCI-215 DIO card | Ensure that the card is visible in the Windows device manager (it will be verified at stage 14.)
10. | DAQ | Install the DAC card driver | Follow the instructions for the supplied card
11. | DAQ | Install the DAC card | Ensure that the card is visible in the Windows device manager (it will be verified at stage 14.) Hardware installation is now complete
12. | DAQ Video | Connect the hardware as shown in the Wiring diagram . Connect the video signal from the microscope to Port 0 (top) of the video card | A higher resolution copy of this is available in the printed manual
13. | All | Start OMDAQ2007 using the shortcut installed in the OMDAQ2007 start menu. The program will ask for a site code and an authorisation code or password and display the OMDAQ main window | Ensure that the correct password is entered on the first operation.
14. | DAQ | Verify the DAQ operation using the procedures outlined in the Quick start instructions | If any problems are encountered at this stage, try to diagnose them using the detailed Debugging commands in OMDAQ. As a last resort contact Oxford Microbeams on omltd@microbeams.co.uk
15. | DAQ | Configure the GUPIXWIN interface if you wish to use the PIXE spectrum processing options. This is outlined here . |
16. | All | Verify the Listmode playback and spectrum processing options by working through the example data installed in C:\Microbeam Data\Examples | The example data is installed as a compressed archive EXAMPLES.ZIP. This should be extracted into the ...\EXAMPLES folder. Examples are described in IronSlag.doc (this was originally written as a student project) and here
17. | All | Check for updates | OMDAQ2007 can be configured to check for ugrades automatically at regular intervals (see here ). If this option is not enabled (because for instance, there is no FTP access), then you can check manually for updates on www.microbeams.co.uk/download.html


XYZ (A3200) software installation
Read the installation instructions very carefully BEFORE attempting to install and operate this equipment. The Firewire interface installs Ardence® Real Time Extension for Windows (RTX) and it is crucial that the correct sequence of installation steps is followed in order to get the Firewire card to work under RTX.

If you wish to install the system on a multiuser system you MUST read the sections in the A3200 manual (which can be found as MANUAL\HELP\NVIEW.CHM on the installation CD-ROM) relating to user privileges.

The following instructions must be followed in detail (especially with regard to configuring Ardence RTX).

Installation of Firewire and Ardence RTX:

1. Install the Firewire card into a free PCI slot.

2. Restart the PC.

3. Connect the XYZ hardware. . Do not switch on the controller at this stage.

4. Insert the A3200 installation CD and follow the installation procedure.

5. Enter the CD key: E2FFB-00000-FRACFADEBA

6. Enter the CD options key: 00000-00000-00000-00000

7. Install the A3200 files in the recommended folder (C:\A3200). If space is low, it is not necessary to install the examples. In response to the question about Ethernet Remote Server, select ‘Standard’.

8. The installation will proceed and will install both A3200 and Ardence RTX. Restart the PC when this has completed.

9. It is now necessary to configure the Firewire card to work under RTX. The following procedure is described in more detail in the NView help file which can be accessed from the “Automation 3200” program group in the start menu. (If this does not appear, the file should have been installed as C:\A3200\BIN\NVIEW.CHM). Look under ‘Installation’.

10. Open the ‘RTX properties’ program from the ‘Ardence RTX’ program group.

11. Select the ‘Plug and Play’ tab and look for the Firewire card under the ‘Windows’ folder. It may be listed as ‘… IEEE 1394 Host’. If you can’t see it, there may be something wrong with the card or its installation.

12. Right click on the card and select “Add RTX INF support”. Apply changes.

13. Open the Windows XP device manager (Control Panel | System | ‘Hardware’ tab | Device Manager) and locate the Firewire card or IEEE 1394 host on the Bus Host controller.

14. Right click on the Firewire or IEEE 1394 card and select ‘Properties | Driver | Update Driver’

15. Select ‘Not this time’ then click Next.

16. Select ‘Search Automatic’ then click Next.

17. Select ‘RTX supported Firewire driver’ then click Next.

18. Allow the computer to reboot.

19. After the OMDAQ system is installed, you can verify the correct operation of the XYZ using the A3200Test program supplied with OMDAQ2007.

Hint

On some computers, making changes to the system setup (e.g. adding new cards, changing display properties) may disable the Firewire card. In this case, use the Windows System Hardware Manager to REMOVE the device from the system and then use the hardware search option or Add New Hardware to allow the system to re-dsicover the card and re-load the driver.

This completes the A3200 and Ardence RTX installation and configuration.

Return to installation overview


OMDAQ2007 software installation

The OMDAQ software package is supplied as a self-contained EXE file OMDAQ2007_Install.EXE.

Administrator privileges may be required to run this procedure in a managed environment.

Run this file to initiate a standard Windows installation procedure. The following default locations will be used, but these can be changed if required:

Installation folder: C:\Program files\OM\OMDAQ2007
Start menu folder: OMDAQ2007

Return to installation overview


XYZ stage hardware installation

The XYZ stage supplied with this system is
EITHER the stepper motor driven model HPT from VG Scienta Ltd, Hastings, U.K. (http://www.vacgen.com)
OR the motorised Multistage XYZ from UHV Design, Lewes, U.K. (http://www.uhvdesign.com/xyz_manipulators1.htm)

In either case the motors are driven by a A3200 three axis controller from Aerotech Inc (http://www.aerotech.com) which is controlled by Firewire from the OMDAQ2007 package.

In order to ensure a fast response, the Firewire interface runs under a Real Time Extension (RTX) operating system. It is essential that this is installed correctly.

Please read the XYZ manual before starting this installation

The cables should connected as shown in the diagram below before going on to install the software.

Return to installation overview


Verifying XYZ stage operation

The configuration parameters for the controller are stored in a file called:
DAQ_HPT000000.PRM for installations earlier than September 2007
OR
DAQ_HPTnnnnnn.PRM for later installations
(where nnnnnn is the Aerotech order number for this installation which can be found on the case of the installation CD-ROM or in the Show configuration dialog box ).

This will be found either in C:\Microbeam Settings\ConfigFiles OR (if OMDAQ2007 has not yet be run) in [InstallDir]\ConfigFilesInit, where [InstallDir] is the directory the .EXE file was installed to.

====================================================================
It is CRUCIAL to use the correct PRM file for your installation.
Serious damage to the XYZ stage can result from running with an incorrect version of this file.
====================================================================

If you are installing the A3200 XYZ stage for the first time as an upgrade to a previous version of OMDAQ2007, you must locate and DELETE the XYZ database file DQP_XYZ.DDB.
This should be found in the C:\Microbeam Settings\Databases folder. This will allow OMDAQ2007 to generate the correct .PRM filename.

TestA3200

To test the A3200 stage without using OMDAQ2007, use the application TestA3200

1. Open TestA3200 (on the Tools folder of the OMDAQ2007 start menu)

2. If this is the first time:
Browse for the correct .prm file in the folder C:\Microbeam settings\Config files. This will have the form DAQ_HPTnnnnnn.PRM, where the number can be found on your A3200 installation CD or from Help | About on the OMDAQ 2007 menu. The PRM files are located in the Config Files folder of C:\Microbeam Settings.
Ensure that you load the correct file!!

3. Click "Start". This will download the parameter file and start the A3200 motion controller.

4. For each axis, start the motor using the On-Off switch. Test the motion by using the red arrow buttons. The step size and the demand velocity can be selected. The red STOP button can be used as an emergency stop (or use the On-Off switch). The SINE button programs 10 cycles of a sine motion with a maximum velocity determined by the "Speed" box and an amplitude taken from the step size box.

If there are any problems, these will have to be diagnosed with the help of the programs supplied with the A3200 system.

Return to installation overview


Angelo RTV software installation

Do not fit the Angelo RTV card into the PC until the software package has been installed.

1. Start the PC.

2. Insert the Ad-Link All-in-One CD-ROM into the drive and allow the installation wizard to start.

3. Select:
· Driver Installation
· Vision
· Angelo
· Windows driver

and allow the installation to complete.

Return to installation overview


Angelo RTV card installation

Ensure that the Angelo RTV software package is installed before proceeding

1. Switch off the PC

2. Install the Angelo RTV card in a vacant PCI slot.

3. Switch on the PC. The system should detect the new hardware and should be able to locate the correct drivers automatically if the software installation has been successful.
Note that EIGHT (8) devices will be located and installed - four video channels and four audio channels. The Windows XP new Hardware Wizard will run for each of these devices.

4. Verify the installation

Note that if the card is moved to a new PCI slot, the New Hardware Wizard will run again.

Return to installation overview


Verifying Angelo RTV card installation

To verify the correct operation of the video card:

1. Inject a composite video signal into Port 0 (top socket) of the RTV card.

2. From the Angelo RTV program group on the Start Menu, start the ViewCreator program.

3. The image should display. If it is not clearly visible try adjusting the video settings (especially PAL/NTSC).

Return to installation overview


Amplicon PCI-215 DIO driver installation
Do not fit the Amplicon PCI-215 card into the PC until the software package has been installed.

1. Insert the Amplicon Liveline software CD-ROM into the drive

2. Click "Software, Drivers and Manuals"

3. Click the "Win/NT" Download button for PCI-215

4. Run the installation software.

Return to installation overview


Amplicon PCI-215 DIO card installation

Ensure that the Amplicon PCI-215 driver is installed before proceeding

1. Switch off the PC

2. Install the Amplicon PCI-215 card into a vacant PCI slot.

3. Switch on the PC. The system should detect the new hardware and should be able to locate the correct drivers automatically if the software installation has been successful.

Return to installation overview


DAC card driver installation
Do not fit the DAC card into the PC until the software package has been installed.

The DAC card supplied with OMDAQ2007 will be one of the following. Follow the appropriate instructions.

Arcom PC-ADADIO

1. Locate the file PCI_W2K_XP_v1i1.ZIP. This may be on the Arcom CD-ROM or will be installed in [InstallDir]\Drivers, where [InstallDir] is the folder where the DAQPP.EXE file was installed.

2. Extract this file to a temporary folder.

3. When the Windows "New Hardware" wizard asks for a driver location, browse to the location of this temporary folder.

Ad-Link DAQ-2502

Return to installation overview


DAC card installation

Ensure that the DAC card driver is installed before proceeding

Follow the instructions for the card supplied

Arcom PCI-ADADIO

1. Set the output polarity! If you are using the OM-40e scan coil amplifier, it is essential to set the output voltage range to 0 - 10V, otherwise the amplifier may be damaged. Other amplifiers may require a bipolar output signal.

Set the polarity by setting links on the card as follows:
Output voltage range | Amplifier | Link settings
0 - +10V | OM-40e | LK5 and LK6, Disconnect
-5V - +5V |  | LK5 and LK6, connect to pin A
0 - +5V |  | LK5 and LK6, connect to pin B

2. Shut down your PC and install the Arcom PCI-ADADIO card.

3. Restart the PC and wait for the "Found new hardware" wizard

4. On the “Found New Hardware Wizard”:
· Select “Install from a list or specific location (Advanced)".
· Click Next.
· Select “Search for the best driver in these locations”.
· In “Optional Search Location” Select “Specify a location” and chose the location to which you have extracted the drivers.
· Click Next.
· Click Finished

5. Reboot your PC when asked

======================================================================

PLEASE CHECK THAT THE OUTPUT VOLTAGES ARE UNIPOLAR (0 - 10V) BEFORE SWITCHING ON THE OM-40e

This can be done by observing the scan voltages from the Scan Amp outputs on the front panel of the OM-1010e

======================================================================

Ad-Link DAQ-2502

Output voltages are configured in software.

Return to installation overview


Passwords and installation types

All licensed sites will be supplied with two authorisation codes (passwords). This reason for this is that the password is used to activate or deactivate certain modules so that installations used for off-line processing do not carry the overhead of hardware control required for the on-line version.

The Username also sets up site-specific parameters in the program, such as the start date for the run numbering system.
User code | An abbreviation of the site name (e.g., UniS, Oxford) | This is CaSe SeNsitive
Full password | 8-digit hexadecimal number | Activates all modules of the program required for the supplied hardware. This should ONLY be used for the installation connected to the microbeam hardware
Off-line password | 8-digit hexadecimal number | Activates only the offline processing modules. This should be used for all installations not connected to the microbeam hardware.

The password can be changed at any time using the Register command, but it is strongly recommended that the correct password is used at the first run.

The Username DEMO can be used to activate the program for a limited period on any machine. This should NOT be used with the on-line version as the file naming system may be corrupted and data lost or over-written


System file locations

File locations

OMDAQ2007 reads and creates a wide range of files ranging from live data files collected during operation to automatically created configuration and status log files.

These are stored in a number of folders which are created the first time that OMDAQ is started on a new installation or following a startup using the 'Reset OMDAQ FOLDERS' command or the -f command line option.

The location of these folders can be changed after startup using the File locations dialog .

File access problems
On startup, most of the folder names are derived from Windows recommended path names to try to ensure that the folders actually exist, are accessible and can be written to regardless of the Windows version, username, user privileges or language. Thus for example on Windows 7, the local live status directory may be
C:\Users\username\AppData\Local\OM\OMDAQ2007\LiveStatus,

but under Windows XP with a managed operating system, it could be

H:\Documents and Settings\username\Local Settings\Application Data\OM\OMDAQ2007\LiveStatus.

The exceptions to this are the root folders for the data file structure and the configuration data structure. Historically these have been defined as:

C:\Microbeam Data and
C:\Microbeam Settings.

Since these file structures must be created successfully before the program will start, this may be leading to fatal startup errors in systems where the current user does not have write access to C:\.

To avoid this the program displays the following dialog to allow the user to select a new root device for these important data structures:

This permits the user to select where the ...Data and ...Settings folder structures will be created. The filenames that will actually be used are displayed, and on exit, the folders are tested for write accessibilty before continuing.

On startup OMDAQ2007 will copy a large volume of data from the original installation folder to the Data and Settings folders.

For data collection versions it is recommended to accept the option to create the files in the root of C:\. For other systems, the optimum location will depend on the users privileges and whether the PC is a private or public machine.


Checking for updates

OMDAQ2007 can be used to check the Oxford Microbeams Ltd web site and report whether there is an upgraded version of the program available.

This can be done automatically, or manually using the Tools | Check for Updates menu item.

Automatic updates
OMDAQ can be configured to check the website automatically. This is done by opening the Tools|Options dialog and checking "Check for updates on startup".

Also, when OMDAQ2007 is started for the first time, or following a program Reset, the following dialog appears at startup:

Automatic updates should be enabled unless the PC is not connected to the internet or if the security settings of the installation do not permit FTP access to the OM website. Some FTP problems may cause fatal errors so that OMDAQ can not be started without a reset.

When automatic updates are enabled, the OM website is checked by opening an FTP link when the program is started. This is done at an interval of 7 days (though this period can be changed in the above dialog which also appears when the checking is complete).

If a new update is found, the program reports the updated features and there is the option of opening the manual update box (below) to download the update.

In some installation, opening an external FTP link can cause fatal errors (e.g. due to lack of network privileges), in which case, updates can be found by checking www.microbeams.co.uk/download using a web browser.

Manually checking for updates

Use the menu command Tools|Check for Updates

This opens the box below. This will immediately access the website and report the version number of the latest available package. If a new version is available, you can click the Download button to retrieve it.


Resetting OMDAQ_2007
Start menu:

Reset OMDAQ2007 configuration
Reset OMDAQ2007 file paths to the default (USE WITH CARE)

OMDAQ_2007 saves its configuration and status in a number of disk files. This means that the program will always try to start up in its most recent state.

These files are saved in in the folder

[Users| Documents and Settings]\AllUsers\Application data\OM\OMDAQ

The configuration files have names of the form Dqp_Function.NNN, where Function decsribes the role of the file and NNN is the release number (the 3rd group of digits in the program version number). The release number changes whenever a new configuration file format is created, so this ensures that the program will always start after a new release, but this may be in the default state)

The configuration files also may become corrupted and OMDAQ may crash during startup.

If this happens, or if the configuration files are missing, the following dialog is generated:

The options are:
Rollback to a previous configuration: A rollback configuration file is saved every time OMDAQ starts successfully - i.e. completes all the initialisation tasks. So this option allows the user to select a recent configuration and start the program in this state.

Clean initialisation but keep hardware settings. This option resets all the data structures (spectra, maps, etc.) but keeps the hardware configuration. May allow a faster restart.

Do a clean initialisation (Default settings for all parameters): Restart the program with the default (compiled in) settings for data and hardware. This will lose most of the local customisation options.

Close the program: Close the program to try to resolve any file access issues.

Once an option is selected, click Continue to proceed.

Resetting from the command line

Occasionally it may be necessary to force a reset, for example to tell OMDAQ to resume searching for an XYZ stage.

This can be done using command line arguments:

DAQPP.EXE -f -r
-f | Reset the file locations to settings based on the current installation location and the current user name. This should be used with caution, since it can mean that data is written in unexpected places!!
-r | Reset the main configuration files. This will force OMDAQ to display the 'Start action' dialog described above

The RESET icons on the OMDAQ2007 start menu implement the {-r} and { -f } options respectively


Using OMDAQ 2007


The OMDAQ main window

The main window consists of:

· Main menu

· Horizontal status banner which reports the current status of OmDaq

· Vertical toolbar of speedbuttons giving rapid access to commonly used commands

· Window navigator pane to find, tile or hide selected groups of windows

· Data pane where all data and control windows are displayed

Common commands can be accessed through Keyboard shortcuts


Loading and displaying saved data

Data saved by OMDAQ can be reloaded into the program and displayed, processed or printed.

This scan be done in several ways:

1. Loading individual data files
2. Load all files for a specified run
3. Loading the next files in a sequence
4. Load next spectrum and carry data forward
5. Displaying stereo pairs .

See also
OMDAQ data file names
OMDAQ data file formats
DataIO SDK


Automatic log keeping

Live log keeping
OMDAQ maintains an automatic log file in each data folder containing a summary record of each run.

The log file is created automatically and is updated at the end of each run. In addition to a subset of the data supplied in the New run dialog , the file also contains comments entered by the user during the run. These user comments are entered via the Run log dialog box , which is displayed whenever a run is started.

The automatic log is stored in two formats: a .TXT file which can be used as a narrative log to review the collected data and a .CSV file, which allows the log to be displayed and manipulated using a spreadsheet program (e.g. Excel).

The filename is generated automatically from the run date and the Username, thus the files contain information about all runs collected for that user on that date. (The behaviour with runs which carry on over midnight is not predictable).

Retrospective logging
Folders which were written before this option was introduced can be summarised in the same format using the "Write log file record" option of the Load all files for run command.

Typical (but fictitious...) log files are shown below:

.TXT file
Each run has a block of data. Each line of text from the Run Log text box appears as a line in this log. This information included in the log is a short summary intended as an aide memoire to assist data processing. Detailed experimental information is stored in the data file header blocks.

.CSV file

Each run has a new line in the Comma Separated Variable text file. The filename of the CSV is suffixed with "_00". If the format of the file changes during a day (e.g. if a new detector is added), logging continues in a new file with incrementing suffix (_01, _02, etc.).


Setting up the scanning system
OMDAQ2007 has a powerful system for controlling the amplitude of voltages generated to drive the scanning amplifiers (i.e., the scan size).

The program can change the scan size either by either generating internally scaled scan voltages (for fixed gain amplifiers) or it can calculate the values of external gain controls required for any desired scan size.

To do this, the scanning system must be configured and calibrated. Several configurations can be stored an recalled so the the system may be used with a number of different scanning configurations (e.g., on different beamlines, different ion energy or different lens configurations).

To change between stored configurations, use the Scan configure dialog to select the required configuration then click "Close and Save changes".

To create new configurations, each new scanning configuration must first be CONFIGURED and then this configuration must be CALIBRATED using the internal calibration wizard.

These tasks are described below.

1. Manual scan size setting
Setting up the scanning system for manual control
Calibrating the scanning system

2. Software control of scan size
Setting up the scanning system for software control
Calibrating the scanning system


Setting up the scanning system for manual control

These notes describe how to configure the scanning system for scan size control using the front panel controls of the OM-40e scanning amplifier. Other scanning hardware with manual gain controls can be configured provided that the options are selected to match the hardware.

1. Use Scan | Configure to open the scan configuration window.

2. Create a new configuration
Right click on the scan configuration box and select either "Create new scan configuration (empty)" or "Create a copy of this configuration". If you have made no changes to the scanning or lens hardware it is recommended to make a copy. Give the new configuration a descriptive name (e.g. "Standard OM triplet with manual control").

3. Define the configuration
Enter all the configuration values (only if you are starting with a new system).
In the Options box, select "Manual master gain control", "Manual channel gain controls" and "Manual Fine/Coarse switch", as shown above.

4. Save and Exit
Click "Close and Save Changes". This configuration will now be saved in the scan configuration database, "..\Microbeam Settings\DataBases\dqp_scan.ddb".

The configuration must be calibrated before it can be used.
See Calibrating the scanning system


Setting up the scanning system for software control

These notes describe how to configure the scanning system for software control of scan size using the OM-40e scanning amplifier.

A note on scan size and pixel resolution.
The method described here configures OMDAQ to change the scan size by changing the amplitude of the voltage generated by the DAC card. The DACs used in the standard OMDAQ system are 12-bit devices. This means that for the standard 256 pixel (8-bit) map size, the amplitude can not be reduced below 1/16 of maximum (4 bits) without distortion . That means that for the typical setup with 2500 um maximum size, operation below about 160 um will give problems. The software does not check for this, and the first you will know of it is when you see a distorted image (digital beats and/or jagged edges).

There are a number of ways round this:
1. Accept the use of the Fine/Coarse (x0.1) switch on the OM-40e. This allows amplitudes down to 16um to be generated.
2. If you know that you will not operate with large scan sizes, set the Scan Size control on the OM-40e to the maximum scan size that you expect to use before starting the calibration routine.
3. Reduce the number of pixels in the map (see Scan Method tab )

Option 1 is recommended if you do not object to occasionally changing the Coarse/Fine switch.

We are currently working on methods for avoiding these problems.

To set up software scan size control, use the following procedures.

1. Configure for manual operation
Use the procedure described here to configure and calibrate the manual operation of the OM-40e. Set the gain controls to the largest scan size that you expect to use.
Do not change the gain or calibration controls from now on (it is probably a good idea to make a note of their settings, in case they are moved inadvertently).

2. Use Scan | Configure to open the scan configuration window.

2. Create a new configuration
Select the name of the configuration that you have created for manual operation. Right click on the scan configuration box and select "Create a copy of this configuration". Give the new configuration a descriptive name (e.g. "Standard OM triplet with software control (1mm max)").

3. Define the configuration
In the Options box, select Scale DAC output voltages". If you wish to use the Fine/Coasre switch also select "Manual Fine/Coarse switch" as shown.

4. Save and Exit
Click "Close and Save Changes". This configuration will now be saved in the scan configuration database, "..\Microbeam Settings\DataBases\dqp_scan.ddb".

The configuration must be calibrated before it can be used.
See Calibrating the scanning system


Calibrating the scanning system
The sensitivity of the beam scanning system must be determined experimentally so that the program can calculate the correct scan size settings for a specified scan size.

The theoretical background to the scan calibration is presented here .

Scan calibration can be done in two ways as selected in the Scan calibration dialog .

Two tabs allow the calibration to be determined with the help of the program or entered manually.

Note that any rotation correction must be set to zero before starting this process
(see Rotation correction).

1. Calibrate from settings and scan size

Warning: This procedure only works correctly for Gain Control Option 0 (independent Scan Size and Calibration controls).

Using this tab, the program calculates the scan calibration settings from the current gain control settings and the observed scan size.

1. Define as accurately as possible the hardware parameters for the scanning system. This is done using the menu command Scan | Configure .

2. Mount a test object with well known dimensions in the target position. The object should enable the scanned area to be measured in both directions; ideally this can be a grid mounted with the bars accurately horizontal and vertical, but any target of known dimensions can be used.

3. Set the scan pattern to Full raster and confirm that you can make an elemental or other map of the object.

4. Manually adjust the scanning amplifier controls until you have a recognisable image (it doesn't matter now if it is distorted as long as you can determine the full scan size in each direction.

5. Enter the actual settings of the scanning gain controls and then enter the measured values of the X and Y scan size.

6. Click Calibrate. The program will calculate new values of the calibration constants and ask if you wish to keep these.

Calibration should be carried out for both settings of the Fine/Coarse switch.

2. Enter calibration factors manually

This window presents the internal calibration factors used by the program to calculate the scan size (see Calculation of scan size settings ). Using these values and the scan sizes observed for different gain control settings allows the user to calculate manually the calibration factprs (F). These can be entered and transferred to the program using the Store settings button.


Correcting for scan coil rotation
Because of the difference (a factor of 4) in deflection sensitivity in the two planes (X and Y) of the Oxford Triplet lens system, angular misalignments of the scan coil deflection planes relative to the focusing planes of the lens are amplified into the 'parallelogram' distortion shown schematically below for a square grid sample. Even small misalignments can produce a strong distortion.

Ideally this misalignment must be corrected mechanically during the alignment procedure, but small rotational misalignments of the coils can be corrected in software using the Scan calibrate dialog box.

The Rotation correction tab in this dialog allows estimated value of the rotation correction to be entered. Separate values of angles can be entered for the Coarse and Fine tap settings to allow small coil errors to be corrected.

Enter new values of the correction angles and then press Store Settings to copy these to the calibration parameters.

This option applies a rotation transformation to the X and Y output voltage.

Important
Using rotation correction reduces the maximum sweep amplitude. This is corrected for in the calculated scan amplifier settings. Scan size calibration must be carried out with the rotation correction ZERO.


Listmode overview

In listmode or event-by-event data collection, every data pulse recorded by the data acquisition system is stored in a file as a four word event consisting of
· ADC channel number
· Digitised pulse height
· Current X position
· Current Y position

Files are saved with the extension .LMF and grow in size as the experiment progresses. At a data rate of 1 kHz, the file grows at a rate of around 1 Mb every five minutes.

The LMF files contain a complete record of the experiment and can be played back off-line using OMDAQ to give the following features:
· 2-D maps of elements missed during live data taking
· "Statistics" maps (mean energy etc.) for STIM and IBIC data
· Energy spectra from selected 2-D regions of the scan
· Data from different time periods during the run (useful, for example, for determining whether the sample moved during the run)
·

NOTE THAT IN LISTMODE VERSIONS 0 AND 1, XY INFORMATION IS COMPRESSED TO A MAXIMUM VALUE OF 256. THIS WILL RESULT IN IRRETRIEVABLE LOSS OF INFORMATION FOR PIXEL SIZES GREATER THAN 256.
The listmode version can be changed in the System parameters dialog.

The helper program LmfExtractor is provided to extract data from listmode files either as a 'data cube' array or as a text list of E,X,Y events suitable for reading into Excel. (This was formerly shipped as LmfToCube).

For details of file formats and how to read listmode files in self-written software see the DataIO SDK


Starting listmode collection

Listmode collection is enabled by checking the "Listmode" box in the New run dialog . After this, all subsequent runs will be saved in listmode, with the data written to a file with a name like

[DataRoot]\[User]\[Date]\rrrnnn.LMF

This parameter remains in force until it is explicitly unchecked.

Listmode is the default action for all runs involving scanning (2D maps and line scans). For point mode runs, listmode is turned off by default. If the listmode setting is changed, the new value is remembered for that particular mode.

NOTE THAT IN LISTMODE VERSIONS 0 AND 1, XY INFORMATION IS COMPRESSED TO A MAXIMUM VALUE OF 256. THIS WILL RESULT IN IRRETRIEVABLE LOSS OF INFORMATION FOR PIXEL SIZES GREATER THAN 256.
The listmode version can be changed in the System parameters dialog.


Listmode playback

Listmode (LMF) files can be replayed using OMDAQ2007. Once a .LMF file is opened, the program enters Playback mode and all operations such as Start/stop will act on the file.

Warning: In principle listmode playback should be independent of live data taking, and it should be possible to play back files on an on-line system. However, to avoid confusion, it is strongly recommended that LMF playback should only take place on "off-line" versions of OMDAQ2007. (See here for more information on installation types).

The typical sequence of operations for playback is:
1. | Open the LMF file using Play | This brings up the Listmode playback dialog which allows a new file to be selected. An empty spectrum window is automatically created for each detector channel used in the original experiment.
2. | Set up any playback options required | e.g., masking, start and stop actions, data range. See Listmode playback dialog
3. | Click Rewind | This closes the LM dialog and resets the file pointer to the start of the file.
4. | Click Start | This starts the data processing. Events are read sequentially from the file and processed according to the selected options. The process stops when the end of file is reached.
5. | Set up any new maps required |
6. | Re-open the LMF dialog with Play |
7. | Repeat from 2. | When the processing is complete, either open a new file or click End playback, i which case the system returns to the state prior to entering playback mode.

The sequence Play | Rewind | Start becomes a familiar operation in Listmode playback. Please note that for reasons which I don't understand yet, you may need to repeat this several times before the playback commences.

Worked example
A worked example of how to process listmode data is provided in the Microbeam Data \Examples folder. See here for more details.


Programmed runs: Automated operation

Automated operation using OMDAQ 2007

OMDAQ provides a number of options for setting up a list of 'programmed runs' - a list of sample stage positions, scan options and stopping conditions which can be executed at a later time to give automated unattended operation.

The programmed runs options are accessed through the Programmed runs item on the main menu.

The core of this system is the Programmed run list , which stores the run information. This list can be populated in several ways:
Menu item | Action | Description
 | Deferred execution of a run defined from the New run dialog (Run later button) | Clicking the Run Later button transfers the defined run to the Programmed run list. Use this option to create a list of individually defined runs for automatic execution.
View programmed runs | Shows the Programmed run list window |
Create from sequence file | Creates a programmed run sequence from a Run sequence file | User can define a list of runs in a CSV data file using pre-defined column headings.
Mosaic scan | Mosaic scan | Defines a set of runs to do a large area scan in smaller tiles in a Step And Repeat action.
Z stack | Z stack | Defines a set of runs to do a sweep in the Z or Focus direction.
Rotary scan | Rotary scan | Defines a set of runs with different rotation angles (.e.g. for tomography). Permits eccentricity correction.


Programmed run list
Appears automatically whenever programmed runs are defined or can be displayed by View programmed runs from the Programmed runs menu.

This dialog shows the list of programmed runs which have been defined for deferred execution using one of the options described here .

Each programmed run stores:
1. The title of the run.
2. All parameters for generating the scan pattern (map, line, point, preset points etc.).
3. The XYZsample stage position (+ rotation angle if the hardware permits) .
4. The preset stop conditions (time, charge, scans, etc.).

When the start button is clicked, each run is executed as follows:
· the stage is moved to the new position
· the scan parameters are loaded
· a new run number is generated
· the run is executed until the preset stop conditions are reached.

All other experimental parameters (detectors, scan size, calibrations, etc.) are retained throughout the run.

Run list
This shows the list of the remaining programmed runs. The columns summarise each run. A run can be selected by clicking its row. The selected row is shown in grey. When the list is executing, the currently active run is shown in green.

Editing the stored position
The Edit position button displays the Edit Position dialog box, which allows the stage to be moved to a new position and the coordinates stored or a new position to be entered manually.

Duplicating a run.
The Duplicate button makes a copy of the selected run. There is the option of entering a new description (caption).

XYZ settling time
When the XYZ stage moves to a new position, the program waits until the stage is stopped. There is then a further waiting period (defined here) which can be used to allow the stage to settle after the move.

Start / Pause
Click the Start button to start executing the programmed runs. The Start button then turns into a Pause button. When this is pressed, the run sequence stops after the current run finishes. It can be restarted by clicking Start again.

Clear All, Delete run, Up/Down arrows
The run list can be edited using these buttons:
Clear All removes all runs from the list.
Delete run removes the currently selected run from the list.
The Up/Down arrows change the execution order of the currently selected run.


Edit stored position
From the Edit position button in the Programmed run list

This dialog allows the sample stage positions in the Programmed run list to be edited.
The stored position is displayed and can be changed either by entering the coordinates manually or by reading the actual stage coordinates.

Move to here
This button commands the stage to move to the displayed stored coordinates.

Update with new coordinates..
Stage coordinates can be entered manually using these entry boxes. The stored coordinates are updated when the Enter key is pressed.

Update with actual stage coordinates
This button transfers the current stage position to the stored coordinates.

Save and continue
Closes the window and saves the new coordinates in the Programmed run list.


Run sequence file

Sets up a programmed run sequence from a list of run parameters provided by the user in an external file.

More details to follow.


Mosaic scan
Main menu: Programmed runs | Mosaic scan

This option allows a map of a large area to be created by a process of tiling together a rectangular array of smaller maps in a mosaic pattern (also described as Step and Repeat).

When the OK button is pressed, the program generates the desired stage coordinates and prompts the user for the run and stopping parameters. These are displayed in the Programmed run Programmed run list and can be executed from there. The caption of each run is modified to include the X and Y stage coordinates.

Defining the dimensions of the mosaic
Horizontal (X)
Vertical (Y)
These values defined the total number of stage positions in the horizontal and vertical directions.

Settling time
This defines a waiting time after each mechanical move of the stage before data collection starts.

Frame size
This defines the size of the sub-maps. In normal operation, this is the scan size defined by the scanning hardware and this box is disabled.

Defining the layout of the mosaic and the scanning sequence.
Current position is
This box defines whether the current position is the centre of the tiled region or a corner. If it is at the centre, the stage moves first to the corner scan.

Scan sequence
Defines the pattern in which the individual tiles are scanned. In RASTER mode the stage always movs to the next closest tile. In FLYBACK mode, horizontal lines are always scanned in the same direction and the stage moves first to a position to the left of the first time in a row before starting the row. This option should be used if there is significant backlash in a mechanical stage.

Direction
Defines the direction in which the stage moves from the starting position. These are defined as Up/Down and Left/Right. It may be necessary to experiment with these settings to achieve the desired behaviour.


Z stack
Main menu: Programmed runs | Z stack

This option creates a sequence of runs with different values of the Z (or focus) dimension. This can be used for scanning through the depth of a sample.

See XYZ stage coordinates for more information on the coordinate system used in the XYZ stage.

When the Generate button is pressed, the program generates the desired stage coordinates and prompts the user for the run and stopping parameters. These are displayed in the Programmed run Programmed run list and can be executed from there. The caption of each run is modified to include the relative depth of the run.

Starting point and direction
Defines the way in which the z coordinates are generated. The options are:
Z increasing from here
Current point is middle of stack
Z decreasing from here

Total depth of stack
Defines the total range of the z scan.

Number of slices.
Defines the total number of runs in the group.


Rotary scan
Main menu: Programmed runs | Rotary scan

Only visible if the sample stage has a motorised rotation stage.

This option creates a sequence of runs with different rotation angles. This can be used to obtain 3-D images using computed tomography or stereo pair .

When the Generate button is pressed, the program generates the desired stage coordinates and prompts the user for the run and stopping parameters. These are displayed in the Programmed run Programmed run list and can be executed from there. The caption of each run is modified to include the rotation angle.

Angular range
Defines the limits and increment of the angular scan

Eccentricity

The program can correct for eccentricity - i.e. if the sample is not mounted exactly at the centre of rotation of the stage as shown schematically below.

X0 and Z0 are the offsets of the sample (red dot) relative to the centre of rotation of the sample stage. If these are known, a correction can be applied to the stage position to ensure that the sample is in the correct position at all angles.

To correct for eccentricity, use the procedure below.

1. Check the Eccentricity correction box. This reveals the eccentricity portion of the dialog box.
2. Set the rotation stage to an angle within the required scan range. Use the X and Focus arrow keys to position an identifiable feature of the sample in the centre of the scan.
3. Click the Angle 1 >> button to transfer the X, Z and phi coordinates to the calibration box.
4. Move to another angle in the scan range. Move the same feature to the centre of the scan using the X and focus arrow keys.
5. Click the Angle 2 >> button to transfer the X, Z and phi coordinates to the calibration box.
6. Click the Calibrate button to calculate X0 and Z0 from the stored values.

X0 and Z0 will be used to correct for eccentricity when the Generate button is pressed.


Estimating the spot size

OMDAQ2007 provides two methods for estimating the quality of the focused beam spot:

Measuring the spot size using scanning over a grid

Measuring spot size using autocorrelation


Measuring the spot size using scanning over a grid

The beam spot size can be estimated using a test sample in the form of a grid or L-shaped object with the bars mounted accurately horizontal and vertical. Ideally the sharpness of the features on the object should be significantly smaller than the expected beam size and the scan size should be set so that the expected scan size corresponds to several pixels.

Make a full 2D map of the sample with a beam size appropriate to the scale of the object and the expected beam resolution.

Select 'Beam monitor' mode from the Scan Pattern dialog and set up an L-shape scan which cuts a single horizontal and vertical bar.

The map window will now show the two line profiles. The first peak is the horizontal profile and the second peak is vertical.

The beam spot size can now be estimated

(a) by using the mouse to measure the difference between the 10% and 90% levels of the edge profile (the difference between two positions is shown in the Status banner ).

(b) by reading the estimated value from the caption of the graph. This value is determined as follows:
For each direction {
Find the mean of all pixel values greater than 80% of maximum (pMax)
Find the mean of all pixel values less than 20% of the maximum (pMin)
Count the number of pixels with values between (pMin + 0.1(pMax-pMin))
and (pMin + 0.9(pMax-pMin)).
Convert this to microns using the map scale.
}

This is a very simplistic measure and should only be used as an indication! The values stabilise as the counts per channel improve.


Measuring spot size using autocorrelation

A figure of merit for the beam spot size can be obtained using the autocorrelation function method described by Ren, Whitlow et al. in J. Appl. Phys. 103, 014902 (2008); doi:10.1063/1.2827106

This method relies on the fact that the width of the central peak of the autocorrelation function of an image formed by convoluting an object with a beam of finite width is determined only by the width of the beam.

This method does not calculate the exact fwhm, but provides a rapid figure of merit proportional to beam size from any sample with suitably fine structure and from images with relatively poor statistics.

To use this method, form a normal 2D image of any suitable object using any imaging technique. The structure in the object should be smaller than the expected spot size, and the scan size should be set so that the expected beam diameter is several pixels of the map.

Then using the Map appearance dialog select the "Autocorrelation" image processing option. The image will then be displayed as an autocorrelation function, and th etitle bar of the map will display three statistical quantities relating to the central peak: these are the RMS values of the horizontal width, vertical width and radius. The values are presented in microns, but they should only be taken as a guide to the true fwhm of the beam.

The central peak of the ACF image can be used a guide for focusing, and its visibility can be enhanced using the low and high clipping levels of the image processing dialog to remove the intense central pixel and the low level background.

STIM image of a grid

ACF imageof the same map showing RMS widths


Using the RBD 9103 autoranging picoammeter

OMDAQ2007 can be used in conjunction with the RBD 9103 picoammeter. This is a sensitive picoammeter whcih is power and accessed via a single USB port.

More details are available here
http://www.rbdinstruments.com/Products/Picoammeter.html

The RBD 9103 can be used for current measurement and charge collection, but since it does not provided a charge pulse, it can not be used for charge normalised pixel clocking.

The RBD 9103 is connected via a virtual COM port accessed through the FTDI virtual port software. This appears in the Windows Device Manager under Ports (COM & LPT) ans shown below.

In order to use the RBD9103, OMDAQ must be configured to access this port. This is done using the RBD tab in the Tools | Options dialog


Using the microscope to position the sample

In the standard orientation of the OM target chamber, the microscope is at 45 degrees to the beam. This allows it to be used to define precisely the axial position of the sample.

This must be used as follows. This description assumes the use of the motorised XYZ stage and Video microscope , but the principles remain the same for manual operation.

1. With the beam stationary on the fluorescent screen, adjust the microscope focus and the Focus (axial position) of the stage until the beam spot is in focus in the horizontal centre of the field of view.

2. Adjust the focus settings of the quadrupoles to optimise the beam focus.

3. Mark this position on the video screen. This can be done using the permanent markers on the Video window

4. This point on the focal plane of the microscope now defines the correct location of the impact point on the sample. The microscope is now set as a reference point, and the position or magnification must NOT be changed from now on! If you change the magnification, you must repeat operations 1 and 3.

5. To position a sample for analysis, use the X, Y and Focus adjustments to move the sample so that the point of interest in in focus at the position of the marker on the screen. Do NOT change the microscope focus.


Processing RBS and PIXE data
Main menu: Processing

Spectrum Processing Overview

Saved PIXE and RBS spectra can be processed to obtain corrected matrix and trace element concentrations.

Guided examples
A set of guided examples showing the use of the spectrum processing options is loaded during the OMDAQ2007 installation process. These will be found here and in the \Examples folder of the [Microbeam Data] directory.

RBS simulation and RBS fitting
RBS data is fitted using an iterative method based on a simulation engine which assumes hard-edged homogenous layers. The simulated spectrum for the initial sample structure provided by the user is overlaid onto the experimental spectrum and can then be further optimised either manually, by changing the matrix structure and recalculating, or by using the RBS Fit command to iteratively vary selected fit parameters to optimise the fit.

The Matrix composition can be stored in the Data processing results spreadsheet following each simulation.

PIXE spectrum processing

The GUPIXWIN software from the UNiversity of Guelph must be installed separately to use this feature. See here for further information.

PIXE spectra are processed using an interface to the comptation engine of GUPIXWIN, the Guelph PIXE spectrum processing software package.
The input data for GUPIX (e.g. beam/detector geometry, beam type, sample structure, trace element list, detector parameters, filters, etc.) is obtained from various parameters stored with the spectrum and modifiable through standard OMDAQ2007 dialogs. The GUPIX fit is displayed with the experimental data and additionally the GUPIX text output file is display. Results can also be added to the Data processing results spreadsheet .

Additional features available with PIXE processing include:

Q-factor charge normalisation. This implements the "Q factor" method outlined by G.W. Grime in "The Q factor” method: quantitative microPIXE analysis using RBS normalisation" Nuclear Instruments and Methods B 109-110 , (1996), Pages 170-174. In this technique, an RBS spectrum is collected simultaneously with the PIXE spectrum. The matrix composition determined by fitting to the RBS spectrum is passed internally to the PIXE spectrum. The PIXE beam charge is corrected by a factor (the Q factor ) determined by the ratio of the simulated RBS spectrum area to the experimental spectrum. Q-factor normalisation is selected by checking 'Use Q-factor' in the GUPIX configuration dialog .

Compare with standard. This option simplifies the process of tuning the detector and filter parameters when using a standard reference material. The Compare with Standard dialog displays the calculated and certified concentrations of matching elements in the fit and the sample, and calculates the mean and standard deviation of the ratio of measured to certified values. The mean can be used to calculate a new detector distance and optionally the filter thickness can be changed before recalculating.

Transfer PIXE to matrix This option allows the composition determined the GUPIX trace element output to be transferred to the matrix composition with the optional addition of invisible elements, thus eventually arriving at a self-consistent solution.


RBS simulation
Main menu: Processing | Simulate
RBS toolbar:

The user provides a guess at the composition (using the Set sample dialog box ).

When the Simulation button is pressed, the spectrum for this composition is simulated using detector and beam information already provided via the Spectra dialog box , the Spectrum energy calibration and/or the Run parameters dialog box .

The simulated spectrum (red line) is scaled to the same area as the visible experimental spectrum (black dots) (the ratio is displayed as the Q factor ).

If partial spectra are enabled in the RBS parameters dialog box, these are displayed as spectra in colours which cycle through the four colours defined in Define desktop colours and fonts dialog .

The residuals ((fit-data)/data^2) are displayed in the window below the main spectrum and highlight any areas of mis-match. The values of Q factor, mean chi2 and the maxium deviation (max(abs(data-fit))) are displayed.


RBS fitting
Main menu: Processing | RBS fit
RBS spectrum toolbar:

This command brings up the RBS Fitting parameters dialog box which allows the user to select a set of parameters which will be varied automatically to optimise the quality of the fit between the experimental data and the RBS simulation. (I.e. to minimise the mean chi2 for the simulation).

The spectrum is re-displayed after each calculation, so there is a good feedback about the progress of the fit. The minimiser stops when either of the two stopping conditions (chi2, number of iterations) defined in the fitting dialog is satisfied. It is not possible at present to stop the minimiser in mid-flight.

The fitting routine uses a "simplex" minimiser which is not strongly sensitive to discontinuities in the chi2 surface, but which can get trapped in local minima. It is a good idea to (a) start the fit from a point which is a reasonable approximation to the final value, and (b) repeat the fitting from a number of different starting points.

When the fit is completed, if the Data processing results spreadsheet is enabled, the fitted matrix will be written into the spreadsheet.


PIXE spectrum processing
Main menu: Processing | GUPIX | Trace
PIXE spectrum toolbar:


A worked GUPIX example

The following pages show in detail the use of GUPIX and OMDAQ to process a set of PIXE and RBS spectra recorded from the standard glass BCR 126A from IRRM, Geel Belgium .

The certified composition of this material is given in the table

Element | Oxide wt%
Li | 0.495
Na | 3.58
Mg | 0.512
Al | 0.128
Si | 57.8
K | 10.0
Ca | 1.033
Fe | 0.005
Zn | 1.02
Sb | 0.29
Ba | 1.036
Pb | 23.98
Sb | 0.29
Ba | 1.036
Pb | 23.98

These spectra were saved as OMDAQ data files and are supplied as files 383011p0._ and 383011r1._ in the ‘Examples’ folder.

The experimental conditions were as follows:

Beam: Protons with a nominal energy of 2.5MeV (actually 2.530 MeV), focused to 2 um diameter and scanned over an area of 500 x 500 um2 across the sample. The beam current was around 90 pA. Normal incidence on the sample.

PIXE detector: 80 mm2 Si-Li detector with code SILI80_3. 12 um polymer/beryllium window. Sample to detector distance approx 30 mm. The beam to detector angle is 45 degrees and no x-ray absorber is fitted.

RBS detector: Nominal active area of 150 mm2 located at a distance of 50 mm from the sample with a beam to detector angle of ~30 degrees (these values determined by measurement in the chamber).

Separate live charge was recorded for PIXE and RBS and these are stored in the headers.

1) Start OMDAQ2007. Close any open spectrum windows.

2) Use the Load old data command to locate and load the files 383011p0._ and 383011r1._ in the ‘Examples’ folder. Use the View command to display both spectra in the window.

3) Use the Reset [image] button to display the full energy range on each spectrum. Use the Lin/Sqr/Log [image] button to observe how to change the vertical scale on each spectrum.

4) Highlight the RBS window and then use the Expand [image] button to zoom the RBS spectrum so that the low energy cut-off is not visible and the spectrum fills most of the display (i.e. between about 400 keV and 2800 keV).

5) Highlight the PIXE window and then use the Expand button to zoom the PIXE spectrum so that the low energy limit is below the Si peak (say 1.4 keV) and the upper energy limit is just above the highest Pb line (say 18 keV).

6) Use the Marker button [image] to add relevant element markers on each spectrum. If necessary adjust the energy calibration using the Calibrate [image] button.

The screen should look like this:

6) Select the RBS spectrum and check the detector information using the Spectrum information button [image] . Repeat for the PIXE spectrum. These should look like:

Highlight the PIXE spectrum and use the Sample [image] button to view the matrix composition.

As a first guess at the composition enter the oxide concentration of the major elements in the sample (Si 57.8+ Pb 24 K 10) into the first layer and give the layer a thickness of 150 um (longer than the range of the protons because it is a thick sample):

Use the ‘Trace Elements’ button to select the elements to be calculated in the PIXE analysis:

Carry out an RBS simulation by highlighting the RBS spectrum and using the RBS simulation button [image] . Note that the fit (the red line) does not correspond exactly with the data. The fit can be improved by using the RBS fitting button [image] to vary the concentrations and the calibration constants to optimise the fit:

The fit should look like this:

Carry out a GUPIX run by highlighting the PIXE window and using the GUPIX button [image] . The fit will be displayed like this:

and the results will be displayed in a Notepad window:

We can compare these results with the certified values using the Compare with Standard dialog. Open the dialog with Processing | Compare with standard from the main menu. Select the pre-defined standard "Pb glass":

Use the Change and re-calculate button to change the assumed distance offset to the value required to get the Measured/Certified equal to 1.0.

We can refine the matrix correction by using the Transfer to Matrix command to convert the PIXE trace element concentrations into a new matrix composition.

Open the dialog with Processing | Transfer to matrix from the main menu. Select the "Bind with..." option to ensure that all elements are treated as oxides:

Using the Transfer and re-calculate button repeat the PIXE calculation with the new matrix. Do this once more until the chi2 is less than 0.1.

Close this window and open again the Compare with Standard window. Use Change and re-calculate to adjust the distance offset:

QED!


Data processing results spreadsheet

See Results spreadsheet


Script processing

Main menu: Processing | Script processing

This is a facility to allow automated processing of PIXE and RBS spectra using a simple script language.

Script commands are in the form CMD arg, where CMD is a case insensitive command word which can be abbreviated to a minimum of two letters, and arg is a numerical argument required by some commands.

Scripts can be written directly into the script box and saved as text files using the Save button or they may be prepared off-line as text files (using, for example, Notepad) and loaded using the Load button. OMDAQ remembers the most recent script.

A list of available commands is provided on the dialog box. On startup, this is hidden, but can be revealed using the Commands >> button.

Start the script using the Start button.

Hints for using script files
· Turn off the "Save changed files" dialog using the File I/O options tab
· Make sure that all the operations (next files, RBS fit, AutoMat, Sample cache) work correctly before starting. Process a few runs manually first.
· Make sure that the spreadsheet is correctly configured to capture the data you need!
· Make sure that the listmode options are set correctly, including the map appearance settings.

Script commands
// | Lines starting with this are ignored and can be used for comments
NE[xt] | This uses the Next spectra and keep data command to load in the next runs in a folder. The dialog associated with this command is NOT presented and the most recent options for data transfer are used. If there are no more files in the folder, the script terminates.
LM[FNext] | Loads and sorts the next listmode file in the folder using the current playback options - including masks and sort range.
RE[peat] [N] | This causes the script to start from the beginning. This is done N times and then the script terminates. If N is omitted or zero, the script repeats indefinitely.
PO[p] N | This brings the spectrum for ADC N to focus. All subsequent operations will be performed on this spectrum. N is required.
RB[Sfit] | Carries out an RBS fit on the selected spectrum. The dialog associated with this command is NOT presented and the most recent options for fitting are used.
GU[pix] | Carries out a GUPIX fit on the selected spectrum.
AU[tomat] | Start the iteration option in the Transfer PIXE to Matrix command, in order to iterate the sample matrix until it matches the PIXE composition. The dialog associated with this command is NOT presented and the most recent options are used.
PR[int] | Prints the open spectra
CA[che] | Reads the sample composition which has been stored into the sample cache . This can be used after the NEXT command to ensure a consistent starting point for the RBS fitting.
PA[use] | Presents a "Click to continue" dialog box with a single OK button. This can be used to interrupt the script and is useful for testing.
EN[d] | This command is not strictly necessary. Forces the script to terminate.

An example script file is supplied as ..\Config Files\TestScript.TXT. This is shown below:

// Test script assuming PIXE on ACD0
// and RBS on ADC1
//
// Use the RBS spectrum
POP 1
// Do an RBS fit
RBS
// Do another to be sure
RBS
// Use the PIXE spectrum
POP 0
// Do the GUPIX fit
GUPIX
// Done.
// Read the next spectra
Next
// and start again (run until no more files)
Repeat
END


Support programs (Tools)

A number of stand-alone applications are supplied to carry out supplementary tasks with OMDAQ2007 data or hardware.

At present these are:
LmfExtractor | Extracts data from a OMDAQ listmode file (.LMF) in the form of either a three dimensional 'data cube' (E,X,Y) or a comma delimited text list of the (E,X,Y) of all events in the file.
TestA3200 | A program to test correct operation of the Aerotech XYZ stage interface.


LmfExtractor

Start menu: OMDAQ2007 > Tools > LmfExtractor
(formerly called LmfToCube)

LmfExtractor is a small application which carries out some conversion tasks on the LMF files.

1. Extracts the data from any .LMF file and re-writes it either as a 'data cube' - a three dimensional array of (E,X,Y) cells in a binary disk file.

2. Re-writes the LMF data a comma separated text list of the energy, X and Y of all events in an LMF file. This MAY be useful in a bizarre set of circumstances...

3. Rewrites the LMF file as a standard LMF file with a different header version. This may be useful for reading files into third party software.

The program is installed into the standard OMDAQ2007 installation folder and can be accessed from the 'Tools' sub-menu of the OMDAQ2007 start menu.

· Getting started
· Writing a data cube
· Writing a listmode .CSV file
· Changing the LMF file header version


Getting started

Getting started: LmfExtractor

LmfExtractor opens as shown above.

The first thing to do is to select the output folder where all output files will be created. This is done using the Change button. An output folder MUST be defined before any files can be processed.

Once the output folder has been selected, a listmode file can be opened using the Open LMF button.

A summary of the data stored in the file header block is written into the text box. This includes the run date and time together with the detector calibrations. This information can be saved in a text file in the output folder by clicking the Save this as xxxx.TXT button underneath the text box.

The file is now loaded and you can select the next option by choosing one of the tabs on the right of the window:

Create data cube this sets up a data cube and creates it (see Writing a data cube )
Create .CSV even-by-event file this sets up a .CSV file and creates it (see Writing a listmode .CSV file ).


Writing a data cube

Writing a data cube: LmfExtractor

LmfExtract scans the LMF file and sorts the data into cells (voxels) in a three dimensional histogram array for a selected detector where each cell contains the number of events with that combination of E,X and Y channels.

The axes may be compressed independently on each axis in factors of 2 to reduce the total number of cells (e.g. from 2048 to 512) and rectangular subsets of the full data set may be selected by defining a range of compressed channel values on each axis. The width (byte, word, dword) of each voxel may also be selected.

The cube is saved to disk as a binary file sequenced as E, X, Y, i.e. as sequences of energy spectra for each pixel starting from the bottom left and scanning horizontally upwards. The index of the cell corresponding to compressed coordinates (E,X,Y) relative to the start channel is given by

E + nE*(X + nX*Y)

where nE is the total number of compressed channels in the energy axis and nX is the total number of compressed channels in the X axis.

Setting up the cube
Detector This dropdown list is filled with a list of the active detectors usedin the LMF file. Only one detctor cube can be created in each run, and this must be selected here.

Axis boxes The boxes allow the compression and range for each axis to be specified.

Voxel size This allows the width of the voxels to be specified. This can be 1, 2 or 4 byte integers (BYTE, WORD, DWORD). This should be selected according to the intended application of the data cube. For most listmode files, BYTE voxels are sufficient, though there is a risk of integer overflow if a voxel value exceeds 255 (see below). DWORD voxels would only be needed if, for instance, the beam was not scanning, and all the information was collected at the same position on the 2D map.

Total cells Size (Mb) These values give an instantaneous calculation of the total number of cells in the cube and the resulting file size. These can be useful to judge the disk space needed.

Generating the cube

Sort range These boxes allow the amount of the listmode file that is sorted to be controlled. The From and To boxes accept the lower and upper limits of the sorted data in the file (as a percentage of the file length) to be entered.

Create This button starts the sorting process. This may take some time. On completion, some statistics on the data cube are written to the text box. This information is stored in a text file with the same name as the data cube.

Checksum On completion, this field is updated with the total number of events sorted (which should be the same as the value in the text box) and the maximum voxel count. This should be checked carefully: if the value is 255 (for BYTE voxels) or 65535 (for WORD voxels) then there has been an overflow, and the voxel width should be increased.

Save cube as ... This button saves the cube file and the text information file to the output folder.


Writing a listmode .CSV file

Writing a listmode .CSV file: LmfExtractor

LmfExtractor creates a comma separated value (CSV) text file containing a list of the ADC, energy, X and Y values for each event in the selected range of the file. One or more ADCs may be selected for inclusion in the file. The values may be presented as channels or converted into physical units (keV for energy, microns for X and Y) using the calibration factors stored in the LMF file headers.

Defining CSV parameters

Detectors to use This selection panel is loaded with the names of the detectors used in the original LMF. At least one detector must be selected.

Value format boxes These boxes allow the format (channels or physical values) of the values in the CSV file to be specified for energy and position. Physical values are written in fixed decimal format with three decimal places (12.345, 0.001). If this is a problem, please contact OM.

Creating the CSV file

Sort range These boxes allow the amount of the listmode file that is extracted to be controlled. The From and To boxes accept the lower and upper limits of the sorted data in the file (as a percentage of the file length) to be entered.

Create This button starts the extraction. This may take some time and a progress bar is displayed. On completion, the following dialog box appears.

This shows the total number of events extracted and an estimate of the file length together with the filename. Select Yes to write the file to the output folder.

File size
The CSV files created by this process can become very large, and if you are reading into Excel, remember that each event take up one row in the spreadsheet. This may exceed Excel's row limit resulting in partial reading. If this happens you can try to reduce the number of ADCs extracted or sort the file in shorter sections using the From and To boxes.


Changing the LMF file header version

Changing the LMF file header version: LmfExtractor

The 'Change header version tab allows the LMF file HEADER version to be changed so that the file can be read into third party software which may not have been updated.

The new header version can be selected in the drop-down box, and the file is written with the name provided into the defined output folder.

Note that when going to lower version numbers header data fields may be lost. When writing to a higher version number, new data fields are filled with blank or dummy data.


TestA3200


Software reference


Main menu

File
Open folder
Load old data
Kill old data
Load all files for run
Load next run
Save all
Spectra
Maps
Save
Print
Exit
New run-Abandon run
Start - stop
Zero
All live
Spectra
Maps
Scan
Set
Scan size
Configure
Calibrate
Overlays
Overlay spectra
Overlay maps
Appearance
Fonts and colours
Maps
Load desktop
Save desktop
Modify
Run data
Sample
View
Tile all
Tile maps
Tile spectra
Refresh
Video image
Meters
Window navigator
Play
Processing
GUPIX
Trace
Matrix
Import
Simulate
RBS fit
Set RBS parameters
Set GUPIX parameters
Edit detector database
Compare with standard
Tools
Options
System parameters
File I/O options
Load Run Options
Debug
Test Scalers
Test DAQ
Test DAC car d
Reset DIO
File locations
Load system
Save system
Show configuration
Check for Updates
Help


Open folder
Main menu: File | Open folder

Use this command to open an Explorer directory window for any of the folders used by the OMDAQ system.

The command opens a list of folders to select from.

See also
File locations


Load old data
Main menu: File | Load old data

Use this command to load single or multiple data files saved from previous runs.

The program tries to determine automatically the format of the data file by opening the file with different formats sequentially until it is read without an error.

At present the following file types are recognised:
Format | Default extension | Description
OMDAQ | ._ | Standard OMDAQ binary format with informative headers
Simple ASCII WinDF | .TXT | Free format ASCII file containing a binary number (512, 1024, etc.) of integer channel values. The values can be arranged in any layout and can be separated by any non-numeric ('0'-'9') character. Reading is deemed to be successful if the number of integer values converted is a binary number.

For files which do not have run information in the headers, the program assigns nominal values for critical parameters to avoid arithmetic errors when the spectrum is first displayed.

For internal consistency, each loaded file must be allocated a signal type (PIXE, RBS, etc) and an input ADC channel number (0 - 7). If the program can not determine these from the information in the file, it first tries to determine these from the file name (assuming an OMDAQ filename format like rrrwwwP0......), and seeks confirmation via this dialog:

See also
Loading and displaying saved data


Kill old data
Main menu: File | Kill old data

Use this command to close selected data files. The program presents a list of open windows. These can be selected using left click (or Ctrl-Left click and Shift-LeftClick to select multiple files). The files can be closed using the buttons Remove selected or Remove All.

Data files can also be closed using the "X" icon on the title bar.

If a file has been changed (or if the program THINKS has been changed...) the program will ask whether the file should be saved. If "Yes" is selected, the original file will be overwritten. This behaviour can be modified using the File I/O options tab on the Options screen.

See also
Data files
System parameters


Load all files for run
Main menu: File | Load all files for run

You can load ALL the saved data files for a single run.

The program presents a standard file selection dialog, and will open all the files that match the run number in the name of the selected file. Any files open already will be closed.

You can program additional actions to take place after the files have been read at present these are:
View maps |
View spectra |
Save all maps as BMPs |
Save all spectra as definable ASCII |
Print all loaded files | Prints all the files that have been loaded
Read next run | This automatically searches for the next run once the current run has been processed. This option is automatically UNSELECTED when the command finishes, so must be selected at athe start of each run.
Write a log file record | Generates a TXT and CSV log file record for each run prcoessed

These options are selected on the "Load Run options" tab of the Options dialog. If more than one option is selected, they will be executed in the above order. This allows, for example, a whole folder of data to be saved as BMPs and printed using a single command.

In the standard OMDAQ filenames the run number is contained in the first six characters.

See also
File I/O options tab
Load Run Options tab


Load next run
Main menu: File | Load next run

Loads all the files for the next run in the sequence started by the last Load all files for run command.

The program looks for files only in the folder defined by the "Load all files" command. If there are no more runs, nothing happens.

Commands to be executed following loading the run can be defined using the Load Run Options command.


Next spectra and keep data
Main menu: Next spectra and keep data Toolbar icon:

Reads the next spectra in a folder and carries forwards selected run data for convenience when working through a sequence of calculations.

For each open spectrum, the following dialog is presented:

The file list shows all spectrum files in the folder with the same ADC channel and signal type.

Keep existing
Selects the parameters to be transferred to the new file. These are:
Beam parameters | Beam energy, Z, A and Q
Detector data | Geometry (angles, distance, area), detector name, deadtime source, fwhm parameters
Filters | All detector filter data
Energy calibration | Channel to energy calibration constants
Sample structure | All sample data including invisible elements
Peak channels | Transfer the set of gassian fit peaks

File selection
Determines whether the file to be read are selected automatically (next files in sequence) or manually (by selecting the file from the displayed list). If Manual is selected, this dialog is displayed for every open spectrum file, otherwise the same settings are used for all files.


Save all spectra
Main menu: File | Save all | Spectra

Saves all spectra open on the desktop in the format selected on the next menu:

as GUPIX format
Saves files in the GUPIX "long" ASCII format. These are ASCII files with extension ".TXT".

as definable ASCII
Saves ASCII files formatted according to the information specified in the File I/O options tab .

as CSV files
Saves files as comma separated variable (CSV) ASCII files suitable for reading into Excel (two columns, energy, counts).

By default, he files will be written into the folder defined by

[DataRoot]\ASCIISpectra\[Username]\[Date]\[RunNumber]\rrrnnnp0.TXT

where [DataRoot] is the root folder for live data saving.

as WinDF files
Saves files in simple Windows Data Furnace format. This is an ASCII files with a single column of channel counts (one channel per line). The number of channels written is defined in the File I/O options tab .

By default, he files will be written into the folder defined by

[DataRoot]\ASCIISpectra\[Username]\[Date]\[RunNumber]

where [DataRoot] is the root folder for live data saving.

Filenames will be of the form rrrnnnP0DF.TXT, where DF means DataFurnace.

See also
File locations


Save all maps

Main menu: File | Save all | Maps

Saves all maps open on the desktop in the format selected on the next menu:

as BMPs
Saves files in the GUPIX "long" ASCII format. These are ASCII files with extension ".TXT".

as ASCII
Not fully implemented

as CSV files
Saves files as comma separated variable (CSV) files suitable for reading into Excel (N rows x N columns of pixel values).

By default, he files will be written into the folder defined by

[DataRoot]\Maps\[Username]\[Date]\[RunNumber]\filnam.EXT

where [DataRoot] is the root folder for live data saving.

See also
File locations


Save single file
Main menu: File | Save

Saves the currently active data object (map or spectrum) in the format selected in the next menu

Formats are defined here for spectra and maps

See also
File locations


Printing
Main menu: File | Print

Prints selected data windows in a standard layout.

(At present the layout can not be changed)

Options are:

All live
Prints only the live data

All old data
Prints only loaded data files

Set printer
Activates a dialog to define the printer options.


Exit
Main menu: File | Exit
Title bar: Close icon ("X")

Closes the program. Requires confirmation.


New run-Abandon run
Main menu: New run Toolbar:
Main menu: Abandon Toolbar:
(Caption changes from New run to Abandon when a run is started)

New Run
Starts a new run, i.e. changes the system from Idling mode, (data on the screen is lost) to Saving mode (data is saved).

New run carries out the following sequence of operations:
1. Stop data collection
2. Increment the Run number
3. Display the Run data dialog to gather run description etc.
4. Zero all live data objects
5. Zero all charge and time scalers
6. Reset the scan point to bottom left (for scanned runs)
7. Switch the system into Saving mode
8. Start data collection.

In Saving mode any operations which may affect the saved data are disabled (e.g. zero data, change ADC or scan parameters) and the elapsed time and charge are displayed on the banner. When the run is stopped either by the user or by a preset condition, the data is saved and any additional end of run actions are carried out.

Abandon
Abandons the current run without saving data.
Carries out the following sequence of operations:

1. Confirm the command
2. Ask whether the listmode file should be deleted
3. Switch the system into Idling mode
4. Decrease the run number.


Start - stop
Main menu: Start Toolbar:
Main menu: Stop Toolbar:
(Caption changes from Start to Stop when data taking is enabled)

Start or stop data taking. If the system is in Saving mode (i.e. collecting a run), the stop command will save the data and initiate the end of run actions .

If the Start-stop pulse is enabled, a synchronisation pulse is generated at the start and end of each run.

See Synchronising with other systems for more details.


Zero all live
Main menu: Zero | All live Toolbar:
Shortcut key: Alt-Z

Zero all live data objects (maps and spectra).


Spectra
Main menu: Spectra

Use this command to define or modify the detectors associated with each ADC channel on the OM-1000e interface.

This command:

1. Brings up the Spectra dialog box
2. Creates a Spectrum window for each defined detector


Maps
Main menu: Maps

Use this command to define modify or remove 2-D elemental maps (sometimes called Sorts).

This command:

1. Brings up the Map definition dialog box dialog box
2. Creates a Map window for each defined detector

See also
Sorting algorithm


Scan
Main menu: Scan

Controlling the beam scanning

These menu options control the options for computer controlled beam scanning. For a description of the scanning system see Scan operation

The following commands are available
Set Make routine changes to the scanning (pattern, speed, etc.)
Scan size Change the scan size
Configure Define the hardware configuration. Save and load scan settings
Calibrate Use the Scan calibration wizard to determine scan settings


Set scan
Main menu: Scan | Set Toolbar:

This command gives access to the main dialog box for controlling scan pattern generation in routine operation. There are three tabs on this dialog:

Scan Pattern Set up the beam scan patterns
Pixel clocking Defines the dwell time for each pixel (i.e. scan speed)
Scan Method Defines how scanning is carried out at the hardware level


Scan size
Main menu: Scan | Scan size Toolbar:

Displays the Scan size dialog


Scan configure
Main menu: Scan | Configure

Displays the Scan configure dialog


Scan calibrate
Main menu: Scan | Calibrate

Displays the Scan calibration dialog


Overlays

Main menu: Overlays

Overlaying map and spectrum data

Several map or spectrum data can be displayed in the same window to enable direct comparison.

These options are accessed through the commands:

Overlay spectra
Overlay maps


Appearance
Main menu: Appearance

The commands in this section control the appearance of the OMDAQ_2007 window (or desktop) on the user's screen. Using these commands you can change the colours of different components of the desktop, set the colour, style and size of the various fonts used by the system and control the appearance (colour scale and image smoothing) of the elemental maps.

Desktop settings can be saved to and loaded from desktop files (*.TOP), which by default are saved in the [Microbeam Settings]\ConfigFiles folder.

The current desktop settings are held in OMDAQ's main configuration file. If this is deleted during a RESET , the program will restart with the default desktop (boring, white with small fonts) and the desktop will have to be reloaded.

Appearance commands are
Fonts and colours | Define the general desktop colours and fonts
Maps .. Alt+C | Define the 2D map colour scale and image processing options
Load desktop | Load new desktop settings from a desktop (*.TOP) file
Save desktop | Save the current desktop settings to a desktop (*.TOP) file


View

Main menu: View

The commands in this menu group assist in managing the layout of the windows on the screen.

The windows are monitored through the Window navigator pane, which presents a tree-structured list of all windows currently open in OMDAQ2007 and allows then to be selected, hidden or tiled in groups. The window navigator can be hidden or shown by toggling the Window Navigator menu item

Shortcut commands are provided to replicate some of the operations in the Window Navigator. These are (with their shortcuts):
Tile All | Alt + A | Tile all open windows onto the desktop
Tile Spectra | Alt + S | Tile all open spectra onto the screen and hide all other windows
Tile Maps | Alt + M | Tile all open maps onto the screen and hide all other windows

Windows selected for hiding will either be HIDDEN (disappear from the desktop) or MINIMISED (reduced to an icon on the desktop) according to the setting of the "Hide windows" option in the System parameters dialog.

Additional commands are:

Refresh Alt + R: Re-draw all live windows

Video Image: Open the Video window

Meters: Create a new analogue meter


Play


Processing
These commands are related to RBS and PIXE spectrum processing.


Sample cache
Main menu: Processing | Sample Cache

The sample cache is a block of memory which can hold a single sample structure. This can be used, for example to hold a common initial guess at a sample structure when doing a series of RBS fits to similar spectra.

Commands for using the cache are:
Sample to Cache | Copy the sample in the highlighted spectrum to the cache
Cache to Sample | Copy the structure currently in the cache to the highlighted spectrum.


Options
Main menu: Tools | Options

The commands in this menu item allows various operating parameters of the system to be defined.

Tabs on the options dialog allows the following groups of parameters to be defined:
System parameters |
Spreadsheet parameters |
File I/O options | Configure parameters associated with saving and reading data files
Load Run Data options | Configure the actions following a Load all files for run or Load next run command


Debug

Main menu: Tools | Debug

The installed software and hardware configuration can be viewed using the Show configuration command.

The commands in the Debug menu allow the detailed operation of the OM_DAQ hardware to be tested:

Test scalers Display the value of the hardware scalers
Test DAQ Display the values read from the OM-1000 ADCs
Test DAC card Set the DAC card outputs to preset values
Reset DIO Send a reset sequence to the DIO card

Off line testing of the OM_DAQ software can be enabled by setting the system into Virtual hardware mode, in which case, simulated random inputs are generated for the first three ADC channels. This allows data collection options to be tested in a limited way without hardware.

Set up Virtual hardware mode using Tools | Options and check the "Use virtual hardware" box. The program must be re-started for this to take effect. To cancel virtual hardware mode, you must RESET the software.


Window navigator
Shows by default.
To toggle on/off: Main menu: View | Window Navigator

This feature facilitates the management of crowded desktops by keeping a tree-structured list of all open windows, which can then be shown, hidden or tiled in logical groups.

Operations on windows are carried out by clicking on items in the tree. Operations are carried out on all windows underneath the selected node, thus in the above example, if the "ADC0 e2V_80" node is selected, the operations will be carried out on ADC0 PIXE AND Z PIXE0.

Operations are:

Double Click Pops the selected window or group (shows but does not change the position)

Right click Brings up a pop-up window with the following options:
Pop | Pops the selected windows
Hide | Hides the selected windows (see below)
Tile All | Tiles ALL the selected windows onto the desktop
Tile Maps | Tile only the maps in the selected group onto the desktop and hides all other windows.
Tile Spectra | Tile only the spectra in the selected group and hide all other windows.
Close | Close all old data files in the selected group (not yet implemented)

Windows selected for hiding will either be HIDDEN (disappear from the desktop) or MINIMISED (reduced to an icon on the desktop) according to the setting of the "Hide windows" option in the Options dialog.

The Keyboard shortcuts Alt+A, Alt+M and Alt+S carry out the Tile command for all windows, maps and spectra respectively.

See also: View menu item


Status banner

The banner which stretches across the top of the screen is the main way of monitoring the instantaneous status of the DAQ system. This has several fields, each of which presents a different status parameter.

The size of each field can be adjusted by dragging the vertical separator bars between the fields.

From left to right the fields are:

Run/Stop icon
Gives a visual indication of whether the system is reading data or stopped The background of the Data_in icon changes to red when the interface unit is (temporarily) locked.

Reading [image] Stopped [image] Locked

A black cross across the icon symbol indicates that the slow beam blank signal is enabled and the mechanical beam stop device is activated.

Clock
Gives the time of day

Status box
Gives a more detailed description of the state of the DAQ system. The options for this are:
Playback | Whether in listmode playback mode
Data_in | Stopped | Reading data or not
Idling | Saving | Listmode | Whether the current data will be lost, saved or in addition, saved in listmode
Int | Ext | Internal or external scan pattern generation
Point | Xline | Yline | Scan | Point n of m | Scan n of m | Type of scan
Full Scan | Masked | EOF (Listmode playback) | Full area, masked area or End of File.

Response box
This box is used for a number of different responses from DAQ to confirm user actions or indicate current status. These are:
Last command | A brief description of the last command
Spectrum/Map coordinates | The channel, energy and counts of the last channel clicked, or the x,y and count of the current pixel selected and the length of the ruler line
Run Statistics | The elapsed time and accumulated charge for a run.
Filenames | The names of data files as they are written
Listmode playback | The percentage of the current listmode file processed.

Count rate box
The instantaneous total data rate (averaged over the last banner update period).

Current / Dead time meters
The instantaneous beam current and dead time are presented as two bargraph meters. The upper meter gives the beam current on a three decade log scale ranging from 1pA to 1000pA. The lower bar gives the deadtime on a linear scale ranging from 0 to 100%. The values are derived from the OM-1000e scalers, which are read at intervals of 100 ms (this can be defined in the System parameters tab).

XYZ stage status indicators
Three "LED" indicators showing
· Power on (green)
· Stage in position (blue)
· Stage fault (red)

Chamber light indicator
A yellow "LED" indicator is visible when the Chamber Illumination control is enabled. This is yellow when the light is ON and grey when it is off. See Sample illumination (Chamber Light) .


Keyboard shortcuts

Some commonly used commands can be accessed by keyboard shortcuts (Alt-commands). These are listed below:

Key stroke | Command | Mnemonic | Description
Alt-A | View | Tile all | All | Arranges all windows on the desktop
Alt-B | Beam On-Off | Beam | Switches the beam on or off using a mechanical beam stop.
Alt-C | Appearance | Map Colours | map Colours | Brings up the map colour dialog
Alt-F | Freeze Scan | Freeze | Stops the scanning and moves the beam to the centre of the scan.
Alt-L | Light on-off | Light | Switches on or off the chamber illuminator
Alt-M | View | Tile maps | tile Maps | Arranges all maps onto the desktop and hides all other windows
Alt-R | View | Refresh | Refresh | Updates all live data windows
Alt-S | View | Tile spectra | tile Spectra | Arrange all spectra onto the desktop and hides all other windows
Alt-V | Open Folder | Current data | View data folder | Opens an Explorer window to display the folder containing the currently active data file.
Alt-Z | Zero | Zero all live | Zero | Resets all live data structures to zero


Speedbuttons (main window)


Spectrum window

Energy spectra are displayed in Spectrum windows.

The horizontal (energy) axis can be zoomed using the Calibrate/Reset/Revert commands.
The vertical (counts) axis can be set to Linear, Square root or Log scale. The vertical range is set automatically depending on the maximum count within the visible energy range.

The spectrum display can be manipulated in several ways:

Toolbar buttons
Pop-up menu commands (right click on the spectrum frame)
Mouse clicks on the spectrum
Font and colour changes
Peak area display

These are described below

Toolbar buttons
Expand
Expand the energy scale between limits defined by two mouse clicks
Reset
Reset the energy scale to the full range
Revert
Display the previous energy range
Log-Lin
Toggle the vertical axis scale through the sequence linear- square-root (semi-log) - logarithmic
Calibrate
Calibrate the energy scale using two or more identifiable features. When the mouse is clicked the program asks for the energy of that channel. This can be entered in keV (if known) or as an X-ray line symbol or RBS surface element (e.g. Pb). Up to 10 calibration points may be entered and a linear equation is derived.
For PIXE and Gamma spectra the centroid of the peak is determined using the Gaussian peak fitting option,in a region surrounding the clicked channel and the FWHM calibration coefficients are determined at the same time. This behaviour can be reset to simple channel selection using the Peak Fit selection boxes in the System parameters tab of the Tools | Options dialog.
Integrate
For PIXE and Gamma spectra,this fits a Gaussian peak between channels selected by mouse clicks and displays the peak statistics. For all other signal types displays the total counts between the channels.
Markers
Display markers to indicate the position of x-ray lines, gamma ray energies or RBS surface energies. Up to 25(?) elements can be selected. For PIXE spectra, if one element is marked, all lines with a relative intensity greater than 3% are displayed. If more than one element is selected, only the alpha and beta lines are marked.
Information
Display and modify the beam and detector parameters for this spectrum
Set sample
Define the sample layer structure and the trace element shopping list (for PIXE)
Derivative
Displays the first or second derivative of the spectrum as a ghost line behind the raw data. This can be useful for pinpointing RBS edges (first derivative) or PIXE/gamma peaks (second derivative). The derivative graphs are scaled to fit the y-axis, so the displayed values are only relative. Successive clicks toggle through none/1st/2nd and the current state is indicated by the colour of the text on the button (black/green/red). The derivative graph is drawn with the element marker colour.
GUPIX Trace mode
Carry out a GUPIX trace calculation
GUPIX Matrix mode
Carry out a GUPIX matrix iteration (not implemented)
RBS simulate
Toggle on/off the RBS simulation
RBS fit
Carry out an RBS least squares optimisation
Undo RBS fit
Restore all parameters to their values before the last RBS fit
Peaks
Opens the peak statistics pane
Save options
Save the spectrum to disk or clipboard in various formats

Pop-up menu commands

Pop-up menu commands are activated by right-click in the outer "frame" area surrounding the graph region. For more information on the save options see here .
Save as bitmap | Save the window as a .BMP file.
Save as GUPIX file | Save the spectrum in GUPIX 'long' ASCII format
Save as normal DAQ file | Save the spectrum in standard OMDAQ format.
Save as WinDF ASCII file | Save the spectrum in simple WinDF format
Copy graph to clipboard | Copies the spectrum window to the clipboard as a graphics object. This can be pasted into programs such as Powerpoint and then edited by converting to a Microsoft drawing group (right click). This allows individual components of the image (lines, text, fills, etc) to be deleted or re-formatted.
Copy channel data to clipboard | Copies the spectrum data to the clipboard as ASCII text as two columns containing the energy and count of each channel. This can be pasted into Excel to permit numerical operations on spectra.

Mouse clicks on the spectrum

Left click | Draws a temporary spectrum marker line. Displays the channel number, energy and counts in the highlighted channel.
Right click | For calibrated PIXE, RBS and GAMMA spectra: Brings up the Line identification window to display emission lines or RBS surface energies which correspond to the selected energy


Peak set pane

Revealed using the Peaks button in the spectrum window

This is a pane which opens on the left side of the spectrum display when the 'Peaks' tool bar button is pressed.
· It can be resized by moving the vertical size bar between the Peak set pane and the spectrum display area.
· It can be hidden by clicking the Peaks button again.

It allows a set of peak windows to be defined on the spectrum for which live gaussian fit parameters are calculated and displayed. These are updated whenever the spectrum is re-drawn. The peak parameters can be written to the Results spreadsheet . Peak sets can be saved to disk and transferred in the Next spectra and keep data command.

This can provide a simple automatic method of processing gamma ray spectra.

Commands

New This button allows a new peak fit region to be defined. Select two cgannels above and below the desired peak. The program will ask for a name to identify the peak, and if the spectrum is calibrated, possible identification will be suggested. Especially for narrow gamma ray peaks, where the number of channels is small, it may require some trial and error to find a reliable window. The peak parameters are displayed in columns in the grid below. Clicking a column highlights it (shaded in green).

Delete This removes the peak highlighted in the grid.

Load and Save Allow a set of peaks to be stored and reloaded for futire use. The peaks fit regions are saved as channel numbers, so the files can only be re-used if the energy calibration has not changed.


Results spreadsheet
Displayed following RBS or GUPIX spectrum fitting if Display Spreadsheet is ticked in Tools | Options | Spreadsheet Parameters

The spreadsheet captures the results of spectrum processing on a sequence of runs and saves them in a comma separated variable (CSV) file suitable for reading into Excel. There is a row in the spreadsheet for each data file, and the columns contain the captured data which can be selected in the Spreadsheet parameters dialog, together with units, etc.

A full list of recordable parameters can be found in the above dialog, but they fall into the following groups:
Run information: | Sample data, experimental information etc.
PIXE results: | Concentration, MDL, error, etc. for each X-ray line processd by GUPIX
RBS results: | Sample matrix composition (layer thickness, element concentration) for each sample layer.
Peak fit data | Area, MDL, error, etc. for each peak in a Peak Set.

The file is created as a "flat" spreadsheet, i.e. all data columns are on the same worksheet. This means that the number of columns may become large, and so a number of header rows are used to help to navigate this. These are:
Row 1 | Unique index. This is a large integer formed by encrypting the type of data in a way that will be unique. This can then be used internally for sorting the columns and ensuring that similar data is grouped together in a logical order. This number MUST NOT BE CHANGED.
Row 2 | Data group. This describes the general type of data, e.g. 'Info' for experimental parameters, 'L1 conc' for PIXE concentrations in layer 1, 'Peak area' for Gaussian peak areas, etc.
Row 3 | Specific label. This identifies the item within the group, e.g. 'Si K' for the silicon K X-ray line, etc.
Row 4 | Units. The units used in the column where these are selectable e.g. 'ppm', '%', etc.

The file is created in the folder ABOVE the one containing the data files and is created as
RUN www.CSV, where www is the week number.
If the file exists, new data will be appended, but data for runs already stored will be overwritten.

To start with a clean spreadsheet, this file must be deleted manually or renamed.

Open folder: This button opens the folder containing the spreadsheet file.

Goto: This navigates to the first column of the group selected from the dropdown box.


Statistics window

Shows only on hardware enabled installations.
To toggle on/off: Use the Window navigator

The statistics window is a permanent feature of the desktop on hardware-enabled installations. It presents to the user an instantaneous analogue and digital display of beam current, count rate and deadtime together with a stripchart display of these quantities. The quantities from the stripchart graphs can optionally be written to an Excel compatible file for future analysis.

The window can be displayed in two states (Summary, Expanded) which can be selected using the Show meter / Hide meter button

Summary

This shows the instantaneous value of count rate, beam current and dead time together with the count rate on all logical channels. The values are updated at an interval set by the "Stats window interval" in the Options dialog (default 500 ms).

Expanded

The expanded state shows additionally a selectable analogue meter and a strip chart providing a historical record of selected rate parameters. On the chart, the left hand scale is used for beam current and the right hand scale is used for all count rate measurements. The dead time graph is scaled permanently from 0 to 100% (no scale visible). The range of the current and rate vertical axes can be changed using the scale arrow buttons at the base of each axis. The actual graphs displayed can be toggled by clicking the name of the parameter in the legend tick box in the top right corner of the chart. Count rates can be scaled to beam current.

Re-sizing
In the SUMMARY state, the window size is set by the configuration and can not be altered by the user.
In the EXPANDED state, changing the size has the following effects:
· Changing the width (by dragging the side borders) elongates the stripchart.
· Changing the height (by dragging the top and bottom borders) changes the size of the meter and the height of the stripchart.

General controls
Show meter >>> | Hide meter <<<
This button changes the state of the window between minimised and expanded.

Av (Fast|Med|Slow)
Selects the averaging period for the display of the statistics. This is selected to be 1, 5 or 25 update intervals respectively.

Meter controls
Signal selection
The signal displayed on the analogue meter is selected using the drop-down box on the meter face.

Meter scale
When the Lock button is unchecked, the meter scales automatically according to the value of the displayed parameter. To lock the scale (e.g. to avoid excessive re-scaling), click the Lock button. When the scale is locked, the two yellow Scale arrows appear, which allow the scale maximum to be incremented or decremented manually. The Log button toggles between a linear scale and a four decade logarithmic scale. On startup, the meter may be locked on the wrong scale even though the Lock button is not checked. To recover from this, click the Lock button twice.

Zero This button appears when the RBD 9130 picoammeter is selected as the primary current meter. It implements the Zero procedure for the fixed ranges of the RBD 9130.

Stripchart controls
Timebase (Fast | Med | Slow)
These buttons select the horizontal speed of the chart (The time per pixel is varied between 1 sec (fast), 10 sec (med) and 60 sec (slow).

Normalise graphs
Changes the count rate scale from Hz to Hz/pA (i.e. the count rate divided by the beam current). This mode can be useful for detecting slow changes in the sample during a long run (e.g. due to drift or sample damage).

Clear graphs
Clears the stripchart.

Scale arrow buttons
Manually change the scale up or down on the vertical axes of the chart. All the count rate graphs are displayed on the same axis. The dead time graph is always displayed on a 0 - 100% scale.

Graph selector
Graphs can be displayed or hidden by clicking on the signal name in this box. The colour of the graphs can be changed in the Define desktop colours and fonts dialog .

Show Scalers
This button reveals a live display of the five OM-1000e deadtime scalers . This can be used to debug suspected problems with erratic reading. During a run, if any of the scalers shows an inconsistency (i.e. if a gated scaler has a higher value than its ungated source) the number is displayed in red and a message is flagged into the Run Log window).

Stripchart log file
Check the Log File box to enable the stripchart logging option. Alternatively, selecting the Auto stripchartfile during runs option in the System parameters window will automatically create a stripchart file for each run.

When this is enabled, all quantities displayed on the graphs are written to a .CSV file together with the date-time of the reading. This enables time graphs of the count rates, beam current and dead time to be generated. The update frequency is determined by the speed setting of the chart (1 sec (fast), 10 sec (med) and 60 sec (slow)). The file is updated after 10 data points have been recorded. When the box is checked, a file open dialog appears to allow the filename to be selected (a default name is generated automatically).

Please note that when the logging option is enabled:
Changing the vertical scales on the stripchart may have unpredictable results.
The 'Normalise' option should NOT be used.
Opening the live log file will create an error in the program.


Map window

2D maps are displayed in map windows.

Each live elemental map and loaded data file is displayed in a separate window.

The appearance of the 2D image can be controlled using the Map appearance dialog and the data can be further manipulated using the cross hairs and the pop-up menu.
The "Close" button on the toolbar can be used to close old data maps but has no effect on live maps.

Display size
In order to avoid image distortion the map can only be displayed in sizes which correspond in screen pixels to binary multiples or sub-multiples of the pixel dimensions of the image. The image can be sized upwards or downwards using the "Minimise" and "Restore" buttons on the title bar of the window, by clicking the scroll wheel of the mouse or by using the 'Grow' and 'Shrink' commands on the pop-up menu. Maps can not be expanded beyond the size of the main window.

Label bar
The label bar provides a scale bar and a brief description of the data. This is written directly into the displayed bitmap so that the data can not be detached from the image. The colour of the background and the colour and font of the displayed text are set using the Colours and fonts dialog . The location of the label bar (Top, Bottom or Not visible) can be set using the Map appearance dialog .

Point and Line analyses
The location of any point and line analyses carried out on this scan can be displayed on the map (e.g. the "012" in the above image). This option is selected using the Map appearance dialog . The program locates the point and line analyses by scanning the folder containing the map data file for matching files, therefore all the relevant data files MUST be located in the same folder.

Cross hairs and ruler
The cross hairs are activated by pressing the left mouse button at any point on the map. Cross hairs appear simultaneously on all other maps on the desktop allowing the location of features to be compared on all maps. When the cross hairs are dragged a ruler line is drawn from the initial point to the current point. The position and counts of the current pixel, together with the length of the ruler line are then displayed in the main window status bar. The cross hairs disappear when the mouse button is released.

Pop-up menu
The popup menu appears in response to a right click at any point on the map. Commands are:
Move to centre |  | Only available when the XYZ stage option is active. Move the stage so that the point under the cross hair moves to the centre of the scan
Grow | Alt+Up Scroll wheel up | Increase the displayed size of the map by a factor of two
Shrink | Alt+down Scroll wheel down | Reduce the displayed size of the map by a factor of two
Save BMP |  | Save the displayed image as a BMP file
Save JPG |  | Save the displayed image as a JPG file
Save as CSV |  | Save the map data as an ASCII comma separated variable file suitable for reading into Excel. If the window is displying a line profile, the line scan channel data are written in CSV format.
Modify map appearance |  | Bring up the Map appearance dialog box for this map only
Copy to clipboard | Crtl+C | Copy the map to the clipboard as a Windows metafile object.
Copy line scan to clipboard | Ctrl+Alt+C | Copy the line scan channel data to the clipboard in a form suitable for pasting into Excel


Video window
Main menu: View | Video Image

This window shows the live video signal injected into the selected input channel of the video card. For details of the video card see here .

The window has a cross hair which can be dragged by the mouse to points of interest and up to five permanent marker boxes which can be positioned at the current cross hair position.
Although the video window can be sized in the usual way by dragging the borders, the image reverts to its "true" size (defined by the Pixels option in the Video configuration dialog ) whenever changes are made to the setup or the "Play" button is pressed. Scaled images are not displayed with good quality.

The image can be frozen and saved in .BMP format.

The video window is controlled by the buttons on the toolbar at the top:
Play (Live Grab) | Starts live video display at full frame rate for normal imaging
Play (Slow Grab) | Starts video display at a rate of 2 frames per second. For non-critical, low CPU load imaging. This option is available on the drop-down menu of the Play button.
Grab | Freezes the image ready for saving.
Save | Saves the frozen image in .BMP format
Setting | Brings up the Video configuration dialog to define the video signal parameters such as brightness, contrast, colour, etc.
Cross hair | Switches the cross hairs on or off.
Markers (Centre) | Draws a dashed cross hair at the centre of the image field. Useful for alignment. To remove the marker, uncheck the "Centre" item.
Markers (1 - 4) | Creates a permanent box marker at the position of the cross hair. One of 4 markers may be selected from a drop-down list. To delete a marker, uncheck its number.
Channel | Selects one of four input ports on the Angelo RTV card (Port 0 is at the top). The image is displayed with the video settings defined for this channel.


Dialog boxes


Set sample dialog box
Main menu: Modify | Sample

Main window toolbar:

Spectrum window toolbar:

Dialog box to define a layered sample composition for RBS or PIXE spectrum processing. The sample structure is saved with standard DAQ data map and spectrum files, so sample data defined at run time will be restored during off-line processing.

The operation of the dialog is different for PIXE and RBS data files.

Layer composition
The sample structure can be defined as up to 15 layers with different thickness and chemical composition. A layer is entered by typing the chemical formula into
the first empty edit box and pressing ENTER.

Layer thickness
valid layer must have a non-zero thickness entered in the thickness edit box.
Layer thickness can be entered as 'micron' , microgram cm-2 or atoms cm-2 as defined in the Thickness units box. When more than 5 layers are defined the visible region can be scrolled up and down using the two large scroll arrows at the left of the composition boxes.

Trace elements (PIXE only)
This button brings up the Select trace element dialog box to select the elements that will be determined in the GUPIX fit

Edit layers
Allows some simple manipulations of the sample layers:
Add at | Create a new blank layer at a specified intermediate position
Copy | Copy layer X to a new layer Y
Delete | Delete the layer at a specified position
Clear | Remove all sample layers

Stored data
Sample data can be stored in files and loaded for future use. Sample files have the file names *,SMP and have a private binary format, so they can only be read by OMDAQ. By default the files are stored in [Microbeam Settings]\ConfigFiles. .SMP files can be accessed through the commands Save and Load.

OMDAQ also remembers the last sample defined by a call to the Set Sample dialog box. This can be retrieved using the Use last button. This option can be useful for transferring sample data to files from different runs.

Sample Cache
A sample definition can be stored in a local memory (the CACHE) and can be recalled at any time without opening this dialog. The commands for this are on the main menu:
Processing | Sample cache | Sample to cache
Processing | Sample cache | Cache to sample


Select trace element dialog box

Accessed from the "Trace element button" in the Set sample dialog box

This dialog selects the trace elements that will be used by GUPIX to calculate trace element concentrations

Elements selected with "Standard" GUPIX X-ray line options are shown in blue.
Elements selected with non-standard X-ray line options are shown in yellow.
To select an element with default X-ray lines | Left click the element
To de-select (cancel) an element | Left click the element
To select an element with specified non-standard x-ray line options | Right click the element. This bring up the X-ray line options dialog for this element
To set a range of commonly used elements | Click the Common button
To de-select ALL elements | Click the Clear button


X-ray line options dialog box

Accessed by right clicking an element in the Select trace element dialog box

This dialog specifies which X-ray lines GUPIX will use to fit the spectrum of the specified element.

The options are as follows:

K lines
Full spectrum (default) | The K lines are fitted together as a single element with the line ratios calculated by GUPIX. The reference line can be either the Ka (default) or Kb
Single lines | The Ka and Kb lines are fitted separately with a concentration calculated from each line

L lines
Full spectrum (default) | The L lines are fitted together as a single element with the line ratios calculated by GUPIX. The reference line can be either the La (default), Lb or Lg
Sub-shell | The lines termininating on the L1, L2 or L3 sub-shells are fitted as a single element with a concentration calculated from each set.

M lines
Use M-line (default)
Automatically fit the M-line if the energy is within range

Set default
Use this button to restore the default settings for this element

Valence
This is where you can view and modify the valence that OMDAQ uses for this element


Run parameters dialog box

Main window toolbar:

Spectrum window toolbar:

Display and modify the detailed run and detector parameters for loaded spectra. Use this dialog in conjunction with the Data processing commands to calculate elemental; concetrtations from PIXE and RBS spectra.

Detector data is displayed in either Standard format , which is the native format stored in the OMDAQ2007 files or GUPIX format which is the format used by GUPIX. Changes made in one format are automatically translated into the other.

General parameters

Administration information
Displays the date, time, user and operator for this run. Read only.

Scan parameters
Displays the parameters used to describe the scanning pattern. Read only.

Run description
Run caption | Enter a string of up to 80 characters to describe the run.
File format | A description of the data format
HV | The header version number of this file (mainly for debugging)
Transfer common data | Check this box to transfer all the general data (beam parameters, caption) to all open files from the same run.

File statistics
Displays the global spectrum statistics . Read only.

Beam parameters
E (MeV) | Enter the ion energy for this run
A,Z,Q | Enter the ion species
Recorded Q | The total charge determined from the number of digitised charge pulses recorded in Scaler0
Mean pA | The average beam current determined from the recorded Q and the total elapsed time.

Q and time scalers
Presents the charge and timing information recorded in the OM--1000e scalers in three ways:
Live Q (nC) | Displays the raw accumulated charge (total digitiser pulses) and the charge corrected for system, Live0 and Live1 deadtime
DT (%) | Displays the deadtime for the System, Live0 and Live1scalers.
Raw data | Displays the actual scaler values read from the OM-1000e at the end of the run.


Standard format detector parameters
Displays and modifies the detector parameters in the native OMDAQ2007 format. These parameters are set up when the detector is created in the Spectra dialog box . See the description of this dialog for more information about these parameters.

Parameters entered here will be translated into GUPIX format and displayed in the GUPIX format tab if this is opened.

Detector description
Name: Enter here the OMDAQ name of the detector.
Filter change: Click the button to bring up the Filter dialog box to change the filter.

Corrected live Q: Displays the live charge for this detector corrected for Q factor . Values entered here will override the stored value by changing the Q factor.

Q factor: Displays the Q factor used for this run. Values entered here will override the stored values and will reflect in the Corrected live Q.

Dead time: Displays the dead time used to calculate the Corrected live Q.

DT source: Allows the dead time source used for this detector to be selceted from System, Live0 or Live1.

Geometry parameters: See Spectra dialog box for more details. Solid angle displays the solid angle resulting from the distance and area parameters.

Calibration parameters: See Spectra dialog box for more details.

Energy calibration store: These buttons access a non-voltile cache for storing or recalling the current energy calibration parameters for each spectrum. This can be useful for instance to ensure that a sequence of spectra is processed with identical energy calibration. To avoid unintentional operation the buttons are only active when the control key is pressed.


GUPIX format detector parameters
Displays and modifies the detector parameters in the format used by GUPIX.

Parameters entered here will be translated into Standard format (as described below).

Detector information
Name in file: This is the OMDAQ detector filename used to define the ADC when the file was saved.
Name in DB: This gives a list of names of detectors stored in the PIXE detector database . Before a PIXE spectrum can be processed using GUPIX, a valid detcetor name MUST be selected here.
Nom. dist and Offset: These are geometry parameters. See H-value below.

Angles: Geometry parameters. These are translated to OMDAQ2007 angles for storage.

Charge: Same format as in the Standard format detector parameters

H value: In GUPIX the detector solid angle is modeled using the "H value" parameter. This can be constant or varying with energy to provide energy dependant efficiency correction. This box allows the GUPIX H-value to be defined. The initial values of Nom. Distance and Offset are used to calculate a "Reference distance" which is used for all subsequent solid angle changes. Changes in H value are actually stored in OMDAQ2007 format by changing the effective detector area and keeping the distance constant. It is important to be aware of this in order to avoid confusion.

The effects of changing the parameters on this page are as follows:
Parameter changed | Visible change in GUPIX tab | Effect on the OMDAQ2007 stored data (visible in the "Standard" tab)
H value | H value | Detector area is recalculated using the Reference distance. Distance and Offset are reset to the Reference value.
Distance and Offset | H value is recalculated using the stored detector area | Distance and Offset parameters change.

Energy dependence: The way that GUPIX handles the energy dependence of H-vale can be specified with this selector.
Constant | The specified H-value is used without energy dependence
Manual H-value files | The H-values are read by GUPIX from files created manually according to the instructions in the GUPIX documentation. These files must be created in the user's [GUPIX] folder.
H-values from detector database | H-value files are created automatically using values stored in the PIXE detector database . NOT YET IMPLEMENTED
Auto from calibration data | H-value files are created automatically using data stored from runs on known calibration standards NOT YET IMPLEMENTED

Calibration: These fields display the energy and FWHM calibration parameters in GUPIX format. Any changes made here are converted back to OMDAQ format for storage. Additional tick boxes allow the user to specify which of these parameters will be varied during the GUPIX optimisation. The "Fix" option can be used to tell GUPIX not to use a calibration parameter in the spectrum fit. A3 is fixed by default. UnFIX this to allow parabolic energy fitting.


Define desktop colours and fonts dialog

Main menu: Appearance | Fonts and colours

This dialog allows the specifications of colours of desktop components and the size, colour and style of the fonts used by the program.

Colours and fonts are defined in different tabs.

Colours tab
This presents a list of the various desktop components which can have their colour changed.

This list should be self explanatory, and I don't think it is worth describing them here, but you should note that different colours can be defined for different signal types (PIXE, RBS etc.), mainly to add interest to the desktop and make it easier to locate a particular spectrum on a crowded desktop.

When a spectrum feature is selected, the defined colour will depend on the signal type selected in the Signal selector box. Any changes will be applied to all spectra of that type.

Change
When this button is clicked, a standard Windows colour selection dialog is presented. The selected colour is applied to the feature defined by the two selections described above.

Fonts tab
This presents a list of text objects on the desktop, which again should be self-explanatory. There is no signal dependence for spectrum fonts.
Change
When this button is clicked, a standard Windows font selection dialog is presented. The selected font is applied to the selected text.

OK
Apply the changes and close the dialog

Apply
Apply the changes made so far without closing the dialog box.

Revert
Restore the original settings without closing the dialog box

Cancel
Restore the original settings and close the dialog


Map appearance dialog
For all maps
Main menu: Appearance | Maps .. Keyboard shortcut: Alt + C

For selected map:

Map pop-up menu (right click): Modify map appearance

This dialog defines the appearance of 2D elemental maps.

The tabs along the top allow several pre-defined map settings to be set up. these are used as follows:
Sort maps (Screen) | The default for all new 2D maps created by simple sorting
STIM/IBIC maps | The default for all new 2D statistics maps created by STIM/IBIC playback
Sort maps (print) | This is used when printing 2D maps created by simple sorting
Custom1,2,3 | Additional settings which can be pre-defined for ease of changing

On exit from the dialog, the program will apply the active settings to ALL visible maps (if the command was activated from the main menu) or to the selected map if the command was activated from the map's pop-up menu.

Changes to the image processing parameters are reflected immediately in the active map (the one which was last clicked and in the True Colour Scale bar.

Map colours
The scale of conversion of pixel counts to colour is specified here. 17 colours are defined and displayed, and the ultimate colour of a pixel is defined by a linear interpolation between the colours, taking into account the clipping values and the Gamma value.

To change a colour, double click on the colour; this brings up a standard Windows colour selection dialog to change the colour in that location.

The true colour scale (i.e. after clipping and gamma correction) is displayed in the True Colour Scale panel. This scale can be copied as a bitmap to the clipboard using the Copy button. It can then be pasted into documents to provide a colour scale bar for publications.

Predefined colours
Several pre-defined colour scales can be defined here(e.g. greyscales, green and red greyscales for stereo, etc.).

File
Colour scales can be saved to and loaded from files (*.BAR) which can be accessed though the Load and Save buttons. By default the files are saved in [Microbeam Settings]\ConfigFiles.

The .BAR files are ASCII files and can also be prepared offline using a standard editor. The format is defined here

Analysis Points
Enables the display of the locations of point analyses or line scans on the map. Options are:
Hide | Do not display point or line locations
Short labels | Display points with short run labels (e.g. "012")
Long labels | Display points with long run labels (e.g. "425012")

Title bar
Controls the location of the map title bar (top, bottom or hidden).

Image processing
Selects smoothing and other graphic processing options for the 2D images.

Smoothing
Selects smoothing options to enhance the visibility in noisy images with low numbers of counts per pixel. Options are:

None | Pixels are displayed as stored in the 2D map memory
3x3 pixel average | The displayed pixel is the average of the 9 nearest neighbour pixels in the 2D map memory.
5x5 pixel average | The displayed pixel is the average of the 25 nearest neighbour pixels in the 2D map memory.
3x3 gaussian | The displayed pixel is the gaussian weighted average of the 9 nearest neighbour pixels in the 2D map memory.
5x5 gaussian | The displayed pixel is the gaussian weighted average of the 25 nearest neighbour pixels in the 2D map memory.
Edge shading | Uses an edge filter to highlight "topographical" structure in the image. Useful for defining the outlines of regions. Works best with the positive grey scale colour map
Min-max filter | Can't remember what this is supposed to do. I got it out of a book and it doesn't seem to have much effect
2x2 pixel compression | Reduces the number of displayed pixels by a factor of 2 by summing blocks of 2x2 pixels in the original image
4x4 pixel compression | Reduces the number of displayed pixels by a factor of 4 by summing blocks of 4x4 pixels in the original image
8x8pixel compression | Reduces the number of displayed pixels by a factor of 8 by summing blocks of 8x8 pixels in the original image
Contour | Displays a contour map of the data in the 2D map memory. This does not work at present.
Autocorrelation function | Displays the autocorrelation function of the 2D map memory. This can be used for estimating the quality of beam focus (see Measuring spot size using autocorrelation ).

Gamma correction
Change Gamma correction to vary the relative intensity of highlights or lowlights in the image. Reduce gamma to enhance low count regions of the image and increase gamma to suppress low count regions.

Clipping
The High and Low clipping fractions can be used to change the minimum and maximum count value used by the colour scaling algorithm to a fraction of the true maximum count in the 2D map memory. This feature is useful for enhancing the contrast of weak features in a map.

Orientation
Flip horizontal
Flip vertical
Rotate 90deg
Define the orientation of the displayed image


Stereo Pair defnition dialog

Stereo Pair definition dialog

Main menu: File | Display stereo images

As of November 2012, Wikipaedia has an informative article about the generation and use of colour encoded stereoscopic images.

results in...
Ti (left) and K stereo images (1 x 1 mm) of a micrometeorite impact crater from a spacecraft

This dialog controls the display of Anaglyph 3D images formed from two sets of 2-D map files recorded at different sample angles as indicated below. (Top view)

The orientation of the runs should be as shown (left run rotated towards the left). The angle between the runs should be between 10 and 20 degrees; this is not critical and a simple manual rotation stage can be used, though any eccentricity must be corrected using the XYZ stage to ensure that the same features of the sample are in the centre of the scan in each run. If a motorised rotary stage with OMDAQ control is available, eccentricity-corrected stereo pairs can be programmed using the Rotary scan option.

Selection of runs

The runs corresponding to the left and right eyes are selected using the Browse buttons. These display a file selection window; select any single file from the run corresponding to the left or right eyes as appropriate.

Colours
3D anaglyphs are conventionally designed to be viewed with the red filter over the left eye. The colour of the right eye filter can be either green or cyan. This can be selected using the Red-Green and Red-Cyan buttons in this box. If required, the Custom option allows the colours for each eye to be selected independently.

Registration
Any residual displacement of the centres of the two images can be corrected here. This defines the shift (in pixels) of the centre of the right image relative to the left. These values can be used to optimise the stereoscopic illusion. Any non-overlapping pixels around the edges of the map are set to black.

Display pixels.
PIXE maps are generally unsuitable for making good stereos since the course pixellation and relatively few counts per pixels do not contribute to the smooth grey-scale response required. To try to improve this, the number of pixels in the final image can be set larger than that in the original maps. The data is interpolated from the source maps using a 2-D spline method to populate the high resolution image. This results in a smoother image, though it is not clear yet whether this helps to improve the stereos.

Image processing
All of the image processing options from the Map appearance dialog are implemented and are applied to both images before merging as an anaglyph.


Filter dialog box
This is accessed from the "Filter button" button in either of the 'Run data' dialog boxes, which are displayed from the following commands. It is only available when the detector is defined as "Takes filters" in the Spectra dialog.
Main menu: New run Toolbar:
Main menu: Modify | Run data
Main toolbar: Spectrum toolbar:


New run dialog
Main menu: New run Toolbar:

Main menu: Modify | Run Data

Dialog box to gather run parameters.

This is displayed in response to a New run command and can also be open using the Modify | Run data command to change parameters at any other time.

Run now / Run later (may not be visible)
Use these buttons to start the new run. "Run now" starts the run immediately and does not require any preset stop conditions. "Run later" will only be visible when it is possible to create programmed runs for deferred execution. Deferred runs require preset conditions and will be appended to the programmed run list.

User
Define the "user" who owns this run. Each user or user group can be allocated an identifier of up to 8 characters which can be used in the construction of directory trees within the [DataRoot] folder (see OMDAQ data file names ). The identifiers are stored in the User database which can be accessed through the Edit button. To create a new user identifier, select >>New User<< from the selection box and click "Create". "NULL" can be used if user identifiers are not required.

Operator
An optional identifier for the member of staff responsible for the run.

Run description (required)
A character string to describe the run. This can be up to 80 characters. This string will be displayed with all outputs from OMDAQ and it is good practice to make it informative!

List mode
Check this box to collect data in Listmode .

NOTE THAT IN LISTMODE VERSIONS 0 AND 1, XY INFORMATION IS COMPRESSED TO A MAXIMUM VALUE OF 256. THIS WILL RESULT IN IRRETRIEVABLE LOSS OF RESOLUTION FOR PIXEL SIZES GREATER THAN 256.
The listmode version can be changed in the System parameters dialog.

A warning message will be displayed if a version 1 LMF file is being used with scan pixels greater than 256.

Detector parameters
Enter here the values of any detector parameters which have been defined as "Variable" in the Spectra dialog box . The selection box contains a list of variable parameters for all detectors in use. Enter the current value for the parameter in the data entry box.

Detectors which take filters can have their filters specified by selecting the detector and clicking on the "Filter" button. This brings up the Filter dialog box .

Beam parameters
Details of the beam energy and ion species.

Stopping conditions
Parameters used to define a sophisticated set of stop conditions for the run. In addition to limits on time, charge, scans and counts in a window, runs can also be programmed to stop when up to four data quality conditions have been met simultaneously. PIXE peak data quality is gauged by fitting a gaussian to the peak around the energy pf the defined line and comparing the statistical (ÖN) error with the entered value. RBS data quality is defined by the total number of counts in the spectrum.

Thus, for example, a run can be programmed to stop after 10 minutes OR when the error on the Ca peak is less than 5% AND the error on the S peak is less than 5% AND there are more than 10000 counts in the RBS spectrum.
Time (min)
Total elapsed time in minutes (fractions of a minute can be entered, e.g. 6.75)
Charge (nC)
Total accumulated RAW charge in nanocoulombs. This is based on the total number of pulses in the ungated Q input of the OM-1000e
Scans
The total number of complete sweeps of the sample (bottom left to top right)
Window counts
The total number of counts arriving in a selected map window
Data quality
These conditions must be met simultaneously to stop the run.
Up to three X-ray lines (in different spectra) and one RBS spectrum may be monitored.

X-ray peak quality is defined by specifying:
· X-ray line: enter the X-ray line symbol for the line of interest.
· Target accuracy: The desired statistical error in %
· The ADC for this PIXE spectrum: This is selected in a drop-down box which is already populated with the available PIXE ADCs. If "Any" is selected, the condition is satisfied when ONE of the available spectra reaches the target accuracy.

RBS spectrum quality is defined by entering a minimum number of counts required and selecting the target spectrum from a drop down box. "Any" will satisfy the condition when ONE of the RBS spectra reaches the defined count.

When preset conditions are defined, a progress window is displayed during the run:


PIXE detector database


Line identification window

This window appears in response to a Right-Click on a calibrated PIXE, RBS or GAMMA spectrum. The program uses the energy associated with the selected channel to interrogate the databases of X-ray or gamma lines or to calculate the mass corresponding to the RBS surface energy. These are presented in different ways according to the type of signal as shown below.

The window is closed automatically after 30 seconds.

The information presented can be configured using the Configure button.

Left: PIXE, sorted by series. K, L and M shells are shown in different colours. Escape and pileup peaks are shown in grey. These colours can be configured using the Define desktop colours and fonts dialog . Right: PIXE sorted by error

RBS. The unknown energy is shown on the left against a scale of surface energy for each element.

Gamma, sorted by energy error.


Configure peak identification
Appears when the 'Configure' button in the peak identification window is pressed

This window sets up the behaviour of the Line identification window . There is a different screen for PIXE and Gamma spectra (RBS has no configurable parameters).

Common parameters are:
Maximum error | Defines the energy range around the unknown energy which is search for matching lines.
Relative intensity | This parameter defines the minimum intensity (relative to the alpha line of each series) for a line to be displayed. This can be used to reduce the amount of information displayed.
Sort lines by... | Series: X-ray or gamma ray lines are sorted into series groups. Energy error: X-ray lines are displayed in order of their distance from the unknown energy.


User database


Spectra dialog box
Main menu: Spectra

This dialog associates a HARDWARE INPUT STREAM (e.g. OMDAQ ADC, external ADC., etc.) with a LOGICAL CHANNEL in the software. For more information see Hardware streams and logical channels .

The dialog box has two screens:

New Spectrum

This screen associates a hardware input stream with a logical spectrum channel in the software. The two drop down boxes display the available stream and channels. Pressing the Assign button associates the selected stream with the selected channel, and reveals the next screen, which allows the physical properties of the radiation detector to be defined.

The Hardware Resolution entry box allows the resolution (in bits, e.g. 12 bits = 4096 channels) of the ADC hardware to be specified. This value is used in converting from the raw data resolution to the stored spectrum resolution. For normal OM-1000e data channels, this value is always 12 bits and the entry box is disabled. It is only active for DSP or MCA data sources.

Existing spectrum

This allows the physical parameters of the detector associated with this stream to be defined. Note that PIXE detectors which will be used with GUPIX must ALSO have parameters defined in the PIXE detector database .

Detector operations
Create New | Define a new detector. The program asks for a name for the detector and then removes all previously define parameters. The detector name is used as the filename for the stored data (filename.DET) and should be 8 characters maximum
Remove | Disassociated the hardware stream from this logical channel and close all the spectra and maps associated with it.
Read from file | Load a detector from a previously saved .DET file
Save to file | Save the present settings to a file

Detector name
This field can not be changed and is set to the name defined in the last Create New or Read from File operation.

Description
A long (80 char) description of this detector

Signal type
The type of IBA signal that this detector is intended to measure. 9 common IBA acronyms are defined, together with a general type "Pulses". The first letter of the signal acronym is used in generating filenames (see OMDAQ data file names ).

ADC channels
The number of energy channels in the histogram for the spectrum. (Be sure to distinguish between "channel" used to refer to a logical spectrum in the software and "channel" used to denote an energy bin in the histogram). Also distinguish this value, which is the resolution with which the spectrum is displayed and stored, from the Hardware resolution, which is the ultimate resolution of the ADC hardware.

Deadtime source
Defines how the deadtime for this detector is derived. Options are "System", "Live 0" or "Live 1". See Deadtime measurement

Takes filters
Defines whether this detector should take filters or absorber foils. If this box is checked, the "Filter" button is enabled on the New run dialog .

Geometry parameters
Parameters defining the geometry of this detector. Clicking the "Varies" button indicated to the program that this parameter varies in normal operation (e.g., detector distance) and this parameter is available to modify in the New run dialog . This information may be used live by OMDAQ for calibration purposes (e.g. to calculate RBS energies) and is saved in the data file for use by subsequent processing software.

Parameters are:
Active area (mm2) | Nominal active area of detector. If this parameter is not applicable (e.g. for gamma detectors) insert a dummy value here (to avoid the risk of DBZ errors).
Distance (mm) | The nominal distance from the sample to the detector
Beam->Detector angle | The angle from the incident beam to the detector axis. Note that this is NOT the physicist's scattering angle. A detector at 45 deg on the same side of the sample as the beam has a Beam->Detector angle of 45, NOT 135.
In plane tilt | The tilt of the sample normal from the beam towards the detector in the plane containing the beam and detector axis.
Out of plane tilt | The tilt of the sample normal out of the plane containing the beam and detector axis.
Distance offset (mm) | An offset between the nominal detector distance and the true distance.

Calibration constants
Displays the parameters in the expressions
E = e0 + e1 * channel number + e2 *(channel number)2
and
fwhm = f0 + f1 * energy [see below *
For all 'real' detectors, the units should be keV.

e0, e1and e2 are most conveniently defined using the Calibrate spectrum procedure, but numerical values can be entered here.

The Allow Quadratic checkbox determines whether the energy calibration is constrained to be linear regardless of the number of calibration points used or whether the second order term can also be used.

f0 and f1 are used by the automatic sort window creation option and should be set to realistic values. For PIXE detectors, values can be derived from the GUPIX standard output, or alternatively, f0 = 0.08 and f1 = 0.02 seem to work as a starting point with most detectors. For particle detectors, try f0 = 20 and f1 = 0.

See also Energy calibration

Load and Save ADCs
These buttons allow the full detector configuration to be saved in a file (filename.ADC) so that returning to a particular configuration can be done quickly. OMDAQ2007 is shipped with two pre-defined .ADC files: NORMAL.ADC loads a PIXE detector on ADC0 and an RBS detector on ADC1. ALLADCS.ADC loads a detector on every input channel and is useful for testing the system.

*
Yes, I know that strictly speaking fwhm^2 = a^2 + b*E, but if you just take the first terms of a Taylor expansion of this you get a linear expression for fwhm which is accurate enough for calculating window widths.


Map definition dialog box
Main menu: Maps

Allows energy sort regions to be defined on each spectrum which is assigned to a detector. To add or remove maps, select the tab for the correct detector and then use the Add sorts or Remove sorts buttons. Changes will not take effect until the OK button is pressed.

Add sorts
Creates sort windows using several different methods:
By Element *
(PIXE and RBS only): Creates sort windows from a list of element symbols (and optionally X-ray line symbols ) enetered by the user. Symbols must be separated by COMMAS.
PIXE windows are defined about the X-ray line energy with a width given by the detector fwhm at this energy (calculated from the detector f0 and f1 parameters ) multiplied by the 'Auto sort window width' displayed in the dialog box. If the window includes the energy of another line from the same element, this line is also included in the window and the window is widened accordingly. This ensures that peaks consisting of several unresolved lines are fully covered.
RBS windows are defined down from the surface energy and have a width given by the fwhm multiplied by the 'Auto sort window width'
Common *
(PIXE only): Creates a list of commonly used PIXE sort windows.
By Channel
Creates a single window between two energies selected by clicking on the spectrum. The defined sort must be given a label which can be up to 6 characters long.
By Energy *
Defines a window defined energies entered by the user. This opens the By Energy sort dialog box
Slices
Sorts are defined by creating several windows of equal width between two channels selected by clicking on the spectrum. The total number of slices to be created is entered via a text input box. Slices are labelled as 'Xnn', where X is the first character of the signal type (e.g. 'P' for PIXE) and nn is a sequence number increasing from 00 towards higher energies. Care should be taken if defining multiple slices sets on the same spectrum since at present no attempt is made to keep track of the sequence number and sorts with the same label will be set up.
Statistics
Creates maps of statistical properties of the visible portion of the spectrum at each pixel. See Statistics maps for more details

*>>> The spectrum energy calibration must be correct for these options to work!

Remove sorts
Remove either sorts selected in the list box or ALL sorts from this detector.

Auto sort window width
This value is used to multiply the fwhm to calculate the width of sorts in the automatic options.

Sort file
These commands allow sets of maps to be saved and loaded. The Save command writes a binary file (filename.SRT) which contains the specification of all the defined maps for the currently visible spectrum tab. The Load command reads a SRT file and loads all the maps in the file that are associated with the currently visible spectrum tab. Any previously defined maps are deleted.

Please note that the maps are saved as CHANNEL windows, not energy, so if the energy calibration of the spectrum has changed between loading and saving, any windows defined by Element of Energy may appear in unexpected position.


By Energy sort dialog box
Main menu: Maps > Add sorts | By Energy

Allows the user to define a sort window by entering two energies

This box has two text input fields for the energy values and four buttons to select how the energies are interpreted. These are:

Centre and width: The energies are the centre and width of the window.

Lower and Upper: The energies are the lower and upper limits of the window.

Lower and width: The energies are the lower limit and width of the window.

Upper and width: The energies are the upper limit and width of the window.

The defined sort must be given a label which is typed into the 'Label' text input field. The label can be up to 6 characters.


Scan Pattern tab
Main menu: Scan | Set | Scan Pattern tab Toolbar:

Defines the beam scanning patterns

Freeze Alt-F
This button stops the scan and moves the beam to the centre of the scan regardless of the scan pattern selected. This can also be activated using the main menu command
Scan | Freeze or the keyboard shortcut Alt-F. This option is disabled during runs.

Scan patterns are selected by pushing one of the scan pattern buttons. Ten patterns can be defined:
Point | Move the beam to a point on the scan by dragging the cross hairs on a live map using the mouse
Full 2D scan | The beam is scanned over a full N x N square raster. The beam scans adjacent lines in opposite direction (undulating pattern) which ensures that the maximum pixel jump is one pixel. (N is the pixel size defined on the Scan Method tab )
Full X line | The beam is scanned in a horizontal line at a vertical position defined by dragging the cross hairs on a live map using the mouse.
Full Y line | The beam is scanned in a vertical line at a horizontal position defined by dragging the cross hairs on a live map using the mouse.
General line | The beam is scanned in a line between two points defined by clicking on a live map.
Selected raster | Scan an irregular 2-D pattern defined either by drawing with the mouse or by loading a pre-defined pattern either as a .BMP or a hex coded text file. Patterns can be loaded from a file using the Load button. For more details, see Defining irregular scan patterns . The pattern is converted to a scan path according to the Scan Path options (see below)
Preset points | Define a series of points to be analysed sequentially. The points to be analysed are selected by clicking on a live map. The number of the point is indicated by a prompt box. Click "Done" to finish the sequence and start the runs. Before the runs are started the program shows the New run dialog to allow the system parameters to be defined. A preset stop condition MUST be specified. The program automatically adds the text " Pt N of M" to the description for each run.
Beam monitor | Defines an L-shaped scan pattern to permit the beam size to be estimated. This option is designed to work with a grid image. Click two points which define the ends of an L which crosses a horizontal and vertical bar of the grid. See Estimating the spot size
Line of points | Define a series of points equally spaced between two points defined by clicking on a live maps. The number of points to define is specified by the "Number of points" value. When the points have been defined, operation is identical to "Preset points"
Random points | Define a series of points randomly distributed over the scanned area. The number of points to define is specified by the "Number of points" value. When the points have been defined, operation is identical to "Preset points"

Waveform
This option determines the type of scan path The options are:
Triangle | The beam scans successive lines in opposite directions. This mode ensured that there are no large jumps (in a full scan, every move is to an adjacent pixel. However this mode can give problems if there is hysteresis in the scanning system (i.e. if there is a delay between the change in scan output voltage and the beam moving).
Flyback | The beam always scans in the same direction. This avoids hysteresis problems, but there is a large flyback jump at the end of each line. If this mode is used, the Settling Time option must be defined in the Pixel clocking dialog to instruct the system to wait for the beam to settle after each flyback.

Scan Path
This dropdown box determines how an irregular pattern defined by the Selected Raster option is converted into a scan path.

If the Inverted option is selected then the pattern created is the negative of the defined image.

The scan path options (shown schematically in the diagram below) are:
Raster | The image is covered using a raster pattern.
Outline (CW) Outline (ACW) | The image is filled using a simple edge-following algorithm which ensures that the beam path is always parallel to then edge of an image region. The two options (CW and ACW) simply tell the beam to scan in an anti-clockwise or clockwise direction. This is a left-over from the development phase and is not expected to have any real impact on the scan quality.


Defining irregular scan patterns

Irregular scan patterns or masks can be defined in three ways:

1. Draw using the mouse

2. Load a .BMP file

3. Load a hexadecimal coded .TXT file

These methods are described below.

When using selected raster, it should be born in mind that the scan frequency can increase beyond the response of the scan amplifier if the total number of pixels scanned is reduced, so the pixel clocking speed should be reduced if the beam appears to be scanning very rapidly. The scan pattern is covered in the same direction as the original scan raster (in undulating sweeps).

Draw using the mouse

To define a scan or mask using the mouse, a map window should be visible (preferably displaying the structures it is required to select!). The mask is built up from any number of polygonal regions which are drawn using the mouse on the displayed map.

A prompt box indicates the status of the process in the form "Click point 1 (2,3 ...) on region N". The regions are defined by clicking their vertices. After the first point is clicked, a "ghost" polygon follows the mouse to indicate the selected region and further clicks "fix" the vertices in position. A polygon is completed by clicking the right mouse button. As many polygonal regions as necessary may be specified and these may be overlapping or separated. When the desired area is fully covered, click "Done", and the information is used to construct the scan pattern or mask.

Load .BMP file

The image should be created using suitable image processing software with the same pixel dimensions as will be used by the scanning system (i.e. 256 x 256 etc.) and should be saved as a monochrome bitmap (1 bit per pixel). White pixels (pixel value = 1) in the image will be included in the pattern. The pattern can be loaded using the "Load" button. An example of a .BMP scan pattern is shipped with the package: [ConfigFiles]\SURREY LOGO SQUARE 256.BMP.

Load a Hex coded .TXT file
Scan patterns can be loaded from text files prepared off line. The format is as follows:
Line 1: | Nh Nv | The number of pixels in the horizontal and vertical directions. These should be whole powers of 2 (16, 32, 64 etc.) less than or equal to the OMDAQ pixel size (Npix). If Nh or Nv is less than Npix, the pattern is expanded to fill Npix pixels by duplicating rows or columns.
Line 2 … end | nnnnnnnn… | A total of Nh*Nv/4 hexadecimal digits, in which each bit set represents a pixel which will be included in the pattern. The digits should be unspaced (other than by line breaks for convenience) and the order of pixels is in horizontal rows from the top left corner.

An example of a scan pattern file is given in [ConfigFiles]\TESTSCAN.TXT


Pixel clocking tab
Main menu: Scan | Set | Pixel clocking tab Toolbar:

Defines the conditions for moving to the next pixel in the scanning modes. Change these parameters to set the scan speed or to normalise the scan speed to charge or counts.

Options are:

Free running
Move the beam as fast as possible.

Move after ...
Move the beam to the next pixel after N events have elapsed.
These can be:
Q pulses | The number of charge pulses counted through the Ungated Q input
10 us ticks | The number of 10 microsecond "ticks". (See below)
Total events | The total number of data pulses processed
Events in window | The number of data pulses sorted into the window specified in the drop-down list

Settling time
This parameter can be used to introduce a delay in resetting the OM-1000e data acquisition interface and the beam blanking signal to allow the beam position to stabilise after long jumps. The time between the initiation of a pixel move and the clearing of the BUSY and Beam Blank outputs is given by Jump * N * 10 us, where Jump is the maximum X or Y pixel jump and N is the settling time entered here.

Hardware "ticks"
The 10 microsecond timing pulses for pixel clocking and settling can be derived from three sources (in order of desirability):
PC performance timer | This is a fast timer related to the processor clock which is available in modern processors. The period varies, but is usually sub-nanosecond and is displayed in the Show configuration dialog box . If the performance timer is available it is used by default, since it can be accessed rapidly. If the processor does not have one, then one of the sources below will be used. These are selected using the System parameters dialog box.
PCI DIO card clock | This is a 10us clock scaler located on the PCI-215 DIO card, and is accessed using a single read operation on the PCI bus
OM-1000e timing scalers | This is the 10us clock for the Charge and dead time scalers in the OM-1000e interface module. Reading this requires several I/O operations on the PCI bus and so is not recommended for fast operation.

See also
DAQ event timing
Scanning strategy
Hardware limitations on scan speed


Scan Method tab
Main menu: Scan | Set | Scan method tab Toolbar:

Defines the way that scanning is carried out at the hardware level.

Scanning method
Determines how the scanning is carried out:
Beam scanning using DAQ patterns | The beam is scanned electromagnetically using voltages generated by OMDAQ via the DAC output card. The instantaneous beam position is taken from the OMDAQ scan manager.
Beam scanning using external voltages | The beam is scanned electromagnetically using externally generated voltages injected through the OM-1010e "External" inputs. In this option, the OM-1010e is switched to route the external drive voltages to the scanning system and the instantaneous beam position is read using the X and Y ADCs in the OM-1000e module.
Sample stage scanning using steppers | The beam is stationary and the sample is scanned using the motorised sample stage (if installed).
Manual sample stage positioning (fixed beam) | The beam is stationary and the sample is positioned manually. Only single point analysis is permitted in this mode, and the user must enter the sample coordinates at the start of each run.

Pixel size of scan
This parameter sets the number of pixels in the internally generated scan field. This can be set from 32 to a maximum which depends on the resolution of the DAC output card. Pixel dimensions greater than 512 x 512 carry a heavy overhead in scan speed and processing time associated with the large arrays.


Scan size dialog

Scan size
Main menu: Scan | Scan size Toolbar:

Change the scan size.

Scan size
Select the scan size, either from a drop-down list of pre-defined sizes, or by selecting the Custom option, by entering a single numerical value into the input box. (i.e., 275, not 275 x 275). The maximum scan size available with this hardware is indicated.

Square
Uncheck this box to define non-square scanned areas. This reveals a second scan size box for the Y direction and allows X and Y to be chosen separately.

Show current
Displays the current scan amplifier settings using the Scan size settings dialog

OK
When OK is pressed, the scan size if changed. If


Scan size settings dialog
Main menu: Scan | Scan size Toolbar:

> Show current or OK

Prompts the users to make manual settings to change the scan size.

The fields displayed in this dialog depend on how the scan hardware was configured using the Scan configure option. The screen displayed is for a standard OM system using the OM-40e.

The user is required to make the changes indicated and press OK.


Scan configure dialog
Main menu: Scan | Configure

Defines the hardware configuration for the scanning system. Hardware configurations can be stored in a database and re-loaded to work with different configurations (beamlines, beam energy, ion species, etc.)

Scan configuration
Manages the configurations stored in the database [Databases]\DQP_SCAN.DB.

Select a configuration from the drop-down list to load it.
Right-click on the Configuration box to display a menu to manage the configuration database. Options are:
Create new scan configuration (empty)
Create a copy of this configuration
Rename this configuration
Remove this configuration from the database

Deflection system parameters
Enter the parameters of the hardware scanning system. These are used by OMDAQ2007 to make a guess at the starting values of the scan calibration factors and to calculate the settings required to achieve a particular scan size. Full details of the hardware parameters are given here: Scanning hardware parameters

Calibrated on ...
Indicates the date of the last scan size calibration and the ion that it was calibrated with.

To change the scan size
Specify here what methods should be used to change the scan size. Any combination of these options may be selected depending on the users hardware:
Single master gain control (scan size) | A single manual control which changes the amplitude on both X and Y channels
Separate X and Y gain controls | Two independent manual gain controls operating separately on X and Y channels
Coarse fine switch | A single manual switch to change the scan amplitude on both channels by a fixed ratio.
Voltage controlled attenuator | Not implemented
Vary scan voltage amplitude | Change the scan amplitude by varying the output voltage from the DAC card.

Orientation
Change the direction of the beam scanning if this is required to match the scan orientation to the screen display.
Fast scan horizontal | By default the fast scan in OM systems is in the vertical direction for reasons explained here . This can be changed to fast scan horizontal by checking this option.
Horizontal inverted (R to L) | Sweep horizontally from right to left rather than left to right.
Vertical inverted (T to B) | Sweep vertically from top to bottom rather than bottom to top.


Scan calibration dialog
Main menu: Scan | Calibrate

This dialog allows the scanning system calibration factors to be determined. For full details on how to use this feature see Calibrating the scanning system .

Calibration parameters
Displays the current value of the scanning system calibration parameters. Parameters can not be changed from this dialog.

Scan size calibration tabs
Helps the user to determine the calibration parameters.
For full details see Calibrating the scanning system .

Configure Scanning System
This tab reveals the Scan | Configure dialog box to allow the scanning parameters to be changed during the calibration process if necessary.


XYZ control dialog

This is a multi-page tabbed dialog which allows control and configuration of the A3200 XYZ stage. The dialog is created automatically on startup provided the XYZ stage is present and can be successfully initialised.

When the system is in a live data collection run, the dialog box is locked to prevent unexpected motion of the stage during a run.

The control can be hidden or revealed using the Window navigator .

The tabs provide several methods for moving the sample stage:
Arrow keys
Direct entry
Stored locations
Previous runs
G codes
Selected points on the scan can also be moved to the centre using the "Move to Centre" option on the pop-up menu of the Map window

A limited sub-set of the stage parameters can be configured by the user through the Configuration tab of the XYZ control.

For stages with motorised rotation, additional optuons are available to display, save and control the rotary position. These are accessed in the XYZ Rotation tab .


XYZ Arrow keys tab

This page provides manual control of the sample stage position using directional arrow keys. The status panel on the left displays the current position and stage status and is common to all motion control tabs.

Status panel
Memory location If the stage is at the position of one of the stored memory locations, the name of the location is written here ("Phosphor" in this example).

X, Y and Focus The instantaneous position of the stage in Logical coordinates . The values are displayed in millimetres with a decimal precision defined by the Position Accuracy parameter in the Advanced configuration dialog.

Status indicators Three "LED" style indicators which indicate the following:
Blue | Stage in position
Green | Stage motor power ON
Red | Stage fault (e.g. limit switch triggered). If this indicator shows persistently use the Aerotech NStat program to get full diagnostics.
These indicators are also repeated on the Status bar of the Main Window

Common control buttons
Three buttons which can be used at any time:
Emergency stop. This sends a Halt sequence to all motors. It may not have an effect if the final move command has been accepted. In this case the on/off button can be used as an emergency stop.
Undo. This moves the stage back to the position preceding the last full move.
On/Off. This switches off the power to the motors. This can be used as an emergency stop, or to avoid long periods of motor activity.

Manual motion ("Arrow key") panel

Arrow keys Each arrow key moves the stage one step in the direction of the arrow (assuming that the coordinate transformation matrix has been defined correctly - see here ).
The central "X" is the emergency stop button - though see Emergency Stop above.

Step size Use this box to select the step size. The values displayed here can be edited in the XYZ configuration tab

Speed The speed of the motion is calculated by multiplying the base velocity by a "Low", Normal" or "High" multiplier. These are configured in the XYZ configuration tab . Default values are 5 mm s-1 and x0.5, x1 and x2 respectively. Each type of motion (Arrow, Stored, etc.) has its own multiplier, but uses the same base velocity.

Set Home Defines the current logical position to be the Home position and sets the Logical coordinates to zero.

Set Axis Limits Brings up the XYZ software limits dialog to define the Safe volume .


XYZ Rotation tab

Provides control of the rotation option of the XYZ-R sample stage. This page is only visible if the stage hardware permits motorised control of axial (phi) rotation.

Logical angle
The angular position displayed on the panel is related to the physical angle defined by the stage hardware by a transformation. At present the options are simply "Normal" (logical angle = physical angle) and "Reverse" (logical angle = - Physical angle).

Angles are recorded and displayed cumulatively (provided the hardware permits this). This means that incrementing by 2 degrees from 179 results in an angle of 181, NOT -179. It also means that going to zero from an angle of 720 degrees results in two whole rotations in the negative direction. This should be borne in mind when planning large rotations.

Angle display
The logical angular position of the stage is indicated by numerical display of the logical angle on the status panel and by a graphical mimic showing the orientation of the sample (assumed to be normal to the beam at an angle of 0.00 degrees). The yellow line indicates the beam direction.

Arrow keys The clockwise and anti-clockwise arrow keys increase or decrease the logical angle by the step size defined in the Step Size box.

Step size Use this box to select the step size.

Direct Entry box. Allows direct entry of angualr positions. Enter a new target angle (press return) and the stage will move there.

Speed The speed of the motion is calculated by multiplying the base velocity defined in the Rotation configuration dialog by the "Low", Normal" or "High" multiplier.

Set Home Defines the current logical position to be the Home position and sets the Logical coordinates to zero.

Configure Brings up the Rotation configuration dialog to define parameters of the user interface.


Rotation configuration dialog
Displayed via the Configure button on the XYZ Rotation tab

This dialog configures the user interface of the rotation stage control.

Direction of rotation
For each rotary axis the sense of the rotation can be configured match the physical rotation to the desired logical coordinates. This is defined as NORMAL (increasing logical angle increases the physical angle) or REVERSE (increasing logical angle decreases the physical angle).

Base rotation speed
Defines the base angular velocity for the rotation. This is multiplied by a factor defined by the Low-Medium-High button on the Rotation Tab. The velocity multipliers are those defined in the XYZ configuration tab .

Cancel HOME offset.
The HOME angle is defined by storing an angular offset from the home reference marker of the hardware. This offset can be cancelled using this button.


XYZ Direct entry tab

Moves the stage to a position defined by entering the logical coordinates directly.

Status panel
Speed See here for more details.

Move to.. Enter here the absolute or relative logical coordinates for this move. If the Use Z button is checked, the Z (or Focus) coordinate is used, otherwise it is ignored and a two-dimensional move is executed regardless of the value of Z.

Absolute / Relative Specifies whether the move will be to the absolute coordinates entered or to a position relative to the current position. Thus if the X and Y boxes contain 1 mm and the Go there button is repeatedly pressed, in Absolute mode, successive positions will be (1,1), (1,1), (1,1).... In relative mode, assuming we start at (0,0) they will be (1,1), (2,2), (3,3)...

Go there Press this button to make the move.


XYZ Stored locations tab

This page handles the storing and recall of stage positions in named memory locations.

Status panel

Speed See here for more details.

Move to a memory location The dropdown box contains a list of memory locations. When a name is selected, the saved coordinates are displayed below the name. Click Go Here to move to this location.

Memory operations
Memory locations can be stored in two groups: User defined and System. User defined memories are intended for the storage of temporary sample locations, and can be cleared using the Purge button. System memories should be used for the storage of permanent calibration samples (viewers, grids, etc.). The memory group is selected using the 'User defined' or 'System' buttons. The System memory group is highlighted by an orange background in the list box. The is no limit to the number of memories of each type that can be defined.

Save current position..
.. in this location | Overwrites the coordinates stored in this memory location with the current position
.. as a new location | Creates a memory location with a new name and stores the current position there

Rename Change the name of the displayed memory location (not Home)

Delete Remove the displayed location from memory (not Home).

Purge Delete all User Defined memory locations. Useful for cleaning up out of date references.


XYZ Previous runs tab

This page allows you to return to the location of an earlier run

Status panel
Speed See here for more details.

Show runs from This selector allows you to filter the runs listed in the selection box.

The selection box lists the run numbers and caption of all runs within the selected time frame. When a run is selected, its logical coordinates are displayed below the name. Click Go here to move to the location.


XYZ G codes tab

This page gives access to the G-Code decoder provided in the A3200 operating system.
(G-Codes are the industry standard language used for programming CNC and robotic devices). This option will allow the stage to be programmed to scan complex patterns.

There is no functionality to this at present and it has been hidden.
If anybody really needs it, please contact OM


XYZ configuration tab

This page allows various parameters of the stage and the control window to be set.

Status panel See here for more details.

Velocity This is the base velocity for calculating the speed of moves in the various motion modes. Enter the value in mm/second.

Velocity multipliers Defines the values of the multipliers used in the "L", "N" and "H" velocity settings.

Accel The A3200 controller generates a linear velocity ramp for the start and stop phases of each move - the velocity increases at a constant rate defined by the Accel parameter until the defined velocity is reached. Since the inertial mass of the HPT stage is relatively small, this should be set to a high value. The default is 20000 mm/sec2.

Step size options (um) This allows the list of step sizes presented to the user in the "Arrows" page to be modified. It is strongly recommend that large step sizes are not used!

Show diags Brings up the A3200 diagnostics window to display instantaneous values of the axis parameters.

Advanced.. Brings up the XYZ stage advanced configuration dialog to make basic changes to the stage setup.

Apply changes Click this button to implement the changes made to this page.


A3200 diagnostics window
XYZ control dialog | Configuration tab: Show diags button

Displays a sub-set of the A3200 live operating parameters for each axis. The values can be displayed either as position encoder counts or as User units (mm). See the Aerotech documentation for an explanation of the parameters.

This is a truncated version of the information available in the Aerotech NParam program.


XYZ stage advanced configuration
XYZ control dialog | Configuration tab: Advanced button

This dialog makes fundamental changes to the setup for the stage.

Injudicious changes to these settings could have unpredictable results.
Use with care!!!

Different XYZ stage configurations can be defined and stored under a descriptive name in the XYZ database file DAQ_XYZ.DDB, which is located in [Microbeam Settings]\Databases. These configurations can be loaded to suit different hardware configurations (e.g., rotating the stage to 45 degree incidence).

The configuration can be reset to its default value by deleting the XYZ database file.

Select XYZ setup Loads a set of XYZ stage parameters from the values stored in the XYZ database.

Aerotech parameter file At present this option is not working properly: Do not change the .PRM file from the default value (see the warnings here ).

Position accuracy (mm) Positions are stored internally as double precision variables. For display and comparison purposes they are rounded and displayed to the precision entered here.

Angles from drives to map axes Here you can specify the angles which define the transformation between logical and physical coordinates (see XYZ stage coordinates ).

Axis motion limits This set of entry boxes allows the axis limits defined in the XYZ software limits dialog to be entered manually. The limits should be enabled or disabled using the Software Lmits dialog.

Motor speed limits Some motor stage cannot respond to demands for high speed. This is particularly true for the UHV Design Ltd stage, where the high gearing employed to achieve the precision does not permit the stage to move at high speed. The actual maximum speed may be different for each axis and may depend on the direction of travel. This entry box allows speed limits to be defined for each axis in the two directions of travel. These limits are applied to each axis after the axis speed determined from the Config settings has been calculated. They should be determined empirically by setting the demand speed to some high value, and setting these limits to a value which permits smooth motion .If a value of zero is entered, that limit is ignored.

Save Save the displayed values in the current XYZ database location

Save with a new name Save the displayed values in a new XYZ database location

Remove Delete the current configuration from the XYZ database

Close and Apply Implement the new settings and close the window.


XYZ software limits dialog
XYZ control dialog | Arrows tab: Set Axis Limit button

This dialog is used to configure the software limit system for the XYZ stage.

This limits the motion on each physical axis to a certain range of values relative to the HOME position. See Setting the XYZ limits for details of how to use this dialog.

For each axis, the << or >> buttons transfer the current physical position displayed in the Current position column into the appropriate limit box.

The limits can also be entered manually using the XYZ stage advanced configuration dialog box.

Options This option defines how the software limits are applied:
Disabled | Software limits are off
Elliptical safety zone | The safety zone is an elliptical cylinder whose height is defined by the limits on axis 2 and whose cross section is an ellipse contained within the limits of axes 1 and 3
Rectangular safety zone | The safety zone is a right rectanglar prism defined by the axis limits


Listmode playback dialog
Main menu: Play

This dialog is the control panel for the listmode playback system. For further details on using this dialog see here .

Open
Selects a new listmode file to process. When a file is successfully opened (via a standard Windows FileOpen dialog), OMDAQ2007 enters Playback mode. At this point, the configuration of the system is stored (i.e. currently opened data files, etc.) and new spectrum windows are created to match the hardware configuration in the original experiment.

Rewind
Sets the playback system to point to the beginning of the file and then hides the Playback dialog. This must be done before each new playback operation. If "New mask" is selected in the Scan masking options, clicking rewind will start the procedure for drawing the masked regions on a map.

Scan masking
Mask are sub-regions of the 2D map area which can be defined using the mouse in the same way as for selected area scanning. This box sets up the options for selected area masking.
Full area | Removes any scan masking and sorts the full scanned area
Current mask | The next playback will be processed using the currently defined mask areas.
New mask | Indicates that new masked areas will be defined when the Rewind button is clicked. Mask regions are defined as described under "Using the mouse" in the Defining irregular scan patterns dialog. Several regions can be defined, and each one will be sorted into a different spectrum. Defined masks are saved automatically in the mask database and can be reloaded using the option below. Mask are also displayed as a map window together with the region number, and if the Save Mask as BMP option is checked, this will be saved in the data folder at the end of the playback. NOTE that the program will overwrite any ..._Mask.BMP file with the same name without warning.
Saved mask | If this option is selected, clicking the Rewind button opens the Mask Storage dialog box, which allows a previously defined sort mask to be re-loaded.

Data destination (Save sorted data files to..)
This option allows the folder where the data files created during LMF playback are stored. The options are:
LMF file location: the folder containing the listmode file
Default data folder: the folder where live collected data would be stored.

Automatic options
This box selects operations which will be carried out automatically either when the playback run is Started or when the run finishes. These are self-explanatory: spectra and maps can be zeroed automatically on Start and saved in various formats on Stop.

Sort map pixels
Allows the pixel size of the sorted maps to be defined (i.e. reduced) from the pixels used in the original analysis. This, for example allows a run which was collected as 256 x 256 to be sorted and saved into maps of 64 x 64 pixels dimension.

Sort range
These sliders define which portion of the listmode data will be used in the sort. The sort range is defined in terms of the total number of data events - i.e., NOT time, or charge. Thus if From is set to 20% and To is set to 70%, then the first 10% and the last 30% of the events in the file will be ignored. Individual events are not saved with time or charge information, but the data is saved in timed blocks of approximately 1000 events, which means that the time and charge for spectra with restricted sort ranges can be recovered and is saved with the spectra.

End Playback
This button closes the currently opened LMF file and returns OMDAQ2007 to non-Playback mode. The desktop configuration is restored to the state at the time the first LMF file in the sequence was opened.


Listmode mask storage dialog
Main menu: Tools | Masks

From the Listmode playback dialog: When Rewind button is pressed with the Saved Mask option selected

This dialog box is used to access the cache of stored listmode sort masks. This can be useful when carrying out complex sorting operations on listmode files. Masks are stored automatically each time a selected area playback sort is defined using the mouse. The masks are stored with the associated run number in a time-sorted push-down list. This is stored as LMF_FILES.DDB in the Databases sub-folder of the Microbeam Settings folder.

The maximum number of entries in the LMF Mask cache is limited to 20 entries; older entries are pushed off the bottom as new ones are added. This is to avoid the storage file becoming too big. If this is found to be restrictive, the size of the cache can be changed in the Options dialog.

The dialog presents a list of stored masks (identified by time of saving and run number) and additionally for the selected mask, displays an image of the mask with the different regions identified, and a list of the sizes (pixels and fraction of the total scanned area) and centre (pixels) of each region. This can be very useful as a record of sorted spectra, and the image (with or without the region labels) can be saved as a bitmap (BMP) file.

Masks can be displaced horizontally and vertically by a number of pixels specified in the Pixel offset boxes. The displaced map image is updated immediately. Shifting the mask does not affect the original mask stored in the database. This feature can be useful when sorting several analyses of the same object which may be displaced relative to one another.

Controls permanently visible
List of stored masks
Click on a mask to select it and display the image and statistics.

Mask image
Shows each region in a different colour. Optionally the regions can be labeled with the region number.

Mask statistics list
Shows the number of pixels in each region and the fraction of the total scan area

Hide labels
When this is checked the region labels are not displayed.

Save image ..
Saves the image (with or without labels according to the Hide Labels switch) as a .BMP file. The user is prompted to provide a filename (this is NOT generated automatically).

Pixel offsets
Values for the pixel displacement of the mask actually used relative to the original stored mask. Changing these values does not affect the stored mask. The values are not stored in any way.

Export and Import masks
Allows the selected mask to be saved and reloaded. The mask is stored in CSV format (256 rows and columns) so that it can be viewed or edited in Excel. The user is prompted to supply the filename (not generated automatically).

Export region info
This writes the mask statisitics list into a CSV file.

Controls visible when opened from the Playback dialog
Use this
Load the selected mask into the LMF playback and use for sorting

Create new
Ignore the saved masks and create a new mask with the mouse

Full area
Ignore the saved masks and playback the full scanned area.

Controls visible when opened from the Tools menu
Delete
Remove the selected mask from the cache. This is permanent.

Close
Closes the window


Overlay spectra dialog box
Main menu: Overlays | Overlay spectra

This dialog allows several

This is done by


Overlay maps dialog box
Main menu: Overlays | Overlay maps

This dialog allows up to six maps to be displayed in a single window using false colour coding.

This is done by incrementing the colour value of each pixel in the overlay map by a colour determined by scaling the colour value of that channel by the weighted grey scale luminosity* of the same pixel in the associated map image (NOT the underlying pixel count).
This provides an image whose colours are modulated according to combination of elements which may enable subtle differences in composition to be highlighted.
The use of the luminosity of the image as a scaling index rather than the pixel value means that image processing options can also be used to enhance the display.

(* This is the function used to convert colour TV images to black and white: L = 0.299*R + 0.587*G + 0.114*B).

Select overlay map to change
This shows a list of existing overlay maps. Select an existing overlay map to edit its properties, select "Create New" to set up a new overlay map.

Colour selection
Colours can be selected in two ways:

RGB only. This allows the choice of "pure" colour mapping where only three maps are used to modulate the red, green and blue channels of the overlay image. This preserves a unique relationhip between colour and element intensity.

Mixed colours
This option allows six arbitrary colours to be defined. It allows a more subtle colour modulation to be achieved, but the unique association between element intensity and colour is lost. The colours defined initially are the three primaries (R,G, B) and their complements (Yellow, Cyan and Magenta). These can be changed to any other colour by clicking the colour button. This brings up a colour selection dialog box.

Maps available
This box displays a list of the maps open on the desktop. To assign an open map to a colour channel in the overlay, select the map in this list, then click the > button next to the colour channel you wish to define. The name of the map will be displayed in the selected colour. To remove a map from a colour channel, select "None" from the map list and click the > button.

Set grey
The pixel value used to control the colour intensity in the overlay is the extended RGB value in the source pixel (0x00rrggbb). This only represents the underlaying sorted pixel count uniquely if the source map is displayed in GREY SCALE. Click this button to convert the colour scales of all open maps to grey scale with 3x3 gaussian smoothing and a gamma of 0.4 (processing conditions found to optimise the overlay image). See Map appearance dialog for more details of image processing.


Register (Password) dialog


Show configuration dialog box

Main menu: Tools | Show configuration

Displays the configuration of software and installed hardware


Options dialog
Main menu: Tools | Options

Several pages (tabs) of dialogs to allow the basic parameters of OMDAQ 2007 to be defined.

The tabs are:
System parameters | Fundamental parameters associated with the data collection hardware and the hardware-software interface.
Spreadsheet parameters | Parameters to define the content and appearance of the results spreadsheet
File I/O options | Parameters to define the format of data files.
Load Run Options | Parameters to define the actions carried out when a Load All Files for Run command is executed
Serial ports | Defines the serial ports for reading RS232 multi-channel analysers.


System parameters
Main menu: Tools | Options | System parameters tab

This sets up basic parameters for the system

Warning!! Changing some of these parameters may degrade the performance of the system. Use with care!

This dialog box allows basic hardware and software parameters to be defined. Most of these are preset to suitable values on installation, and should not need to be changed in normal operation.

The parameters are as follows:

Numerical entry values
Data refresh interval | The time between automatic refreshes of single spectrum and map windows (in milliseconds). Reduce this if you with the data in the screen to be updated more frequently.
Banner refresh interval | The rate at which the status banner is refeshed (milliseconds). Reduce this to update the status banner (e.g. count rate, current bargraphs) more frequently. If this is too short there may be an impact on the data collection rate and the responsiveness of the user interface.
XYZ refresh interval | The rate at which the XYZ position and status is monitored and displayed (milliseconds). Reduce this to update the XYZ position more freqently.
Stats window interval (ms) | The rate at which the statistics window display (count rates and meter) is refreshed.
Charge monitor period (ms) | The rate at which the charge and dead time scalers are interrogated and loaded into the statistics window.
Events per playback loop | Not used
Digitiser C_per_pulse | Defines the sensitivity (in coulomb per pulse) of the charge digitiser, and is used to convert digitiser pulses into charge and current. For the standard OM-35e digitiser (1 nA full scale) this should be 1E-14. For 10 nA full scale models, the value should be 1E-13.
DAQ Reset pulse length (uS) | Length of DAQ reset pulse (arbitrary units based on the time taken to address the IO card)
Scaler Reset pulse lenth (uS) | Length of charge scaler reset pulse (arbitrary units based on the time taken to address the IO card)
Listmode version | Defines the format of event data in listmode files. See the help file for the DataIO SDK for more details.
File header version | Defines the header format for writing OMDAQ native data files. In normal operation this should be set to the maximum value to avoid losing data. However, it may sometimes be necessary to write files in earlier format (e.g. for compatibility with third party software). See the help file for the DataIO SDK for more details.
Linescan thumbnail map size | Defines the size of the thumbnail map that is drawn as a background in linescan or beam monitor runs. This is specified as a percentage of the smaller spectrum window dimension. Use 0 to disable the thumbnail.
Listmode mask cache size | The size of the internal stack for storing listmode sorting masks
Count rate log file interval (s) | The interval for updating the charge and count rate log file for each run (seconds). Set to zero to disable this feature.
OM-1000 scaler read delay (loops) | The delay between asserting a scaler byte address for the OM-1000e and reading the byte data. Increasing this MAY help to deal with erratic scaler reads in systems with fast processors.

Checkbox parameters
Run offline | Not used
Prompt for beam parameters on startup | Show a dialog box to confirm the beam species and energy both at startup and at regular (4 hour) intervals during program operation.
Virtual hardware (for offline testing) | Tell OMDAQ to simulate ADC and scaler data so that OMDAQ features can be tested without being connected to the hardware. Changes to this only take effect after the program is closed and re-started. This feature only works with hardware enabled or DEMO versions )(see Passwords and installation types )
Show window tree | Display or hide the tree-formatted Window navigator pane
Show pixel position as microns | Controls the way in which pixel coordinates are displayed in the status banner when the mouse is dragged across the map. Options are true microns from the centre, with a display of distance from the initial point or pixels from bottom left with a display of pixel count.
Blank beam while moving | Generate a fast beam blanking signal when the beam is moving between non-adjacent pixels. (See Beam blanking and beam control )
Read Q from PCI scalers | These options determine whether the pixel clocking routine reads charge (Q) and elapsed time (T) from the Charge and dead time scalers located in the OM-1000e or from their equivalents on the PCI-25 digital I/O interface card. The PCI option is faster and should be used unless there is a good reason not to. Charge and deadtime statistics at the end of a run are always read from the OM-1000e hardware scalers. Timing information for pixel clocking is read by default from the PC's performance timer, and the hardware options are only used if this is not available.
Read T from PCI scalers
Auto beam on/off (runs only | Enables automatic beam switching (using the BEAMONOFF and BEAMBLANK signals), so that the beam is only on target when a live run is in progress. (See Beam blanking and beam control )
Show beam control button | Display the beam control button [image] in the main window toolbar. This should only be used if beam switching hardware is installed (See Beam blanking and beam control )
Show light control button | Display the chamber light control button [image] in the main window toolbar. This should only be used if light control hardware is installed. (See Sample illumination (Chamber Light)
Warn if light is on at new run | If the Chamber Light button is visible, this option warns the user if the chamber light is on when a new run is started and offers to switch it off. (See Sample illumination (Chamber Light)
Auto save video image at new run | If the Chamber Light button is visible and the Video window is visible, this option turns the light on, saves a video image and then puts the light off at the start of a New Run. The image is saved in the current data folder with the name WWWRRR_Sample.BMP.
Hide windows (Don't minimise) | This is used with the Window navigator and Tile commands, and controls what happens to the windows that have been hidden. Options are HIDE (the window disappears from the desktop completely) and MINIMISE (the window id reduced to an icon and appears at the bottom of the screen).
Check for updates on startup | Interrogate the OM website for updates when the program starts. See Checking for updates
Video centre cross diagonal | Determines whether the centre cross hair generated by the video cross hair button is diagonal (X) or horizontal (+). May be useful to de-clutter the screen.
Log all file access | All requests to open a file are logged in the LogFile window.
XYZ motors OFF during run | Turns off the power to the XYZ stage drives during runs (if the hardware allows this). This may be useful to reduce noise pickup from stepper drives, but it should be noted that there may be a small change in position.
Auto stripchart file during runs | Creates a stripchart log of beam current, count rate and deadtime for each run. The file is saved in CSV format in the same folder as the data files. The update frequency is determined by the speed of the stripchart in the Statistics window .

Peak Fit calibration parameters
These check boxes define which spectra use automatic Gaussian peak fitting to determine the peak centroid channel and fwhm. I can't imagine that any signals other than PIXE and GAMMA would use this, but it may occasionally be desirable to turn it off and go back to using the clicked channel.


Spreadsheet parameters

Main menu: Tools | Options | Spreadsheet parameters tab

This form defines the content of the Results spreadsheet

DO NOT CHANGE THE FORMAT OR CONTENT OF AN EXISTING SPREADSHEET!!

Display spreadsheet: Check this box to enable spreadsheets.

Data columns: Select the data items to be saved into the spreadsheet. The columns are displayed in the order shown in this list,which can be changed using the Move up and Move down buttons.
· PIXE element results are repeated for each element in the GUPIX output file.
· Gauss Peak fit results are repeated for each peak defined.
· Matrix element concentrations are repeated for each defined matrix element.

PIXE concentrations
Matrix thickness
Matrix concentrations
Select the displayed units.

Normalise to
This selects the element used the normalise the PIXE weight ratio option.

Spreadsheet template
Allows the current spreadsheet format to be saved to a file and loaded for re-use. The default extension for spreadsheet templates is .SST.


File I/O options tab

File I/O options
Main menu: Tools | Options | File I/O options tab

This defines which files will be automatically saved at the end of each run, together with some options relating to reading and writing data files. Also allows the format of Definable ASCII output files to be specified

At the end of each run...
At the end of each run, each live data object (i.e. spectrum or 2D map) will be saved as a standard binary DAQ data file together with the checked options shown in the table below.
See Save all spectra and Save all maps for more information about file formats and locations.
Save normal DAQ data files | All data is saved in this format
Save definable ASCII spectrum files | Save spectra in the currently selected ASCII format.
Save GUPIX ASCII spectrum files | Save spectra in the GUPIX "long" ASCII format
Save CSV spectrum files (for Excel) | Save spectra as comma separated variable ASCII files for reading into Excel as two columns (energy, counts)
Save .BMP map files | Save elemental maps as standard bitmap (BMP) image files.
Save .JPG map files | Save elemental maps as standard Jpeg (JPG) image files.
Save .CSV map files (for Excel) | Save elemental maps as comma separated variable ASCII files for reading into Excel as N x N arrays.
Save WinDF ASCII files | Save spectra in a format suitable to read into the Windows Data Furnace .
Print live data on the default printer | Print each live object on the currently defined default printer.

Data path format
Defines how OMDAQ constructs the data path for output files. The checkboxes select the data path components. An example path is presented.

Changed files
This defines what happens when the program thinks that the header information in a loaded old data file has been changed.
Always save | The program will save every changed file. The original file is saved as a backup with ~ appended to the filename
Never save | Changed files are never saved. Changes are lost.
Prompt for save | The program will ask the user if a changed file should be saved. (See note above)

Miscellaneous parameters
WinDF output channels | Defines the number of data channels which will be written into the WinDF ASDCII output file. If the number of output channels is smaller than the channels in the spectrum, channels are added in pairs to reach the requested number.
ASCII map decimals | The number of decimal places that will be printed in ASCII and CSV saved files from floating point map data. This can be used to control the size of ASCII map files.

Filename sequence characters
In the Next spectra and keep data and Load next run commands, the filename for data files for the next run in the sequence are based on the filename characters which are checked in this box. The default is the first six characters (see Run number ).

Define ASCII output format
This section allows the format of definable ASCII output files to be defined and managed.
ASCII file formats can be saved in binary files named XXX.AFM (Ascii ForMat).
The ASCII data files consist of optional header lines, which can contain information such as number of channels, run title, data, time, etc. and experimental data such as beam energy, calibration constants, etc.
These are defined in this section.
Header
Header Items
The content of the optional header lines is defined by typing numbers in the Header box selected from the list in the Header Items box. The items in the Header box should be laid out as they will appear in the output file, separated by commas. In the output file they will be separate by the Delimiter character defined below. If no header lines are required, the Header box should be blank.

Example: if you require a header which contains the run title on the first line, followed by a line with the number of channels, and the energy calibration, the Header box should look like:

2 <CR>
12,13,14<CR>

Note that the <CR> on each line is required.

The first few lines of this file look like this:
Wasp foot
1024.00000 -1.64935 0.04170
0
0
0
0
35
.....
Number of channels
Defines the MAXIMUM number of ASCII data values written into the output file. If this value is less that the number of channels in the stored spectrum, the data is compressed by adding adjacent channels to reach the value defined here. This value must be a power of 2.
Channels per line
The number of spectrum data values written on each line of the ASCII file. Values are separated by the Delimiter character defined below.
Delimiter
Selects the character used in both the header and data lines to separate adjacent fields. If any characters other than those offered are required, please contact OM.
Start of line
Defines whether the channel or energy is writte at the start of each line. Options are None (no channel indication), Channel No (the channel number of the fisrt value on the line is written) and Energy (the energy of the first channel on the line is written). In the energy case, the energy is calculated using the calibration constants from the spectrum.
Signal type
Defines the default signal type for this format (only used for reading, which is not yet implemented)
Default extension
The default extension for this type of data file (3 characters, e.g. DAT, TXT).
Load / Save
Allow format definitions to be saved and loaded as binary *.AFM files. The file name is used as a name for the format definition and this is displayed as the Current Format


Load Run Options tab
Main menu: Tools | Options | Load Run options tab

Defines actions which will be executed when the Loading all files for a run command is invoked. These are:

View maps
Tile all the maps in the run onto the screen

View spectra
Tile all spectra in the run onto the screen

Save all maps as BMPs
Save all maps in the run as .BMP files. By default, he files will be written into the folder defined by
[DataRoot]\Maps\[Username]\[Date]\[RunNumber]\filnam.BMP
where [DataRoot] is the root folder for live data saving.

Save all spectra as definable ASCII
Save all spectra in the run as ASCII files. By default, he files will be written into the folder defined by
[DataRoot]\ASCIISpectra\[Username]\[Date]\[RunNumber]\filnam.BMP
where [DataRoot] is the root folder for live data saving.

Print all loaded files
Prints all the files for the run

Read next run
Reads all the files for the next run in the current folder (same as the Load next run command). If there are no more runs in the current folder, the command stops. This option is cancelled at the end of the command (to avoid unexpected unwanted behaviour). You must select this each time you need it.

Write a log file record
Creates summary text and CSV log files in the format described for the Automatic log keeping option for the run that has been read. Using the Read Next Runs option allows all th eruns in a folder to be retrospectively logged.

More than one command can be selected and they will be executed in the above order, so if, for instance "Print all" and "Read next run" are selected, every run in the folder can be printed just by reading the first run.

The location of [DataRoot] can be changed by the File locations command.


XYZ interface selection tab
Main menu: Tools | Options | XYZ stage hardware tab

Defines the type of XYZ stage control hardware that the program uses.

This screen handles the selection of the type of sample stage control interface used by the program. More details about the options are given here .

To change the XYZ stage option, use the following procedure:
1. Select the stage type from the drop-down list.
2. Enter any additional information (such as parameter file names, etc.) in the Additional parameters box.
3. Click Apply to confirm the changes. The changes will not come into effect until the program has been restarted. Clicking Apply will close OMDAQ.

It is essential that all the required hardware files (DLLs, parameter files) are installed and tested before the stage controller is changed otherwise OMDAQ may not restart correctly.

There are two option for reverting to previous configurations:
Restore installation defaults. This resets the XYZ stage configuration to that defined by the user's authorisation code.
Restore current settings. Reloads the configuration the was present when the dialog box was opened.


Test Scalers dialog box
Main menu: Tools | Debug | Test Scalers

Displays the instantaneous values of the hardware charge and time scalers. Use this to diagnose problems with the hardware interface

The OM_DAQ hardware maintains two sets of 32-bit scalers which are used for charge accumulation and dead-time correction.

OM-1000e scalers
The OM-1000e module has 5 scalers which respectively count:
1. Charge pulses
2. Elapsed time (in 10 us ticks)
3. Elapsed time gated by the system BUSY signal (i.e. system live time)
4. System live time gated by the LIVE0 input
5. System live time gated by the LIVE1 input

These are built physically from multiplexed 8-bit counters which are addressed sequentially to read the scaled value. This dialog box displays the value of each 8-bit scaler according to the address set in the attached selection box. The elapsed time in seconds is displayed separately in order to confirm correct operation.
>>> Note that because the BUSY is high when the dialog box is open, the Live time accumulators will be inactive - this is normal.

PCI card scalers
Reading the OM-1000e scalers takes a significant time (four PCI write/read cyles per scaler) and so the elapsed time and charge scalers are duplicated (as two 16-bit scalers) on the PCI-215 DIO card to allow faster access in time critical operations. These values are displayed in the "PCI" section of the dialog box.

Zero
This button resets all scalers to zero to assist in determining correct operation.


Test DAQ dialog box
Main menu: Tools | Debug | Test DAQ

This dialog box tests the data acquisition components of the OM-1000e interface and is used to diagnose problems with data collection.

Display
When a data pulse is received, this dialog displays the values of input channel, energy and X and Y ADC values, in binary, hex and decimal.

Free running / Step
In Free-running mode, the display updates at a speed limited by the input data rate and the time to display the data.

In step mode, the values for a pulse are held until the Next event button is pressed.

Send reset
This button sends a single reset pulse to the OM-1000e module.


Test DAC card dialog box
Main menu: Tools | Debug | Test DAQ

This dialog box is used to confirm correct operation of the DAC scanning voltage output card.

The card can be set up to position the beam anywhere in the scanned area, and the expected output voltages are displayed.

Click to position beam
Clicking at any point on this screen will move the beam position to the nearest pixel.

Go to
Set the beam position to a pre-defined position.

Increment pixel
Change the pixel position by a single pixel in one direction.

Output values
Displays the pixel coordinates, the binary values sent to the DAC card and the expected output voltage. The output voltage can be compared with the values measured at the scanning amplifier inputs.


File locations dialog
Main menu: Tools | File locations

This dialog allows the automatically generated file locations used by OMDAQ2007 to be changed. For a discussion of the way that OMDAQ organises its files see System file locations .

The dialog presents a list of the file locatiosn atht are managed by OMDAQ together with their current settings.

To change a location, double click on the folder location. This brings up a folder search box. The folder selected is then displayed.

If Automatically update dependent directories is checked, all those folders which by default are sub folders of a changed folder will be replaced by the label '>> Automatic Update <<' and will be changed to reflect their parent.


Video configuration dialog
Video window: Settings button

This dialog controls the appearance of the live video image in the Video window .

Image settings
Brightness, Contrast, Chroma-U, Chroma-V, Hue | Image properties of the colour signal. See this Wikipeadia article for information on YUV colour parameters.
Invert Horizontal, Invert vertical | Change the orientation of the image in the window
Luminance notch filter | See the Angelo RTV manual for more information
Video format | PAL / NTSC. If this setting is not correct the image will not display properly.
Colour format | Selects the colour format as either grey scale or 8, 16, 24 and 32 bits per pixel. RGB24 is sufficient for normal operation.
Pixel size | Determines whether the video image is compressed on the video card before being loaded to the screen. The full size (100%) is VGA (640x480). This can be successively compressed by 2 (50% and 25%) if a smaller image is required
Use Video thread | (Mainly for testing). Selects one of two modes of operation of the video card. In THREAD mode (box checked), the video grabbing runs in a separate processor thread and the time allocation is handled by the computer's process management. In CALLBACK mode (box unchecked), video grabbing is driven by interrupts within the main process thread. Select the option which provides the better data count rate!

Reset Resets the parameters to the default value.


RBS Fitting parameters dialog box
RBS spectrum menu:

This dialog is used to define the parameters to be varied during an RBS fit and to set the stopping criteria.

Composition parameters. These options in the top box select parameters in the description of the matrix composition. For each layer you can vary the thickness and/or some or all of the element atomic fractions in the layer. Please note that the first element in the list can not be varied (since the composition is normalised to 100 wt%). Clicking the tick box at the head of th elist of elements will select all elements in the composition.

Beam / detector parameters These tick boxes allow some of the geometry or detector parameters to be varied:
Cal A / Cal B | The OMDAQ calibration parameters (i.e. A and B in the expression E = A + B*channel).
Beam Energy | The beam energy
Beam Energy + CalB | Changes the beam energy and also changes CalB to approximately compensate for the shift in the spectrum.
Detector fwhm | The FWHM of the detector
Beam-Det angle In-plane tilt Out-of-plane tilt | Geometry parameters defined here
Straggling | The straggling paremeter in the RBS simulation
Pileup | The relative intensity of the pileup (calculated as an autocorrelation of the spectrum).


GUPIX configuration dialog
Main menu: Processing | Set GUPIX parameters

Defines parameters to be passed to GUPIX.


Compare with Standard dialog
Main menu: Processing | Compare with Standard

Only active following a GUPIX calculation when the PIXE spectrum has focus.

This dialog assists in the comparison of the results from a GUPIX run with the certified values of a standard reference material. The ratio of measured to certified values is presented together with the mean and standard deviation of this value for selected elements which occur in both lists (measured and certified).

A new detector distance is calculated to achieve a mean ratio of 1.0, and in addition, the filter thickness can be changed by a selected precentage of the original value. These new values can then be used to initiate a new GUPIX run.

Select standard
These controls allow the stored record for the desired standard reference material to be loaded into the table. This accesses the Standards database .

The list contains the short names of all standards stored in the database. When a standard is selected in this list, its concentrations are loaded and the dialog is refreshed.
To create a new standard: Select << New >> in the standards list and click the Create button. This opens the Standards database to allow a new standards to be defined.

To change an existing standard: Select the standard in the list and click Edit.

To remove a standard from the database: Select the standard and click Delete.

The comparison table
This table displays the calculated concentrations for all X-ray lines reported by GUPIX. If that elememnt also exists in the composition fo the standard, then the certified value is also displayed, and both the ratios of measured and certified are displayed. If the element is used in the calculation of the average ratio, it is displayed in black, otherwise it is grey.

Use This column determines whether an element ratio is used in the calculation of the overall mean and standard deviation. Click the Yes or No cells to change whether the element is used. This can be useful, for instance, to get the program to ignore low level elements which may have large errors.

Mean and standard deviation
These boxes display the mean value of the Measured / Certified ratio for all X-ray lines which are both present in the standard and have been selected via the Yes/No buttons. The standard deviation of this value is also presented as a percentage of the mean. Ideally, these values should be 1.000 and 0.00!

Detector distance
The program assumes that the optimum way to achive a mean ratio of 1.0 is to change the value of the detector distance (see here for more information on detector geometry parameters). These boxes display the calculated new value of detector distance, and suggest three ways of doing this (by varying the nominal distance or the offset). When the Change and re-calculate button is pressed, the new values are applied, the GUPIX run is repeated and the new values are displayed.

Filter thickness
Changing the filter thickness can improve the agreement between measured and certified at lower energies. This box allows you to change the thickness of all filter layers by a defined percentage (selected in the list box). When the Change and re-calculate button is pressed, the new values are applied, the GUPIX run is repeated and the new values are displayed.


Transfer to Matrix dialog box
Main menu: Processing | Transfer to Matrix

This dialog box implements the PIXE-Matrix iteration process in which the sample matrix composition is determined from the trace element results of the previous PIXE run and then this is used to perform a new run in order to arrive at a self-consistent analysis. There are various methods of generating the new matrix composition, and the process can be iterated automatically until the change in matrix composition is less than a defined amount.

Layer thickness optimisation is NOT implemented at present.

The above tab is displayed for each layer defined in the sample matrix.

Defining how to generate the new matrix
This box defines how the PIXE elements are selected and how they are combined to form the new matrix:

Element selection
Omit elements if less than | PIXE elements are only used if their normalised composition in the final matrix is greater than this value. This stops the matrix filling up with large numbers of insignificant elements.
If two lines use .. | This determines what to do if there are two line groups for any element visible in the spectrum, e.g. Pb L and Pb M, Ag L and Ag K. The options are to use the group with (1) the larger peak area (more counts), (2) the smaller statistical error (from the GUPIX output) or (3) the smaller MDL (from GUPIX).

Options for generating the matrix
Don't transfer | Do not change the matrix composition for this layer.
Transfer and normalise to 100% | Sum all the GUPIX trace element concentrations (selected as above) and normalise to 100%. Use this when all major elements in the sample are visible in the spectrum, e.g. metals.
Transfer and normalise with ... | Sum all the GUPIX trace element concentrations (selected as above) and normalise to 100% allowing for a fixed weight percentage of the element or complex defined in the box. Use this if there is an invisible component of the sample whose concentration is known from other sources (e.g. PIGE).
Bind with ... | Bind each GUPIX trace element with a stoichiometric amount of the defined element or complex and then normalise to EITHER 100%, OR 100% MINUS the fixed weight percentage of the element or complex defined in the box above. Use this option if all trace elements are known to be bound to a common cation (e.g. oxygen in glasses).

New Layer composition
This box displays the revised composition of the layer (as a chemical formula) together with the chi squared difference between the new matrix and the old one.

Absolute ratio
The new matrix generated by this method is normalised to 100% in all cases, and so is not sensitive to the absolute values of the GUPIX concentrations, only their ratios. If is it desirable to try to correct discrepancies in the ABSOLUTE values, this can be enabled in this box.
Absolute ratio | This box displays the mean ratio of the element concentrations in the GUPIX output to the matching concentration in the matrix. This should be 1.0.
Don't normalise | Do not correct the absolute ratio.
Change Q factor | Adjust the Q factor to change the effective charge passed to GUPIX so as to bring the absolute ratio to 1.0.
Change detector area | Adjust the nominal detector area to change the H value passed to GUPIX so as to bring the absolute ratio to 1.0.

Iterating
Once the new matrix has been determined, the values can be passed to the sample structure and a new GUPIX run launched. This can be done in two ways:

Manually
The Transfer and re-calculate button launches a single new GUPIX run with the new values. When the run is complete, the dialog is re-drawn with thematrix resulting from the new GUPIX output.

Automatic iteration
the Iterate button repeats the 'Transfer and re-calculate' process until EITHER the change in matrix composition is less than the defined chi squared, OR the number of iterations exceeds the defined value.

When the process is complete, the Transfer and Close button saves the new matrix and exits the dialog,


Standards database

The composition of the elemental standards used in the Compare with Standard dialog is stored in the Standards database. This is a binary file in OMDAQ standard database format with a filename [ConfigFiles]\databases\standards.ddb.

The stored values can be changed from the Select standard controls on the Compare with Standard dialog .

The Standards editor dialog allows the certified elemental concentrations of the material to be entered.

Short name
This is a short identifier for the standard which will be displayed in the selection box in the Compare with Standard dialog.

Description
A long description of the material

Values are..
Describes how the entered values are interpreted:
Element / Oxide | The entered values should be interpreted as elemental concentrations or as elements stoichiom.trically bound with oxygen.
% / ppm | The entered values are weight percentage or weight parts per million.

To enter a new element
Enter the element symbol in the Element box, enter the certified concentration in the selected units, then click the accept [image] button.

To change the value of a concentration
Click on the element symbol in the table. This transfers the entry for that element to the edit boxes. Enter a new concentration then click the accept [image] button.

To remove an element from the list
Click on the element symbol in the table. Click the delete [image] button.


Run log dialog box
Displayed automatically whenever a run is in progress

This dialog box displays information about the current run and to enter comments which are saved by the Automatic log keeping facility in OMDAQ2007.

Comments about the run or the sample, deep thoughts about life the Universe and everything, the opening chapter of your next novel, can all be entered in the Run notes text box during the live data collection, and they will be saved in the automatic log when the run finishes.

The View button provides a link to the current data folder in an Explorer window.

This dialog box can be resized for convenience in viewing large blocks of text, but can not be closed, only hidden.


Development log

Click here for a list of recently modified pages in this help file.

This list has been truncated to a maximum of two years. Older updates can be found here .
Date
Bug fix,
New feature Code re-org
Version
Description
05-06-2013
N, C
1.3.71.719
Changed the way that OMDAQ handles different XYZ stage types and introduced the capability to change the XYZ stage type and to interface to a user-supplied external DLL. See Using the XYZ stage
25-05-2013
B
1.3.71.697
Re-activated the use of the Windows performance timer as an alternative time source for pixel clocking. See Pixel clocking tab for a reminder of what this is.
23-04-2013
N, C
1.3.71.697
Major internal changes to the scan pattern generation system which now offers 'Outline' scanning of irregular patterns (e.g. for PBW applications) as well as standard raster scanning. New layout in the Scan pattern window.
19-03-2013
B,N
1.3.71.669
Repaired the preset stopping options (preset scans works now) and added an option to stop a run at the end of the full sweep after the presets have been reached.
17-03-2013
N
1.3.71.669
Added the 'Thermal' (cold to hot) colour scheme for elemental maps.
27-02-2013
N
1.3.71.669
Finalised the stereoscopic image display option.
03-02-2013
N
1.3.71.647
Implemented automatic stripchart logging (current, count rate, dead time) during runs. See System parameters .
03-02-2103
N
1.3.71.647
Completed the interface for the RBD 9103 picoammeter.
02-02-2013
N
1.3.71.647
Added a facility to read any BMP image into the OMDAQ desktop. The BMP images can be calibrated relative to the OMDAQ scan so that, for example, the beam can be positioned using a micrograph of the sample.
21-12-2012
B,N
1.3.70.632
Repaired a bug in the overlay map option. Extended the dialog to allow up to six colour channels to be defined.
12-12-2012
N
1.3.70.632
Zero all live now also resets the scan to bottom left.
12-12-2012
N
1.3.70.619
Added a button to duplicate a programmed run.
09-12-2012
N
1.3.70.619
Added code to allow programmed runs to store the details of selected area maps.
07-12-2012
N
1.3.70.619
Included additional run information in the automatic log files .
07-12-2012
B
1.3.70.619
Bug fixes:
· Corrected the initialisation sequence for DAQ2502 TTL output. This is only a problem for the PCIe version.
· Fixed the bug that was stoppoing Free-Running scanning from working.
· Video image is re-enabled after Abandon
· Small bug in the Set Trace Elements window display.
05-12-2012
C
1.3.70.619
Modified the behaviour of dialog boxes to try to stop them splitting between screens in multiple monitor setups. Dialog boxes should now appear in the position that they we last closed.
04-12-2012
N
1.3.70.619
Added a facility to edit the position of programmed runs. (New button in the programmed run dialog ).
30-11-2012
C
1.3.70.592
Upgraded the DIO_TC library to permit operation with Amplicon PCI express DIO cards.
16-11-2012
B
1.3.70.587
Fixed a bug in the selection of PCI or OM-1000e scalers for Q and T
14-11-12
N
1.3.70.585
First draft of a new option to display stereo anaglyphs of all matching 2-D files from stereo runs (poor man's CT). New configuration file version needed (version 70). See Stereo pairs
12-11-2012
B
1.3.70.585
Fixed a bug in the DataDIO DLL. Using free() in the host program to deallocate automatically allocated memory may give problems. Added a FreeDataBlock routine in the DLL. If you use this SDK, you may need to recompile and link.
12-11-2012
B
1.3.70.585
Fixed a bug that was preventing the DEMO option of the evaulation version from running.
11-09-2012
B,N
1.3.69.575
Repaired and upgraded the listmode mask database. Now it is possible to define up to 255 regions and to save and reload individual mask sets. See Listmode mask storage dialog
12-06-2012
B,C
1.3.69.565
More changes in the initial startup phase to try to eliminate the problems of badly organised recursive directory creation in new installations. This should finally solve the problems with external exceptions and uncreateable directories in new installations. Please report urgently any continuing problems.
03-06-2012
C
1.3.69.562
Changed the default folder from users'configuration files Current User to All Users. This may help with errors f the type 'Error writing configuration on call to 0'. This may require a new configuration to be defined after a file location reset.
03-06-2012
C
1.3.69.562
Minor housekeeping changes in the way that EXE file version numbers and creation date are extracted.
03-06-2012
B
1.3.69.562
Repaired the action taken when a data file with zero recorded charge is loaded. Now it should behave normally. Changes in the PatchBadData procedure in DataIO.DLL
03-06-2012
N
1.3.69.556
Added an option to select the destination folder for files created during listmode playback. Now you can chose to save sorted data in the LMF file folder or in the default data folder.
03-06-2012
N
1.3.69.556
Option to sort X-ray and gamma lines in energy offset order rather than by line groups in the X-ray line identification box. See Configure peak identification
04-04-2012
B
1.3.69.537
Fixed a serious bug in the listmode mask manager.
02-04-2012
N, C
1.3.69.532
Added a new dialog to define the location of the main data structures on startup. May help with access problems on managed multi-user systems. Incidentally rationalised the way in which path names are stored internally (with or without \). Should be invisible to the user.
30-03-2012
N
1.3.69.532
Added an option in the Listmode playback dialog to define the pixel size for listmode sort maps (i.e., for example to sort LMF files collected at 256x256 pixels into 64x64 pixel maps).
30-03-2012
N
1.3.69.532
Restored the 'Show pixel position in microns' option in System parameters to change the way that pixel positions are displayed in the banner when the mouse is dragged across a map. Options are pixel coordinates with pixel count or true distance (microns) with distance.
30-03-2012
B
1.3.69.532
Fixed a bug in the programmed runs option which meant that the beam position was not changing in point mode.
13-03-2012
N
1.3.69.532
Added the filename to the data file access error message box for extra information. This is in the DATAIO.DLL package, so any user software using this should be recompiled.
22-02-2012
N
1.3.69.503
Added a Script command (LMF) to load and sort the next listmode file in a folder. Allows automated sorting of large file sets. See Script processing .
22-02-2012
N
1.3.69.503
Modified the Map definition dialog box dialog box to allow statistics maps to be made from any signal type. This is primarily intended to allow STIM or IBIC data from mis-labelled detectors to be processed, but who knows, maybe the mean and variance of PIXE or RBS spectra may give something useful..?
22-02-2012
N
1.3.69.503
Added a feature to switch off the stepper motor drive power during a live run. (New checkbox option in System parameters )
17-02-2012
B
1.3.69.496
Workround (not a fix...) for a bug which results in a fatal "External exception C00..." error when running the offline version on 64-bit Windows systems. This seems to be do with memory handling in the 64 bit system overwriting data. This change is work-round rather than a fix - please report any other issues on 64-bit Windows.
17-02-2012
N
1.3.69.496
Added a facility to log all file access, including in the initialisation phase. This can be useful for debugging and is enabled by a switch in the System parameters dialog.
17-02-2012
B/C/N
1.3.69.496
Major re-organisation of the folders used for configuration files to avoid problems when installing on non-English systems. This may require the username and password to be re-entered and the system to be re-configured. Configuration storage and reset should now be more logical and reliable.
17-02-2012
B
1.3.69.496
Changed the way that OMDAQ detects whether the A3200 XYZ stage is moving. Monitor MOVEDONE rather than INPOSITION, which has given problems in one installation.
17-02-2012
B
1.3.69.496
Live (runtime) sample structure is now written correctly to data file headers.
17-02-2012
N
1.3.69.496
XYZ stage operations logged in the run log.
30-12-2011
C
1.3.68.422
Modified the Spectrum Overlay dialog so that masked region spectra with the standard wwwrrrP0_Reg01._ filenames can be overlaid.
30-12-2011
N
1.3.68.422
New option for startup after reset. Now you can do a partial reset so that signal information (spectra, maps, etc.) are reset, but hardware settings are retained.
30-12-2011
N
1.3.68.422
Added an entry box in the Spectra dialog to define the ADC resolution of non-OM-1000 ADC inputs.
30-12-2011
N
1.3.68.422
New options in the Scan Calibrate dialog to enter calibration factors manually. Corrected a bug in the display of scan size settings.
30-12-2011
N
1.3.68.422
Z-stack command to do a series of programmed runs with different Z (focus) coordinate.
30-12-2011
N
1.3.68.422
Completed work on the rotation stage interface:
· New tab on the XYZ control window.
· Rotation configuration dialog.
· Rotation Set command to do a series of runs at different angles.
23-11-2011
B
1.3.67.396
IMPORTANT BUG FIX!!!! For any group using long (> 6 hr) runs or high beam currents.
A confusion in the code between signed and unsigned integers means that the live charge calculated for long high current runs may have been affected by integer overflow and may be inaccurate.
The stored scaler data is still reliable, but the new versions of OMDAQ2007 and DQP_DATAIO.DLL should be installed, and any data likely to have been affected should be re-processed. A new helper procedure for reliably converting scaler values to charge has been added to the DATAIO library. Any programs using DQP_DATAIO.DLL should be recompiled using the new header and DLL files.
23-11-2011
N
1.3.67.396
Ongoing preparatory work for implementing sample stages with rotation axes. Changes should be invisible to all users at the moment, but there is a new format for the XYZ stage memory database. The program should update the dqp_stagemem.ddb file automatically to dqp_stagemem2.ddb. Please check XYZ memories after starting this version and report any problems.
23-11-2011
N
1.3.67.396
Added two new features for extracting line scan channel data from line scan map windows:
· Copy line scan to Clipoard in the pop-up menu copies linescan channel data into the clipboard for pasting into Excel.
· Save as CSV from the pop-up or main menu saves the channel data in a CSV format file.
23-11-2011
B
1.3.67.396
Resolved some confusion in listmode line scans between X and Y profiles. Displayed line profiles now distinguish correctly between X and Y.
20-10-2011
N
1.3.67.396
Added two new columns to the Results Spreadsheet: RBS chi2 and Mask area. Chi2 is useful to indicate failed RBS fits in automatic script sequences. This requires a new config file format and new spreadsheet format files. Sorry.
17-10-2011
N
1.3.67.396
Added an 'Undo' button on the RBS spectrum toolbar to reverse the effects of the last RBS fit.
14-10-2011
B
1.3.63.380
Important bug fix relating to the use of LMF files with pixel sizes greater than 256. The default LMF version compresses 2D data into 256x256 (to keep file sizes within limits), but this was causing deep confusion in the playback system, especially using masks. The map and mask sizes have been rationalised and warnings have been added to warn of this when reading or writing version 1 files for 512 pixel maps.
11-10-2011
N
1.3.65.374
Display the mask used in masked LMF playback as a map. Save this automatically as a BMP at the end of each run. (New listmode end-of-run option).
11-10-2011
N
1.3.65.374
Modified the Next spectra and keep data dialog so that it is less fussy about file names. It will now handle names of the form wwwrrr_Reg01._ as generated by the list mode selective area spectrum extraction.
05-10-2011
B
1.3.65.374
Fixed some issues with the handling of script text in the Script processing window. Enabled the CACHE command.
05-10-2011
B
1.3.65.374
Corrected a problem with the enabling of the Continue button in the Rollback dialog.
28-09-11
N
1.3.64.370
Changed the Scan calibrate dialog to make it easier to use. The cumbersome "wizard" has gone and has been replaced by manual entry of actual control settings and the resulting scan size.
12-08-11
N
1.3.64.370
Added a 'Freeze scan' button to stop the beam in the centre of the scan. Keyboard shortcut Alt-F to start and stop the scan.
02-08-11
N
1.3.64.370
Selectable format for the zero cross-hair in the video window: Saint George or Saint Andrew (+ or X). Select this in the System parameters window.
01-08-11
N
1.3.64.370
Further changes to the way the program copes with bad or missing configuration files. Now if a reset is required, the user can select from a list of recent startup configurations and start the program in this state. See Resetting OMDAQ_2007
01-08-11
N
1.3.64.370
Changed the organisation of XYZ stage memories . Now these can be manipulated as System or User Defined memories.
29-06-11:
N
1.3.64.370
Added a new option to the Transfer To Matrix dialog. Now you can bind with an invisible complex AND include a fixed amount of another before normalising.
12-06-11
N
1.3.63.360
Implemented a script processing language for automating spectrum processing.
12-06-11
N
1.3.63.360
Spreadsheet changes:
1. Load and save a spreadsheet template
2. Save spectrum peak areas in the spreadsheet
12-06-11
N
1.3.63.360
Implemented a real time gaussian peak fitting option to display x-ray or gamma peak statistics. This is used in:
§ Peak integration button in spectrum windows
§ Spectrum energy calibration
§ Terminate run when peak statistics are satisfactory (see New run dialog )
§ Real time display of spectrum peak statistics
12-06-11
B
1.3.63.360
Fixed a long-standing bug in the conversion from OMDAQ detector angles to GUPIX detctor angles. This was not evident if beam-detector angle = 45 deg which probably explains why it has remained undetected for so long!
11-06-2011
N
1.3.63.360
Completely changed the way the program copes with bad or missing configuration files. Now OMDAQ saves a 'Rollback' configuration after every successful startup, and if there is a crash during startup, there is an option to read the rollback files and startup in the last good state instead of doing a clean initialisation. See Resetting OMDAQ_2007
10-06-2011
N
1.3.63.360
LmfExtractor modified to allow LMF file header version to be changed.
08-03-2011
B
1.2.60.297
Repaired the file saving at the end of listmode playback so that ASCII data files are saved correctly if selected.
08-03-2011
N
1.2.60.297
Implemented definable ASCII files. Definitions can be saved and loaded as *.AFM files. New definition screen in the File I/O section of the Options dialog. ASCII files in the currently selected format now save
correctly at the end of run if selected and Files|Save as|ASCII also works. See File I/O options tab
03.03.2011
N
1.2.59.292
Added new functionality to the LmfToCube helper program. As well as writing a data cube, this will now also generate an ASCII list of E,X,Y events in CSV format to allow processing in Excel. Added help information about this. LmfToCube is now called LmfExtractor .
04-01-2011
B
1.2.59.292
Repaired a bug in the writing of spectra in WinDF ASCII format (trying to write float as DWORD).


Development log archive
Development log archive up to the end of 2011
Date
Bug fix,
New feature Code re-org
Version
Description
13-12-2010
B
1.2.59.291
Repaired the startup sequence so that off-line installations do not try to install the video card.
13-12-2010
B
1.2.59.291
Fixed a bug in the run number generator which was not resetting the run to zero at the start of a new week.
03-10-2010
B
1.2.59.289
Fixed a bug which had crept into the generation of filenames for OMDAQ's configuration files. These are now (again..!) generated correctly as filename.NNN, where NNN is the release number.
30-09-2010
N
1.2.59.289
Created a spreadsheet option to store the 2*FWHM count values from the GUPIX standard output file. See the Spreadsheet tab in the Options dialog.
29-07-2010
N
1.2.59.289
Added buttons in the standard view of the Spectrum Information dialog to store and reload an energy calibration into a non-volatile cache memory. See here
26-07-2010
B
1.2.59.289
Corrected the startup procedure so that the DAC polarity is correctly set when using the DAQ-2502 output card.
15-07-2010
N
1.2.58.273
Added a live display of OM-1000e deadtime scaler values on the Statistics window (may be useful for debugging deadtime problems). See Statistics window
11-07-2010
C
1.2.58.268
Upgraded the compiler platform to Embarcadero C++ Builder 2010. This required a few invisible code changes. Reorganised the installation package. This requires a full manual uninstallation to avoid duplicating start menu items.
17-06-2010
N
1.2.58.250
Added a variable delay between setting the address of an OM-1000 scaler byte and reading the data. Increasing this MAY help to deal with erratic scaler reads with fast processor systems. The value can be set in the System parameters dialog.
11-05-2010
N
1.2.57.247
Added an option to save the information in the stripchart graphs into a .CSV file for opening in Excel. See Statistics window
30-04-2010
N
1.2.57.238
Added an option in the GUPIX parameters dialog to allow the DOS GUPIX process to be spawned without the .BAT file wrapper. This MAY help to deal with some problems on legacy systems.
09-04-2010
C
1.2.56.237
Changed the "Version History" command to "What's New", with a link to this page.
08-04-2010
C
1.2.56.237
Upgraded the development platform to Codegear C++ Builder 2010. Please report any problems.
22-03-2010
N
1.2.56.236
Implemented Programmed Runs, allowing the scan parameters and stage positions of a sequence of runs to be stored in a list for deferred execution. This requires a new dialog box and extra buttons in the New run dialog
19-03-2010
N
1.2.56.234
Added an automatic cataloguing function to the Load all files for run command. This allows retrospective logging of all OMDAQ runs in a folder.
12-03-2010
N
1.2.55.231
Major changes to the GUPIX interface. OMDAQ will now interface with GUPIXWIN, using the PIXWIN processing engine. OMDAQ creates a GUPIXWIN .PAR file and then spawns a PIXWIN process. GUPIXWIN will not be distributed with OMDAQ, and it is up to th euser to obtain and install GUPIXWIN. This also means that OMDAQ no longer requires a special code to run with GUPIX. Full details can be found here .
07-03-2010
N
1.1.54.225
Added a copiable true colour scale to the Map Appearance dialog box. This can be used as a calibration scale in publications. See here .
02-03-2010
N
1.1.54.225
Implemented automatic log keeping with the new User Comments dialog box. See here .
01-03-2010
B
1.1.54.225
Fixed the behaviour of the Open Folder | Current data command so that it does indeed open the folder containing the currently selected data file. This now has a shortcut - Alt-V (for view folder)
13-02-2010
N
1.1.54.225
Added software defined speed limits for the XYZ stage motor axes. Allow axis position limits to be entered manually in the Advanced dialog box. See the XYZ stage advanced configuration dialog.
09-02-2010
B
1.1.54.224
Fixed a bug in the Run parameters dialog box . Common system parameters were not being transferred to other files from the same run.
08-02-2010
N
1.1.54.224
Implemented beam spot size characterisation using autocorrelation. Now the ACF image processing option reports the RMS width, height and radius on the screen. See Estimating the spot size
21-01-2010
N,C
1.1.54.223
Re-designed the Scan size calibration wizard. Now you can use the cross-hairs to measure the true scan size. See here .
11-12-2009
N
1.1.54.221
Minor housekeeping improvements: All defined spectra now MUST have a named detector. Database files (*.DDB) are now archived in a time- labelled folder, ensuring that an hourly backup is preserved.
09-12-2009
N
1.1.54.221
Added the flyback scanning option .
01-12-2009
B
1.1.54.219
Fixed the automatic updater so that it does not check on every startup!
26-11-2009
N
1.1.54.219
Implemented on option for software scan size control. See here .
25-11-2009
N
1.1.54.214
Changes to the image processing options. Added a low clipping limit. Update the active map live during adjustment. See Map appearance dialog and Gamma correction
26-10-2009
N
1.1.54.213
Added a STARTSTOP output pulse at the start and end of each run to enable the synchronisation of OMDAQ with other DAQ systems. See Synchronising with other systems
07-10-2009
B
1.1.54.211
Repaired a bug in the ADCs command which meant that all spectra were created from scratch when the dialog closed (losing all maps and calibration).
09.09.2009
N
1.1.54.211
Added the derivative option for spectrum display. See Spectrum window .
28.08.2009
B
1.1.53.210
Fixed a bug in the GUPIX interface which caused a crash when the open spectrum does not have a standard filename. Filenames of less than 6 characters resulted in an intermediate GUPIX spectrum filename with two dots (e.g. PIXE7.P0.TXT) which crashes GUPIX. Now it replaces any spurious dots with "_".
28.08.2009
N
1.1.53.210
Made the runtime field in the SetSpectrumInfo editable. This is to allow the user to control the assumed count rate when working with non-OMDAQ files, which do not have realistic values for runtime etc. Also changed the default run time (generated when the file does not have this) to be proportional to total count (with an assumed count rate of 1000Hz).
27.08.2009
B
1.1.53.209
Fixed a serious bug in the installation EXE file. The installer was inadvertently loading some Vista libraries, which caused a crash on XP installations.
25.08.2009
N
1.1.53.209
Added a command to display the Version History file in the program (Help | Version history)
25.08.2009
B
1.1.53.208
Fixed a serious bug that meant that installations on clean machines crashed on first run. The RBS cross section scanner was trying to write to the Log file window before this has been created. Now all writes to the Log window check to see if it is alive before executing.
25.08.2009
C
1.1.53.208
Some changes to the format of the Check for Updates dialog box. The installation now keeps a Version History file on the website (a condensed version of this) which gives information on the current upgrade. This is now displayed in the Check for Updates box.
25.08.2009
B
1.1.53.208
Fixed a serious bug that meant that installations on clean machines crashed on first run. The RBS cross section scanner was trying to write to the Log file window before this has been created. Now all writes to the Log window check to see if it is alive before executing.
25.08.2009
B
1.1.53.208
Fixed the problem with the Vista Open File dialog box which meant that the dialog did not display available files until the filename had been changed.
22.08.2009
B,N
1.1.53.207
Fixed a bug in reading simple ASCII spectra that do not have a binary number of channels. Changes to the ReadSimpleAscii routine in DataIO.DLL. Now if the number of channels is not a binary number, the spectrum is padded out with zeros at the top to the next binary number size. Also added a new parameter to force the reading of a spectrum or a map. See the DataIO.DLL help file
30.07.2009
N
1.1.53.207
Implemented a cache to store sample data for sequential RBS fitting. Access via Processing | Sample Cache.
22.07.2009
B,N
1.1.52.200
Fixed the Load All Files for Run so that it does not try to read .BMP files
14.07.2009
N
1.1.52.199
Added load and save for map sorting information.
07.06.2009
N,C
1.1.52.195
Updated the Set Colours dialog box to include the new trend graph colours. This has resulted in a new format for the desktop (.TOP) files. I did not think that this was important enough to code for reverse compatibility, so all .TOP files created before this release are now obsolete. To compensate for this, the current desktop information is now stored in such a way that it is not deleted when the program is reset, so colours and fonts will persist after a reset. In upgraded systems, if you wish to load NORMAL.TOP, you should locate the version in ..\ConfigFilesInit in the installation folder. In default installations this should be C:\ProgramFiles\OM\OMDAQ2007\ ConfigFilesInit\Normal.TOP
03.06.2009
B
1.1.51.191
Changed the Window navigator (replaced TTreeView with TOutline). This seems to have cured the disappearing text problem, but there are still some issues with functionality.
01.06.2009
N
1.1.51.191
Completed the Statistics window. (See here )
22.04.2009
N,B,C
1.1.47.185
Many changes associated with a compiler upgrade from BDS2006 to CodeGear RAD studio 2009. The most obvious changes are: (1) New installer (will now install and run under Vista) (2) Fast Fourier Transform image smoothing for elemental maps, and (3) Asynchronous reset pulses (at 100ms period) to keep the OM-1000e alive at high and low count rates. However there have been many voluntary and involuntary invisible code changes and bug fixes and there is hardly a module untouched. Some dialog boxes have minor changes which are not yet documented in this help file. Please report any side effects resulting from these changes.
04.02.2009
B,C
1.1.40.153
Improved the reliability of storage of XYZ coordinates. (Relocated the call for storing coords from DqpHardware directly into the position call in XyzControl.
01.02.2009
N
1.1.40.153
Started to move all the statistics (count rate, beam current, deadtime) into the Dqp_Stats module. Gave the Stats window some functionality (digital readouts, meters, stripchart).
25.01.2009
N
1.1.40.152
Added the log file window
14.01.2009
N
1.1.40.152
Modified the GUPIX interface to provide the long format output (giving all x-ray line intensities). New file wrrrINIT.TXT in the GupixResults forlder.
10.01.2009
N
1.1.40.152
Utility application LmfToCube written and distributed to convert LMF files to data cubes.
07.01.2009
N
1.1.40.152
Major reorganisation of the way that spectra are defined in order prepare for accepting data from other types of hardware source (see Hardware streams and logical channels ). Major changes in the way that spectra are defined and stored, with a new look for the Spectra dialog box. Time for a new minor version number?
03.01.2009
N
1.0.39.151
Happy New Year... Added code to save LMF masks in a database. New dialog box (TDqpMaskMgr) and code changes in LmPLay.
29.12.2008
C
1.0.39.150
Rearranged the code for XYZ stage initialisation so that the program only tries to initialise the registered stage type, thereby avoiding spurious error messages.
22.12.2008
B,C
1.0.39.149
Tidied up the code surrounding the saving of masked spectra. Now masked region spectra are saved with the correct scan area. Many small changes in several files.
20.12.2008
B
1.0.39.145
Fixed bug in LMF region sorting so that many regions can be sorted simultaneously. Modified filename formats so that region numbers greater than 9 can be accommodated. There is still a problem in storing the actual pixel area of the region in the saved spectrum.
11.12.2008
B
1.0.39.140
Finally fixed the long-standing bug in the video window which meant that you could only get a picture on channel 0. The Angelo RTV manual is criminally unhelpful, and I have finally managed to understand the difference between channels and ports. Installed version 1.4.3 of the Angelo DLL which may also have helped.
02.12.2008
B,C
1.0.39.139
Fixed another collision problem which was giving erratic reads when the main program and the DataThread accessed the DIO card simultaneously. Moved all DIO calls into the data thread, so that the Q and deadtime scalers are read at a fixed period. Removed some of the handshaking flags that I had been trying to use to get round this. Provided the Q scaler read time as a parameter in Options. Simplified the calculation of current and deadtime in the banner procedure. Some changes to the TestScalers window to eliminate collisions. Rationalised the Hangup behaviour (there were two flags for this). Removed the redundant ShowScalers dialog box and menu item. Program now seems much more stable.
28.11.2008
N
1.0.39.136
Added code to use the PC's performance timer (sub-nanosecond clock) for measuring dwell and settling times when scanning. If the Perf Timer is available, this is ALWAYS used instead of the external hardware timers. The performance timer period is now displayed in the Show Config window. Changed the way dwell and settling times are stored internally, so we need a new config file format: 39
28.11.2008
B
1.0.38.134
Fixed a hardware problem with the ADAPCIADIO DAC cards. This was giving erratic behaviour on fast PCs due (I think) to collisions between the DAC calls in the DataThread and the level setting calls fro PCSCAN, LIGHTON and BEAMONOFF from the main thread. Added code to only address the DAC DIO lines when an output value must be changed.
28.11.2008
B
1.0.38.134
Fixed bug in the new calibration routines which gave a singular matrix error under some circumstances
12.10.2008
N
1.0.36.126
Added a line in the options dialog to change the digitiser sensitivity (C per pulse). Sensitivity is now saved in the registry so that it is not lost after a reset
12.10.2008
B
1.0.36.126
Fixed the bug which made all old data files apper to be changed. Main reason was that spectra did not save their initial headers, but I have also added two routines (in DATAIO) which compare headers field by field allowing for FP rounding.
11.10.2008
N
1.0.35.125
Allow change of signal type in the run information dialog. Change signal label to a drop-down box and add some new user confirmation boxes.
11.10.2008
B,N,C
1.0.35.125
Many invisible changes, mainly in the XYZ control: started work on a manual joystick page (add a "Joystick" field to the authorisation structure, hide the so far unused "G-Code" page. More work on the DataIO.DLL procedures, which is now complete (various listmode options). More debugging of the quadratic calibration code: install the Optivec library to do fitting, add checkboxes to turn quadratic on and off.
17.09.2008
B
1.0.33.114
Corrected the display of A,Z and Q in the "other" option of the New Run and BeamPrompt dialogs
28.08.2008
N,C
1.0.33.114
Major changes associated with energy calibration of spectra, prompted by the requirement to calibrate TOF SIMS spectra (mass = time^2). Added a new TOF signal type. Changed the routine for drawing the energy scale (and all other channel to energy procedures) to allow non-linear scaling. Also extended this to allow second order terms in normal energy spectra, so OMDAQ can now respond to the GUPIX parabolic option. Added a new cal[] term in the ADCINFO field requiring a new header format and a new version of DATAIO.DLL.
10.07.2008
N
1.0.32.112
Make the color and background used in point analysis labels the same as those of the map captions.
10.07.2008
C,B
1.0.32.112
Much tinkering in the listmode playback code (to rationalise LMF version problems, deal with "black maps", etc.) Main structural change is that LMF reading is now transferred to the DataIo.DLL library (and so should be version-safe in future builds). Other small changes too numerous to list.
15.06.2008
C
1.0.32.91
Moved the control for the map title bar from the Options dialog to the Map Colour dialog. (Easier to get at)
14.06.2008
B
1.0.32.91
Fixed the bug in the "Purge" option in the "Stored locations" tab in the XYZ dialog. Changes to StageMem.
14/06/2008
N
1.0.32.91
Changed the way that the run database is handled. The file grows quite big and was slowing down some operations (PreviousRuns tab in XYZ dialog). Now, each time the week number is incremented (ie. on the first run of a week), if the RunDb.ddb file is more than a month old, the file is renamed (e.g. DaqRuns200806.ddb) and a new file is created. Changes to RunDataMgr.
14/06/2008
N
1.0.32.91
Added new functionality to the video window: "Slow grab" for low frame rate/low CPU load imaging and Centre marker. Changes to DqpVideoImage
14/06/2008
B
1.0.32.91
Fixed the bug in the "image grab on new run" option which crashed when trying to write the first image in a directory (directory was not created). Change to RunDataMgr
14/06/2008
C,N
1.0.32.91
The programming manual and code examples for the Angelo RTV video card are masterpieces of bad obscurantist writing. I now think that I understand more of how it works and have modified the video sections accordingly. The main visible differences are: (1) the channel selection is now in the video window toolbar, not in the settings, (2) the channel selection works!, (3) there is a "thread/callback" button to select between two modes of operation. Changes to DqpVideo, RTVSettingDlg, DqpMain
06/06/2008
N
1.0.31.86
Display point and line analyses on maps. New options in map appearance dialog to enable points.
Changes to the strategy for displaying and saving bitmaps. Changes in LoadOldData, Map and SetMapCol.
14/03/2008
N
1.0.29.75
Added new functionality to the light control: Check light is on when starting a run, automatically save the microscope image before each run, light indicator on the status bar. New options in the Options dialog, new config file format.
16/02/2008
B
1.0.28.69
Added code to send a reset to the DAQ if the recorded count rate in the banner is zero 4 time in a row (try to deal with falling asleep)
12/01/2008
B
1.0.28.69
Fixed map display so that old linescan data is automatically displayed as a graph, not a map. Changes in Map.
05/12/2007
N
1.0.28.69
Show configuration now reports FW card. Changes in Hardware, ShowConfig and XYZControl.
04/12/2007
B
1.0.28.68
Added a routine in ReadSpectrum (DataIO.DLL) to insert reasonable values for run parameters which will cause crashes if left at zero.
29/11/2007
C
1.0.28.63
Tidied up some resource leaks during shutdown. Avoided some acc viol errors by stopping the video during the shutdown sequence.
29/11/2007
B
1.0.28.63
Fixed bug in assignment of standard map colours giving "black" maps. Preprocessor flag name was mangled in FntCol.h. New Normal.top.
29/11/2007
B
1.0.28.63
Fixed bug in the OMDAQ98 option of the playback dialog which produced zero length output files (Block counter was not reset, so only the first attempt would work).
27/11/2007
N
1.0.28.63
Created the Check for Updates utility. New Form (Update) and new menu item on the main menu
20/11/2007
C
1.0.28.52
Put all the data I/O routines into a DLL (DataIO.DLL) ready for supplying this as a SDK for developers wishing to read/write data files.
20/11/2007
B
1.0.28.52
Added DBZ traps in the spectrum display and spectrum parameter dialog to catch errors caused by missing run data. Changes to Spectrum and RunData
15/11/2007
B
1.0.28.51
Fixed bug in the read hardware scaler procedure. Latency in the PCI bus did not give enough settling time between asserting the address and reading the data. Got round this by repeating the address write.
15/11/2007
N
1.0.28.51
Added new features to the Test Scaler dialog (Fast/Slow/Stop, Step, Dec/Hex display). Changes to TestScalers
10/11/2007
B
1.0.28.51
Fixed a minor bug in the RBS fit dialog which mangled the linkage between checkboxes and features. Changes to SetFit. New CFG file format.
11/10/2007
N
1.0.27.50
Added a line in AddEvent to filter out spurious events which are 'all ones' (ie.e. ADC = 7, E = 0xfff). These are probably due to hardware problems. Changes in AdcList
29/9/2007
N
1.0.27.50
Added the 'Transfer to matrix' command to set the GUPIX matrix to the most recent trace element concentrations with different options.
29/9/2007
B
1.0.27.50
Found and fixed a sneaky but devastating bug which meant that the GUPIX matrix was not written correctly into the GUPIX command file (Z was written instead of fraction). Changes in Pixe
21/9/2007
N
1.0.25.49
Implemented the preset window count stop condition. Changes to Main.
21/9/2007
B
1.0.25.49
Fixed bug in the display of live charge in the status bar during runs. Changes to Main
21/9/2007
N
1.0.25.49
New logic for default listmode action in point mode to avoid a plethora of LM files for point runs. Program now remembers separate LM defaults for point and non-point modes. Changes to Main. New config file format.
20/9/2007
B
1.0.24.48
Corrected a problem in the new GetEvent algorithm which meant that the beam was still scanning even when in point mode. Very entertaining to watch on the screen, but not very useful ... Changes to DataThread.
19/9/2007
B
1.0.24.48
Fixed minor bug in the calculation of statistics data (MODE, IQR and TAIL) for low counts. Changes to LmPlay.
17/9/2007
B/N
1.0.24.48
Corrected the CSV output for floating point map data (i.e. STIM and IBIC statistics maps). Added an option parameter to define the decimal places (and hence control file size). Changes to Map, SetTuning (new dialog fields).
17/9/2007
B
1.0.23.44
Fixed bug in the display of the residuals graph in fitted or overlaid spectra (it should always be LIN). Changes to Spectrum.
14/09/2007
B
1.0.23.44
Fixed bug where SetSpectrumInfo did not display the pixel count for single region masked spectra. Changes to SetSpectrumInfo.
14/09/2007
N
1.0.23.44
Added 'Simple ASCII' option to read free format integer spectrum files. Set up the framework for automatic file type detection. Changes to DataIO, Spectrum. New dialog box GetSig to confirm the data type and channel number for non-OMDAQ spectra.
12/9/2007
B
1.0.23.44
Added "A3200 version" option to the site specific database to cope with differing versions of the A3200 .PRM file
3/9/2007
N
1.0.23.44
Added "Topo shading", "Autocorrelation" and "Contour" to the image processing menu. Changes to ImProc.
24/8/2007
B
1.0.23.44
Fixed the bug that displayed the set scan size dialog when coming out of Playback mode, even though it's an off-line installation. Changes to Main.
22/8/2007
N
1.0.23.44
Added a routine to write files for reading into WinDF (simple Nx1 ASCII format). Changes to DataIO, SetTuning, Spectrum and others
21/8/2007
B
1.0.23.44
Correctly display the area of masked listmode sorts in the Spectrum Parameters dialog. Changes to LmPLay, SetSpectrumData and Spectrum
21/8/2007
B
1.0.21.41
Fixed a serious bug in startup which prevented OMDAQ from starting if there had been a previous installation in another directory. Added some informative error messages in the startup sequence. Changes to Main and Auth
12/8/2007
B
1.0.22.38
Reworked the algorithm in the data collection thread to ensure that BUSY is not reset until all the processing on a pixel has been completed. Added SETTLING TIME and a beam blank output to inhibit the beam during long jumps. Changes to SetScan and Options dialogs, DataThread, Hardware and DqpMain. This also cleared the problem with data collection in line scan mode.
11/8/2007
1.0.12.38
First release version


Recently changed help pages

The following pages are new or modified

19th June 2013
· Using the XYZ stage
· XYZ interface selection tab
· User supplied XYZ hardware interface (DLL)

28th May 2013
· Scan pattern tab

19th March 2013
· System parameters
· Statistics window
· Using the RBD 9130 picoammeter

20th December 2012
· Programmed run list
· Edit stored position
· Automatic log keeping
· Overlay maps dialog box

14th November 2012
· Stereo pairs
· Stereo Pair defnition dialog

11th September 2012
· Listmode mask storage dialog

3rd June 2012
· Line identification window
· Configure peak identification
· Listmode playback dialog

2nd April 2012
· System file locations
· File locations dialog
· System parameters
· Listmode playback

3rd March 2012
· System parameters
· Using the XYZ stage
· Map definition dialog box
· Statistics maps (formerly STIM maps)
· Script processing

17th February 2012
· System parameters

30th December 2011
· Scan calibrate
· Calibrating the scanning system
· Correcting for scan coil rotation
· Spectra dialog box
· Resetting OMDAQ_2007
· XYZ Rotation tab
· Rotation configuration dialog
· Programmed runs: Automated operation
· Programmed run list
· Mosaic scan
· Z stack
· Rotary scan

23rd November 2011
· Spectrum window
· Map window
· DataIO SDK help file

14th October 2011
· Listmode overview
· Starting listmode collection
· New run dialog

11th October 2011
· Next spectra and keep data
· Listmode playback dialog

28th September 2011
· Scan calibrate
· Calibrating the scanning system
· Scan Pattern tab
· Keyboard shortcuts
· System parameters
· XYZ Stored locations tab
· Worked examples
· Transfer to Matrix dialog box
· Resetting OMDAQ_2007
· Using the XYZ stage
· Standards database
· Compare with Standard dialog

12th June 2011
· Changing the LMF file header version
· Resetting OMDAQ_2007
· Gaussian peak fitting
· Peak set pane
· Spectrum window
· New run dialog
· Options dialog
· System parameters
· Spreadsheet parameters
· Results spreadsheet
· Script processing

8th March 2011
· File I/O options tab
· Listmode overview
· Support programs

30-September-2010
· Standard format detector parameters

15-July-2010
· Statistics window

17-June-2010:
· System parameters

11-May-2010:
· Statistics window
· GUPIX configuration dialog

22-Mar-2010:
· Programmed run list
· New run dialog
· Load all files for run
· Load Run Options tab
· Automatic log keeping
· Keyboard shortcuts

12-Mar-2010:
· Map appearance dialog
· Configuring GUPIXWIN
· GUPIXWIN interface
· Processing RBS and PIXE data
· Overview of installation procedure
· Automatic log keeping


Known bugs and workrounds

Date reported | Version | Description | Reason/ Workaround | Fixed
Feb 2009 | 1.1.40... | The Tile commands (All | Maps | Spectra) work for a while then start to give Access Violation errors | Not known. Avoid using Tile. Re-start the program. | 5/6/2009 (seemed to be related to Navigator text problem)
1/9/2007 | 1.0.23.44 | In LM playback, one (or maybe more?) maps are not displayed (blank) | Not known. Reload the LMF file. Avoid using Zero|All?? | Summer 08
20/8/2007 | 1.0.22.38 | Old data files are always deemed to be 'changed', which means that the "Save data" prompt appears excessively frequently. | Program does a bit-by-bit comparison of headers, but values may have been converted to and from text leading to LSB differences. If this is a pain, use the File I/O options tab to turn off the save changed data prompt | 12/10/2008
11/8/2007 | 1.0.12.38 | Text in the file navigator pane disappears and can not be recovered | Reason not known. Exit from OMDAQ and restart | 5/6/2009 (replaced TTreeView with TOutlineView)
11/8/2007 | 1.0.12.38 | Can't make the beam monitor path in top left orientation | Logic problem |
3/8/2007 | 1.0.12.38 | CSV and ASCII files are not saved from STIM/IBIC images | Coding error. Save the LMF file in OMDAQ98 format using the "Save as OMDAQ98" button i the playback dialog | 19/9/2007
1/8/2007 | 1.0.12.38 | When region spectra are created using LM playback, the third and higher spectra are garbled. | Not known. Sort a maximum of two regions in any run or try repeating the playback with the same regions defined. | December 2008
1/8/2007 | 1.0.12.38 | DT and count rate meters do not work | Re-organised these functions into the count rate window | February 2009
1/8/2007 | 1.0.12.38 | RBS spectra obtained during LMF playback can not be fitted with non-Rutherford cross sections |  |
1/8/2007 | 1.0.12.38 | Windows do not refresh automatically after defining preset scan points |  |
11/8/2007 | 1.0.12.38 | When displaying beam monitor maps with thumbnails, data taking is inhibited and can not be restarted. | Coding error. Exit from OMDAQ and restart. Beam size estimation does not work | 12/8/07
11/8/2007 | 1.0.12.38 | Busy is reset before the pixel is moved (DataLoop) | Design error. | 12/8/07


Planned developments and repairs
 Previous Top

Date proposed | Description | Date implemented
10/9/2007 | Add markers for spurious responses (e.g. Pileup) |
11/8/2007 | Copy line scan data to clipboards as formatted ascii. Save linescan data as CSV or ASCII. |
11/8/2007 | Add a help button to the Scan Calibration dialog |
11/8/2007 | Change the order of the Config tab in the XYZ dialog |
11/8/2007 | Use a modern fileopen dialog in the LoadAllFilesForRun and NextRunWithCarry dialog boxes |
1/8/2007 | Calculate, display and save a map showing the mask or selected scan pattern |
1/8/2007 | Copy spectrum to clipboard: format the graphics to minimise editing after pasting |
1/8/2007 | Display the true number of masked/selected pixels in the rundata information window | 14/9/2007
1/8/2007 | Generate true red/green stereo images |
1/8/2007 | Calculate and display autocorrelation maps | 3/9/2007


OMDAQ_2007

Backing up

The contents of the Dataroot and Configuration directory structures should be backed up at regular intervals.

IT IS THE RESPONSIBILITY OF THE USER TO ENSURE THAT ADEQUATE BACKUP PROCEDURES ARE FOLLOWED.


OMDAQ_2007

.BAR colour scale file format

The colour scale for 2D maps can be read from ASCII files and can be prepared offline using a standard text editor.

The format is 17 lines of 3 integers representing the R, G and B values at the dividers of the 16 colour blocks. These are expressed on a scale from 0 (zero intensity) to 255 (maximum intensity)

This is the "Standard DAQ" colour scheme:

(R G B) // this is not part of the file
0     0     0
0     0     255
0     96    255
0     192   255
0     255   255
0     255   192
96    255   96
192   255   0
255   255   0
255   192   0
255   160   0
255   128   0
255   96    0
255   64    0
255   32    0
255   16    0
255   0     0


OMDAQ_2007

Calculation of scan size settings

The program assumes that the scan size can be calculated using the expression

so the calibration factor can be calculated from

The symbols are:

S | Scan size in microns
F | A calibration factor which must be determined experimentally for each configuration. This has four values (X or Y, coarse or fine coil tap).
H | A HARDWARE factor calculated from the dimensions of the scan coils or plates and the demagnification of the probe forming lens. This has two values (X andY deflection planes)
G | A GAIN CONTROL factor (<= 1.0). This is the product of all gain control settings (scan size and calibration controls) and the coil tap factor if used and is different for X and Y.
R | The RIGIDITY factor used to adjust for different beam properties.

Separating the hardware and beam rigidity contributions ensures that the F calibration factors should have similar numerical values.

Hardware and rigidity factors
Note that the values used in these expressions do not need to be accurate as any errors are accounted for in the value of F determined from the actual scan sizes. Using even approximate values ensures that all four F values should have similar numerical values and allows the program to make an initial guess at these values.

1. Magnetic scanning
For magnetic deflection, the hardware factors are calculated as

(with a similar expression for Hy)

where Nx is the number of turns on the coil for the X deflector, L is the effective length of the dipole field, Dx is the demagnification of the lens in the X plane and d is the effective pole gap of the coils.

The rigidity factor is calculated as:

where M is the beam ion mass in a.m.u., E is the energy in MeV and Q is the ion charge in charge units.

2. Electrostatic scanning
For electrostatic deflection, the hardware factors are calculated as

(with a similar expression for Hy)

where L is the effective length of the dipole field, Dx is the demagnification of the lens in the X plane and d is the plate separation.

The rigidity factor is calculated as:

where E is the energy in MeV and Q is the charge in charge units.

Gain factors
The gain factor G is the product of all the adjustable components controlling the final amplitude of the current or voltage applied to the scanning hardware. This is assumed to be a fraction <= 1.0. For the standard OM-40e using OM-25 coils, the gain factor is given by the following expression:

where GM is the master gain setting, GXcal is the X calibration control setting and C is the coil tap fraction (0.1 in the standard OM-25 coils). The MAX suffix values are the maximum value of the control settings.

A similar expression holds for GY.


OMDAQ_2007

IMPORTANT

CHECK THAT THE NIM CRATE POWER RAILS
(ESPECIALLY -6V)
ARE OK
BEFORE
INSERTING THE OM-1000e UNIT

Running the unit with unbalanced power rails may cause permanent damage.


OMDAQ_2007

Practical GUPIX issues

This page addresses the practical issues of installing, configuring and using GUPIXWIN.

Contents
1. The rationale of the move from GUPIX-DOS to GUPIXWIN
2. Changes to the licensing and distribution arrangements for GUPIX
3. Installing GUPIXWIN
4. Configuring OMDAQ2007 to run with GUPIXWIN
5. Using GUPIXWIN in OMDAQ2007.
6. Limitations of the OMDAQ/GUPIXWIN interface.

1. The rationale of the move from GUPIX-DOS to GUPIXWIN

Prior to version 1.2.55.230 (March 2010), OMDAQ interfaced with the DOS version of GUPIX. In order to ensure a reproducible interface, the version was fossilised at particular date (around 2005) and was distributed in an encoded form with the OMDAQ package. A special authorisation code was issued to sites holding GUPIX-DOS licences which would decode the GUPIX file.

This arrangement has become increasingly obsolete: the DOS emulation in Windows seems to be less reliable with successive versions, while the development at Guelph has focused on GUPIXWIN, meaning that the elderly DOS version is no longer at the cutting edge.

Migration of the OMDAQ interface to GUPIXWIN commenced in February 2010. The structure of the interface is similar in concept to the GUPIX-DOS system, but now the spectrum crunching is carried out by the dedicated processing engine, PIXWIN.EXE. This program is essentially GUPIXWIN without the human interface and takes as input a parameter file (GUPIXWIN.PAR) containing all the information about the spectrum. It produces all the standard GUPIXWIN output files. OMDAQ generates the .PAR file, spawns the PIXWIN process and then decodes the output files to extract the fitted spectrum and the concentration results.

2. Changes to the licensing and distribution arrangements for GUPIX

OMDAQ2007 will NOT install GUPIXWIN as part of the package. The user must obtain GUPIXWIN directly from the University of Guelph and install it on the computer.

The GUPIXWIN interface is enabled in the standard release of OMDAQ2007 (without any additional authorisation codes). It will detect whether GUPIXWIN is installed and enable the appropriate functions.

The GUPIX-DOS interface will continue to be operational for existing users who have been issued with an authorisation code for this. However the DOS interface will no longer be developed and no new authorisation codes will be issued for DOS GUPIX.

Existing users should note that the GUPIX-DOS license does NOT permit the operation of GUPIXWIN, and a new license must be purchased from Guelph.

3. Installing GUPIXWIN

GUPIXWIN is downloaded as a self-installing EXE file. This should be installed according to the instructions on the Guelph website. Make a note of the installation folder. By default this is C:\GUPIXWIN.

4. Configuring OMDAQ2007 to run with GUPIXWIN

OMDAQ2007 identifies THREE folders as part of the GUPIXWIN interface. These are:
The GUPIXWIN installation folder | This defines the location of the installed files.
The user's GUPIXWIN working folder. | This is the folder where the calculations are carried out. OMDAQ2007 copies the files necessary to run PIXWIN into this folder and this is where the .PAR and results files are created.
The user's GUPIX results folder | This is the folder where the results files from GUPIX are stored. A selection of the PIXWIN output files are copied here with unique filenames so that a permanent archive of results files is maintained.

The only configuration necessary to start using the GUPIXWIN interface is to define these folders. This is done using the command Tools | File locations. This brings up the file location dialog:

The relevant folders are the last three on the displayed list. If you have accepted the default location for GUPIXWIN, then the defaults here should be fine, but if you need to change any of these folder names, double click on the name and then browse for the required new folder.

5. Using GUPIXWIN in OMDAQ2007.

Once the system has been configured correctly, the operation of the interface is just the same as with the DOS interface. The "T" button on a PIXE spectrum will begin the processing. More details are outlined here and in the worked example supplied in the \Examples folder.

At the completion of each run, the summary results files together with the ASCII spectrum file and the ASCII .PAR file are renamed using the spectrum file name and copied to the GUPIX Results folder. The .PAR file can be read by the full version of GUPIXWIN so that further processing can be carried out "by hand" if required.

6. Limitations of the OMDAQ/GUPIXWIN interface.
This implementation does NOT implement the following GUPIXWIN options:

· Matrix option
· H-value files *
· Invisible elements
· Compounds

* will be implemented in a later release


OMDAQ_2007

!!!!IMPORTANT!!!!

Good Housekeeping (Data management)

Before using the system regularly thought should be given to data handling protocols. A proton microbeam facility Saving on a full-time basis produces a large amount of data and stringent procedures are required to avoid losing data by overwriting or deletion. OMDAQ2007 tries to minimise data handling problems through automatic run number generation and automatic record keeping. In addition, OMDAQ2007 offers a choice of three methods of organising the data sub-directories for storing output data files.

a) User path

Each experimental run is given a number of the form wwwrrr, where www is the week number and rrr is the run number in that week. In addition, each run is assigned to a user, a code of up to eight characters which identifies the experimenter or group. Files are then saved with a full filename of the form:

Z:\dataroot\user\wwwrrr...

where Z: is the drive designation of the data disk and 'dataroot' is the root directory of the data structure.

On installation this is set to C:\Microbeam data

This organisation is appropriate for a general purpose facility with many users or experimental groups, since each group's files can be found in a single location.

b) Date path

In this scheme, the key parameter for allocating the files is the run date. Files are saved with a full filename of the form:

Z:\dataroot\yyyymmdd\wwwrrr...

where yyyymmdd is the run date in numeric form.

This is appropriate for facilities with a small number of users/groups.

c) User and Date

This scheme uses both the user group and the date:

Z:\dataroot\user\yyyymmdd\wwwrrr...

The form of the output data path may be changed using the Options | File locations menu command.

The start date for www is defined for each installation and is compiled into the supplied version of OMDAQ2007 and will be kept constant in all subsequent releases to a given site. The run number starts at 1 at the beginning of each week (Monday) and is incremented each time a New|Run command is executed.


OMDAQ_2007

Deadtime measurement


OMDAQ_2007

Spectrum Energy Calibration

See the help file for the DataIO SDK


OMDAQ_2007

X-ray line symbols

X-ray lines are entered as the chemical symbol followed by an optional x-ray line symbol from the list

Ka1 Ka2 Kb1 Kb2 Kb3 La1 La2 Lb1 Lb2 Lb3 Lb4 Lg1 Lg3 Ll Ln Ma1 Ma2 Mb

e.g. Si, Fe K, Pb La1, Ca Kb, U M.

The program tries to make an intelligent guess at abbreviated lines, so La will be interpreted as La1, Kb as Kb1, M as Ma1, L as La1 etc. and if the x-ray line is omitted it is assumed to be Ka1 for Z<40 and La1 for Z>=40.


OMDAQ_2007

Gain control diagrams


OMDAQ_2007

The colour scaling algorithm

The index of the colour selected from the colour bar for each pixel is calculated using a the transfer function shown below.

Here, Low and High are clipping levels selected using the slider bars in the Map Appearance dialog.

Outside the clipping range the colour is set to the minimum or maximum as appropriate.

Between the clipping levels, the "gamma function" used in photography is used to convert pixel values in memory to the colour index of the pixel on the screen. This is defined as:

where I is the colour index, N is pixel counts.

When g = 1, the transfer function is linear.
When g < 1, the intensity increases rapidly at low counts and slowly at high counts.
When g > 1, the intensity increases slowly at low counts and rapidly at high counts.

This algorithm allows very flexible control of image contrast. Use the lower level to enhance the contrast of weak features lost in a background. Use the upper level to clip intense features (such as dust particles) and use the gamma function to emphasise high or low contrast regions without losing detail.


OMDAQ_2007

How to enter chemical formulae

Entering standard atomic chemical formulae
Chemical formulae can be entered more or less as written, except:
· Upper or lower case can be used
· Brackets are not permitted and must be expanded
· Elements entered without an atomic fraction are assumed to be single atoms, but they must be followed by a space to act as a delimiter.
· Elements can be entered more than once and their fractions are accumulated.

Examples of valid formulae
Entered text | True chemical formula
si o2 | SiO2
cu s o4h9o18 | CuSO4 .9H2O
Na2 c2 O6 | Na2(CO3)2

Examples of incorrect formulae
Entered text | Problem
SiO2 | No number or space after Si
CO | This is correct, but ambiguous - did you mean cobalt (Co) or carbon monoxide (CO)? (It will be read as cobalt)
Na2 (c O3)2 | Brackets not allowed

Entering formulae as weight %
The formula may be entered as a weight fraction by including a % character anywhere in the composition string. The numbers will then be interpreted as weight fractions which are next normalised to 100% before conversion to the atomic fraction chemical formula which is displayed.
Entered text | Normalised weight composition | Displayed chemical formula
%Cu0.25 Zn0.75 | Cu 25% Zn75% | Cu Zn 2.92
c50 o20 h20% | C55.5% O22.2% H22.2% | C3.33 OH15.9

Entering formulae as OXIDE weight %
Some areas of science (e.g. geochemistry, glass and ceramics) express the formula as weight % of element oxides. This may be entered by including a + character anywhere in the composition string. The numbers will then be interpreted as weight fractions of the oxide. These are next normalised to 100% before conversion to the displayed atomic fraction chemical formula using the element valency which is defined here
Entered text | Interpreted as ... | Displayed chemical formula
Si+ | w/w100% (SiO2) | Si O2
Si50+ al 25 ca 10 Na | w/w 58% (SiO2) 29%(Al2O3) 12% (CaO) 1%(Na2O) | Si12.89Al9.12Ca4.14Na O44.11


OMDAQ_2007

Acronyms used in Ion Beam Analysis
IBA | Ion Beam Analysis
PIXE | Proton (or Particle) Induced X-ray Emission
RBS | Rutherford BackScattering
STIM | Scanning Transmission Ion Microscopy
SEM | Secondary Electron Microscopy
IBIC | Ion Beam Induced Charge (Collection)
ERDA | Elastic Recoil Detection Analysis
GAMMA | Proton Induced Gamma Ray Emission
IBIL | Ion Beam Induced Luminescence
NRA | Nuclear Reaction Analysis


OMDAQ_2007

Sample layer thickness units

All ion beam analysis techniques only measure directly the number of atoms in a given area of the beam. The linear depth dimension is not determined, so a thin plastic foil will give the same RBS signal as 50 light years of interstellar dust provided they both have the same number of carbon, hydrogen and oxygen atoms. (Though the experiment will take longer!).

Thus the natural unit for layer thickness is areal density in atom/cm2 or more usually microgram/cm2. This can only be converted to linear units (microns) if you know the density of the material.

Apart from nuclear physicists, though, few scientists are happy with areal density, so OMDAQ allows you to enter the thickness in microns, but immediately converts this to microgram/cm2 using an approximate density calculated on a billiard ball type model of the molecule. This is why the unit is labeled 'micron' (read as pseudo-micron). For pure solid elements the agreement between 'micron' and mm is exact, but for other compounds, especially those containing atoms which are normally gases, there can be quite a large difference. If you don't like this you can opt to enter thickness in microgm/cm2 or atom/cm2.


OMDAQ_2007

Q factor

This is the ratio between the charge accumulated in the hardware charge scalers and the true accumulated charge:

This is effectively a calibration factor for the charge measurement.

In the Q factor method the Q factor is determined from the RBS spectrum of a sample which can be well simulated:

Where A is the integrated area of the RBS spectrum, Q is the recorded charge (corrected for dead time), W is the detector solid angle, and Y(M) is the RBS yield as a function of energy for a matrix M. Suffix SIM refers to values used in the simulation calculation, suffix TRUE refers to the actual values of these quantities.

Thus:
or, if we assume that the simulated yield is a good approximation to the true yield (Ysim = Ytrue) and that the true solid angle is well-known (Wsim = Wtrue),

See: "The Q factor” method: quantitative microPIXE analysis using RBS normalisation" G.W. Grime, Nuclear Instruments and Methods B 109-110 , (1996), Pages 170-174.


OMDAQ_2007

Reset DIO

Main menu: Tools | Debug | Reset DIO

Send a setup sequence to the PCI-215 DIO card.


OMDAQ_2007

Every OMDAQ2007 run is automatically allocated a unique 6 digit number of the form wwwrrr.

www is the number of weeks elapsed since a certain start date

rrr is the sequence number of the run in that week. It starts at 001 at the beginning of each week (Monday) and is incremented each time a New run command is executed.

The start date for www is unique to each site (stored in the file VERSION.DB) and will be kept constant in all subsequent releases.


OMDAQ_2007

Scanning hardware parameters.
Label | Values required | Description
Lens demag | 2 | Demagnification of the probe forming lens (X, Y)
Coil turns | 2 | Number of turns on the deflector coils (X, Y: mag scanning only)
Deflector length (m) | 2 | Beamline length of delflector (X, Y)
Pole gap (M) Plate gap (E) | 2 | Pole or plate gap of deflector (X, Y) (m)
Master gain label | 1 | Operating name of the common manual gain control of the scanning amplifier
Master gain maximum | 1 |
Channel gain label | 2 | Operating names of the manual channel gain controls of the scanning amplifier
Channel gain maximum | 2 | Maximum scale values of the manual channel gain controls of the scanning amplifier
Gain control Vmax | 1 | Maximum value of the voltage controlled gain module control voltage (not implemented at present)
DAC data for min output | 2 | Data value to send to DAC to get minimum output voltage
DAC data for max output | 2 | Data value to send to DAC to get maximum output voltage
Fine : Coarse switch ratio | 1 | Nominal ratio between the Fine deflection and Coarse deflection for the same input voltage (should be < 1)
Gain control option | 1 | Indicates the topology of the manual gain controls: 0 = fully independent (default for OM system) 1 = Gain and Cal controls connected; F/C switch independent 2 = Gain and Cal controls connected; F/C using switched resistor See Gain control diagrams
Rc (kOhm) | 1 | Resistor values for gain control options 1 and 2
Rg (kOhm) | 1 | Resistor values for gain control options 1 and 2
Rx (kOhm) | 1 | Resistor values for gain control options 1 and 2